<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: administrators.php,v2.0 2017/09/29 advocat Exp $ */

/** include files */
include('./inc.php');

/** check admin access */
check_access('admins');

/** determination GET vars */
if (!isset($_GET['act'])) $_GET['act'] = "";
if (!isset($_GET['p'])) $_GET['p'] = 1;
if (!isset($_GET['id'])) $_GET['id'] = "";

/** DB table and module */
$tbl_name   = $system['prefix'].'_admins';
$module     = "administrators";

$sort_field_array 	= array('username','fullname','email');
$sort_field			= 'username';
$sort_order 		= 'asc';
$sort_page			= $_SERVER['PHP_SELF'].'?';

if (isset($_GET['sf']) && in_array($_GET['sf'], $sort_field_array)) $sort_field = $_GET['sf'];
if (isset($_GET['so']) && ($_GET['so'] == 'asc' || $_GET['so'] == 'desc')) $sort_order = $_GET['so'];

/** if don't action print administrator list */
if (!$_GET['act']) {
    /** print header */
    do_header($i18n['admins']['title'],"administrators");
  ?><!-- view admins -->
<script language="javascript" type="text/javascript"><!--
function do_delete(id) {if (confirm('<?php echo $i18n['admins']['confirm_delete']; ?>')) document.location.href='<?php echo $_SERVER['PHP_SELF']; ?>?act=delete&id=' + id;}
//--></script><p>&nbsp;</p>
<table width="90%" align="center" border="0" cellpadding="4" cellspacing="0" bgcolor="#FFFFFF" class=tbl_res>
<thead>
<tr><td><?php echo $i18n['admins']['login']; gui_sort('username'); ?></td>
<td><?php echo $i18n['admins']['fullname']; gui_sort('fullname'); ?></td>
<td><?php echo $i18n['admins']['email']; gui_sort('email'); ?></td>
<td width="61">&nbsp;</td>
<td width="43">&nbsp;</td>
</tr></thead><tbody><?php
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` ORDER BY `{$sort_field}` {$sort_order}");
    while ($row = mysqli_fetch_array($res)) {
        ?><tr><td class="bottomline"><strong><?php echo $row['username']; ?></strong></td>
<td class="bottomline"><?php echo $row['fullname']; ?></td>
<td class="bottomline"><a href="mailto:<?php echo $row['email']; ?>"><?php echo $row['email']; ?></a></td>
<td class="bottomline" align="center"><a href="<?php echo $_SERVER['PHP_SELF']; ?>?act=edit&id=<?php echo $row['id']; ?>"><img src="../img/i18n/act_prop.gif" alt="<?php echo $i18n['admins']['properties']; ?>" width="57" height="14" border="0"></a></td>
<td class="bottomline" align="center"><a href="javascript:do_delete('<?php echo $row['id']; ?>');"><img src="../img/i18n/act_delete.gif" alt="<?php echo $i18n['admins']['delete']; ?>" width="39" height="14" border="0"></a></td></tr><?php
    }
    ?></tbody></table>
<!-- /view admins --><?php
/** print footer */
do_footer(0,1,1);
/** else if add or edit action */
} elseif ($_GET['act'] == "add" || $_GET['act'] == "edit" && is_numeric($_GET['id'])) {
    if ($_GET['act'] == "edit" && is_numeric($_GET['id'])) {
        /** determination header and footer vars */
        $header_title = $i18n['admins']['properties'];
        $header_image = "administrator_properties";
        $footer_menu = 0;
        /** if save action */
        if (isset($_POST['submit'])) {
            if (isset($_POST['access'])) $access = join(",",$_POST['access']);
            else $access = "";
            $sql = array("username"=>$_POST['username'],"password"=>$_POST['password'],"email"=>$_POST['email'],"fullname"=>$_POST['fullname'],"gender"=>$_POST['gender'],"tel_home"=>$_POST['tel_home'],"tel_work"=>$_POST['tel_work'],"tel_mob"=>$_POST['tel_mob'],"access"=>$access);
            $set = array2sql($sql);
            mysqli_query($db_connect, "UPDATE `".$tbl_name."` SET ".$set." WHERE `id`='".$_GET['id']."'");

            a_logs($module, 'update', $i18n['admins']['log_update']."{$sql['username']}, id: {$_GET['id']}");

            header("Location: {$_SERVER['PHP_SELF']}");
            exit;
        } else {
            $res = mysqli_query($db_connect, "SELECT * FROM `".$tbl_name."` WHERE `id`='".$_GET['id']."'");
            $prop = mysqli_fetch_array($res);
            if (!isset($prop['id'])) {
                header("Location: {$_SERVER['PHP_SELF']}");
                exit;
            }
        }
    } elseif ($_GET['act'] == "add") {
        /** determination header and footer vars */
        $header_title = $i18n['admins']['add'];
        $header_image = "add_new_administrator";
        $footer_menu = 2;
        /** if save action */
        if (isset($_POST['submit'])) {
            if (isset($_POST['access'])) $access = join(",",$_POST['access']);
            else $access = "";

            $res = mysqli_query($db_connect, "SELECT * FROM `".$tbl_name."` WHERE `username`='".$_POST['username']."'");
            /** check exist login */
            if (mysqli_num_rows($res) != 0) {
                $error_msg = $i18n['admins']['error_isset_login'];
                $prop = array("username"=>$_POST['username'],"password"=>$_POST['password'],"email"=>$_POST['email'],"fullname"=>$_POST['fullname'],"gender"=>$_POST['gender'],"tel_home"=>$_POST['tel_home'],"tel_work"=>$_POST['tel_work'],"tel_mob"=>$_POST['tel_mob'],"access"=>$access);
            } else {
                $sql = array("username"=>$_POST['username'],"password"=>$_POST['password'],"email"=>$_POST['email'],"fullname"=>$_POST['fullname'],"gender"=>$_POST['gender'],"tel_home"=>$_POST['tel_home'],"tel_work"=>$_POST['tel_work'],"tel_mob"=>$_POST['tel_mob'],"access"=>$access);
                $set = array2sql($sql);
                mysqli_query($db_connect, "INSERT INTO `".$tbl_name."` SET ".$set);
                $id = mysqli_insert_id($db_connect);
                a_logs($module, 'add', $i18n['admins']['log_add'].$sql['username'].", id: {$id}");

                header("Location: {$_SERVER['PHP_SELF']}");
                exit;
            }
        } else {
            $prop = array("username"=>"","password"=>"","email"=>"","fullname"=>"","gender"=>"","tel_home"=>"","tel_work"=>"","tel_mob"=>"","access"=>"");
        }
    }
    /** print header */
    do_header($header_title,$header_image);
    /** print alert error */
    if (isset($error_msg)) {
        echo "<script language=\"javascript\" type=\"text/javascript\"><!--alert('{$error_msg}');//--></script>";
    }
    ?><!-- admins add/edit -->
<form action="<?php echo $_SERVER['PHP_SELF']; ?>?act=<?php echo $_GET['act']; ?>&id=<?php echo $_GET['id']; ?>" method="post" name="frm_prop" id="frm_prop" onSubmit="return check_form('frm_prop');">
<script language="javascript" type="text/javascript"><!--
function check_form (form_name) {
    form = document.forms[form_name];
    tmp = form.elements['username'];
    if (tmp.value.length == 0 || tmp.value.search (/^\s*$/) != -1) {
        alert ('<?php echo $i18n['admins']['error_login']; ?>');
        tmp.focus();
        return false;
    }
    tmp = form.elements['password'];
    if (tmp.value.length == 0 || tmp.value.search (/^\s*$/) != -1) {
        alert ('<?php echo $i18n['admins']['error_password']; ?>');
        tmp.focus ();
        return false;
    }
    tmp1 = form.elements['retype_passwd'];
    if (tmp1.value.length == 0) {
        alert ('<?php echo $i18n['admins']['error_password']; ?>');
        tmp1.focus ();
        return false;
    }
    if ( tmp1.value != tmp.value ) {
        alert ('<?php echo $i18n['admins']['error_password']; ?>');
        tmp.focus ();
        return false;
    }
    tmp = form.elements['email'];
    if ( (tmp.value.length == 0) || (tmp.value.search(/^[0-9a-z]([-_.]?[0-9a-z])*@[0-9a-z]([-.]?[0-9a-z])*\.[a-z]{2,3}$/) == -1 )){
        alert ('<?php echo $i18n['admins']['error_email']; ?>');
        tmp.focus ();
        return false;
    }
    tmp = form.elements['fullname'];
    if (tmp.value.length == 0) {
         alert ('<?php echo $i18n['admins']['error_fullname']; ?>');
         tmp.focus();
         return false;
    }
    return true;
} //--></script>
<table width="100%" border="0" cellspacing="5" cellpadding="0">
<tr><td width="10%">&nbsp;</td>
<td><table width="100%"  border="0" align="center" cellpadding="4" cellspacing="0" bgcolor="#FFFFFF">
<tr><td width="40%" class="bottomline"><?php echo $i18n['admins']['login']; ?><span class="required">*</span> :</td>
<td class="bottomline"><input class="field" name="username" type="text" id="username" style="width:60%;" value="<?php echo $prop['username']; ?>" maxlength="16"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['admins']['password']; ?><span class="required">*</span> :</td>
<td class="bottomline"><input class="field" name="password" type="password" id="password" style="width:60%;" value="<?php echo $prop['password']; ?>" maxlength="16"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['admins']['retype']; ?><span class="required">*</span> :</td>
<td class="bottomline"><input class="field" name="retype_passwd" type="password" id="retype_passwd" style="width:60%;" value="<?php echo $prop['password']; ?>" maxlength="16"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['admins']['email']; ?><span class="required">*</span> :</td>
<td class="bottomline"><input class="field" name="email" type="text" id="email" style="width:100%;" value="<?php echo $prop['email']; ?>" maxlength="255"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['admins']['fullname']; ?><span class="required">*</span> :</td>
<td class="bottomline"><input class="field" name="fullname" type="text" id="fullname" style="width:100%;" value="<?php echo $prop['fullname']; ?>"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['admins']['gender']; ?><span class="required">*</span> :</td>
<td class="bottomline"><input name="gender" type="radio" value="male" id="gender_male"<?php if($prop['gender']!="female") echo " checked";?>> <label for="gender_male"><?php echo $i18n['admins']['gender_male']; ?></label>
<input name="gender" type="radio" value="female" id="gender_female"<?php if($prop['gender']=="female") echo " checked";?>> <label for="gender_female"><?php echo $i18n['admins']['gender_female']; ?></label></td></tr>
<tr><td class="bottomline"><?php echo $i18n['admins']['tel_home']; ?> : </td>
<td class="bottomline"><input class="field" name="tel_home" type="text" id="tel_home" style="width:60%;" value="<?php echo $prop['tel_home']; ?>" maxlength="255"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['admins']['tel_work']; ?> : </td>
<td class="bottomline"><input class="field" name="tel_work" type="text" id="tel_work" style="width:60%;" value="<?php echo $prop['tel_work']; ?>" maxlength="255"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['admins']['tel_mob']; ?> : </td>
<td class="bottomline"><input class="field" name="tel_mob" type="text" id="tel_mob" style="width:60%;" value="<?php echo $prop['tel_mob']; ?>" maxlength="255"></td></tr>
<tr><td><?php echo $i18n['admins']['access']; ?> : </td>
<td><select class="field" name="access[]" size="4" multiple id="access[]" style="width:75%;"><?php
    $access = explode(",",$prop['access']);
    reset($i18n['admins']['access_array']);
    foreach ($i18n['admins']['access_array'] as $item => $value) {
        echo "<option value=\"{$item}\"";
        if (in_array($item,$access)) echo " selected";
        echo ">{$value}</option>";
    }
    ?></select></td></tr></table></td></tr>
<tr><td class="topline">&nbsp;</td>
<td>&nbsp;</td></tr><tr>
<td colspan="2" class="commentBox"><span class="required">*</span> <span class="comment"><?php echo $i18n['admins']['comment']; ?></span> </td></tr>
<tr align="center"><td colspan="2"><input name="submit" type="submit" class="button" id="submit" value=" :: <?php echo $i18n['button']['save']; ?> :: "></td></tr></table>
</form><?php
    /** print footer */
    do_footer(0,1,$footer_menu);
    /** else if delete action */
} elseif ($_GET['act'] == "delete" && is_numeric($_GET['id'])) {
    $res_cnt = mysqli_query($db_connect, "SELECT COUNT(*) FROM `{$tbl_name}`");
    // Get Count
    $row = mysqli_fetch_row($res_cnt);
    $count = intval($row[0] ?? 0);
    if ($count == 1 || $_GET['id'] == $_SESSION['admin']['id']) {
        header("Location: {$_SERVER['PHP_SELF']}");
        exit;
    }
    
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE `id`='{$_GET['id']}'");
    $row = mysqli_fetch_array($res);
    /** check exists admin id */
    if (isset($row['id'])) {
        mysqli_query($db_connect, "DELETE FROM `{$tbl_name}` WHERE `id`='{$row['id']}'");

        a_logs($module, 'delete', "{$i18n['admins']['log_delete']}{$row['username']}, id: {$row['id']}");
    }

    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
    /** else */
} else {
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}
?>