<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: import_export.php,v2.0 2017/09/30 advocat Exp $ */

/** include files */
include('./inc.php');

/* destination GET variables */
if (!isset($_GET['act'])) $_GET['act'] = "";

/* DB table and module */
$tbl_name    = $system['prefix'].'_groups';
$module     = 'import_export';

if (!$_GET['act']) {
    $filecomment = '<!--'.$system['name'].' '.$system['type'].' Build: '.$system['version'].'-->';
    $error_msg = false;
    if (isset($_POST['import'])) {
        /** import urls */
        /** check import file */
        if (!isset($_FILES['import_file']['tmp_name']) || !isset($_FILES['import_file']['size']) || $_FILES['import_file']['size'] == 0) {
            $error_msg = $i18n['imex']['error'];
        }
        if (!$error_msg) {
            /** import operation */
            $fp = file($_FILES['import_file']['tmp_name']);
            if (sizeof($fp) < 1 || trim($fp[0]) != $filecomment) {
                $error_msg = $i18n['imex']['error'];
            } else {
                /** groups */
                $groups = array();
                $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` ORDER BY `name`");
                while ($row = mysqli_fetch_assoc($res)) {
                    $groups[$row['id']] = $row;
                }
                
                /** foreach */
                foreach ($fp as $groups_vars) {
                    $groups_vars = explode(' \| ', $groups_vars);
                    if (sizeof($groups_vars) != 5) {
                        continue;
                    } else {
                        $isset = false;
                        foreach ($groups as $params) {
                            if ($params['name'] == $groups_vars[0]) {
                                $isset = true;
                            }
                        }
                        if (!$isset) {
                            $insert = array('name'=>$groups_vars[0],'start_urls'=>addslashes(serialize(split(',', $groups_vars[1]))),'allow_urls'=>addslashes(serialize(split(',', $groups_vars[2]))),'style_id'=>$groups_vars[3],'tpl_id'=>$groups_vars[4],'enable'=>'0');
                            mysqli_query($db_connect, "INSERT INTO `{$tbl_name}` SET ".array2sql($insert));
                        }
                    }
                }
                
                $error_msg = $i18n['imex']['complite'];
            }
        }
    } if (isset($_POST['export'])) {
        /** export urls */
        $urls_write = $filecomment."\n";
        $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` ORDER BY `name`");
        while ($row = mysqli_fetch_assoc($res)) {
            $urls_write .= "{$row['name']} | ".join(',', unserialize(stripslashes($row['start_urls'])))." | ".join(',', unserialize(stripslashes($row['allow_urls'])))." | {$row['style_id']} | {$row['tpl_id']}\n";
        }
        if (!$urls_write) {
            header("Location: ./groups.php");
            exit;
        }

        header("Content-Type: text/text");
        header("Content-Length: ".array_sum(count_chars($urls_write)));
        header("Content-Disposition: filename=\"groups_".date("ymd").".txt\"");
        echo $urls_write;
        exit;
    }
    /** print header */
    do_header($i18n['imex']['title'],"import_and_export");
    ?><form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" enctype="multipart/form-data" name="frm_imex" id="frm_imex"><?php
    if ($error_msg) echo '<script language="javascript" type="text/javascript">alert(\''.$error_msg.'\');</script>';
    ?><table width="100%"  border="0" cellspacing="10" cellpadding="0">
<tr><td width="10%">&nbsp;</td>
<td class="thead" style="padding:5px;"><?php echo $i18n['imex']['export']; ?></td></tr>
<tr><td>&nbsp;</td>
<td class="commentBox"><span class="required">*</span> <span class="comment"><?php echo $i18n['imex']['export_desc']; ?></span></td></tr>
<tr><td class="topline">&nbsp;</td>
<td align="center"><input name="export" type="submit" class="button" id="export" value=":: <?php echo $i18n['imex']['export']; ?> ::"></td></tr>
<tr><td width="10%">&nbsp;</td>
<td class="thead" style="padding:5px;"><?php echo $i18n['imex']['import']; ?></td></tr>
<tr><td>&nbsp;</td>
<td class="commentBox"><span class="required">*</span> <span class="comment"><?php echo $i18n['imex']['import_desc']; ?></span></td></tr>
<tr><td class="topline">&nbsp;</td>
<td align="center"><input name="import_file" type="file" id="import_file" size="20"> &nbsp; <input name="import" type="submit" class="button" id="import" value=":: <?php echo $i18n['imex']['import']; ?> ::"></td></tr></table>
</form><?php
    /** print futer */
    do_footer(0,5,4);
} else {
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}
?>
