<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: indexed_pages.php,v2.0 2017/10/29 advocat Exp $ */

/** include files */
include('./inc.php');

if (!isset($_GET['act'])) {
    $_GET['act'] = "";
} if (!isset($_GET['p'])) {
    $_GET['p'] = 1;
}

/** DB table */
$tbl_name   = $system['prefix'].'_search_db';
$module     = 'indexed_pages';

/** groups */
$groups[0] = $i18n['ind_list']['all_groups'];
$res = mysqli_query($db_connect, "SELECT * FROM `{$system['prefix']}_groups` ORDER BY `name`");
while ($row = mysqli_fetch_assoc($res)) {
	$groups[$row['id']] = $row['name'];
}

if (!isset($_POST['group_id']) && !isset($_GET['g'])) {
    $group_id = 0;
} if (isset($_GET['g']) && isset($groups[$_GET['g']])) {
    $group_id = $_GET['g'];
} if (isset($_POST['group_id']) && isset($groups[$_POST['group_id']])) {
    $group_id = $_POST['group_id'];
}

$sort_field_array 	= array('url');
$sort_field			= 'url';
$sort_order 		= 'asc';
$sort_page			= $_SERVER['PHP_SELF'].'?g='.$group_id.'&p='.$_GET['p'];

if (isset($_GET['sf']) && in_array($_GET['sf'], $sort_field_array)) $sort_field = $_GET['sf'];
if (isset($_GET['so']) && ($_GET['so'] == 'asc' || $_GET['so'] == 'desc')) $sort_order = $_GET['so'];

/** view list */
if (!$_GET['act']) {
    /** print header */
    do_header($i18n['ind_list']['title'], 'indexed_pages');
    ?><form action="<?php echo $_SERVER['PHP_SELF'].'?sf='.$sort_field.'&so='.$sort_order;?>" method="post" name="frm_select" id="frm_select">
<table width="100%"  border="0" cellspacing="10" cellpadding="0">
<tr><td align=center><?php echo $i18n['ind_list']['view_group']; ?> : <select name="group_id" id="group_id" class="field"><?php
    foreach ($groups as $key => $value) {
        print '<option value="'.$key.'"';
        if ($key == $group_id) print ' selected';
        print '>'.$value.'</option>';
    }
    ?></select> <input name="submit" type="submit" class="button" id="submit" value="<?php echo $i18n['ind_list']['show']; ?>"></td></tr>
</table></form>
<script language="javascript" type="text/javascript"><!--
function do_delete(id) {
    if (confirm('<?php echo $i18n['ind_list']['confirm_delete']; ?>'))
    document.location.href = '<?php echo $sort_page; ?>?act=delete&sf=<?php echo $sort_field; ?>&so=<?php echo $sort_order;?>&id=' + id;
} function do_ignore(id, mode) {
    if (mode == 1) {
        if (confirm('<?php echo $i18n['ind_list']['confirm_ignore']; ?>')) document.location.href = '<?php echo $sort_page; ?>&act=ignore&mode=' + mode + '&sf=<?php echo $sort_field; ?>&so=<?php echo $sort_order; ?>&id=' + id;
    } else {
        if (confirm('<?php echo $i18n['ind_list']['confirm_return']; ?>')) document.location.href = '<?php echo $sort_page; ?>&act=ignore&mode=' + mode + '&sf=<?php echo $sort_field; ?>&so=<?php echo $sort_order; ?>&id=' + id;
    }
} //--></script>
<table width="96%" align="center" border="0" cellspacing="0" cellpadding="4" class=tbl_res>
<thead>
<tr><td height="30"><?php echo $i18n['ind_list']['url']; gui_sort('url'); ?></td>
<td><?php echo $i18n['ind_list']['groups']; ?></td>
<td width="42">&nbsp;</td>
<td width="43">&nbsp;</td></tr></thead>
<tbody><?php
    if ($group_id == 0) {
        $sql_where = '';
    } else {
        $sql_where = "WHERE `groups` REGEXP '(^".$group_id.",|^".$group_id."$|,".$group_id.",|,".$group_id."$)'";
    }
    $res_count = mysqli_query($db_connect, "SELECT COUNT(*) FROM `{$tbl_name}` {$sql_where}");
    $row = mysqli_fetch_row($res_count);
    $count = intval($row[0] ?? 0);
    
    $rec = record_on_page($count,$limit_on_page,$_GET['p']);
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` {$sql_where} ORDER BY `{$sort_field}` {$sort_order} LIMIT {$rec['start']}, {$rec['limit']}");
    while ($row = mysqli_fetch_array($res)) {
        if ($row['ignore'] == 0) {
            $ignore = 1;
            $ignore_img = "act_ignore";
            $ignore_alt = $i18n['ind_list']['act_ignore'];
        } else {
            $ignore = 0;
            $ignore_img = "act_remove_ignore";
            $ignore_alt = $i18n['ind_list']['act_remove_ignore'];
        }
        
        $group = '';
        $url_groups = explode(',', $row['groups']);
        foreach ($url_groups as $group_ids) {
            if (isset($groups[$group_ids])) $group .= $groups[$group_ids].'<br>';
        }
        
        ?><tr><td class="bottomline"><a href="<?php echo $row['url']; ?>"><?php echo htmlspecialchars(convert_to_utf($config['encoding'],$row['title']))?></a><br /><small><?php echo $row['date']; ?> : <?php echo wordwrap(htmlspecialchars($row['url']), 40, ' ', true);?></small></td>
<td class="bottomline"><?php echo $group; ?></td>
<td class="bottomline" align="right"><a href="javascript:do_ignore('<?php echo $row['id']; ?>',<?php echo $ignore?>);"><img src="../img/i18n/<?php echo $ignore_img?>.gif" alt="<?php echo $ignore_alt?>" height="14" border="0"></a></td>
<td class="bottomline" align="center"><a href="javascript:do_delete('<?php echo $row['id']; ?>');"><img src="../img/i18n/act_delete.gif" alt="<?php echo $i18n['ind_list']['act_delete']; ?>" width="39" height="14" border="0"></a></td></tr><?php
    }
    ?></tbody></table>
<?php
    if ($rec['cnt_pages'] > 1) {
        echo echo_on_page_admin($rec,"{$_SERVER['PHP_SELF']}?g=".$group_id."&sf=".$sort_field."&so=".$sort_order."&p=");
    }
    /** print footer */
    do_footer(0,5,2);
}
/** ignore and restore */
elseif ($_GET['act'] == "ignore" && is_numeric($_GET['id'])) {
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE `id`='{$_GET['id']}'");
    $row = mysqli_fetch_array($res);
    if (isset($row['id'])) {
        if (isset($_GET['mode']) && $_GET['mode'] == 1) {
            mysqli_query($db_connect, "UPDATE `{$tbl_name}` SET `ignore`=1 WHERE `id`='{$row['id']}'");
            /** add log */
            a_logs($module, "ignore", $i18n['ind_list']['log_ignore'].' '.$row['url'].', id: '.$row['id']);
        } else {
            mysqli_query($db_connect, "UPDATE `{$tbl_name}` SET `ignore`=0 WHERE `id`='{$row['id']}'");
            /** add log */
            a_logs($module, "restore", $i18n['ind_list']['log_restore'].' '.$row['url'].', id: '.$row['id']);
        }
    }
    header("Location: {$_SERVER['PHP_SELF']}?p={$_GET['p']}&sf={$sort_field}&so={$sort_order}");
    exit;
}
/** delete */
elseif ($_GET['act'] == "delete" && is_numeric($_GET['id'])) {
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE `id`='{$_GET['id']}'");
    $row = mysqli_fetch_array($res);
    if (isset($row['id'])) {
        mysqli_query($db_connect, "DELETE FROM `{$tbl_name}` WHERE `id`='{$row['id']}'");
        a_logs($module, "delete", $i18n['ind_list']['log_delete'].' '.$row['url'].', id: '.$row['id']);
    }
    header("Location: {$_SERVER['PHP_SELF']}?p={$_GET['p']}&sf={$sort_field}&so={$sort_order}");
    exit;
}
/** else */
else {
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}
?>
