<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: indexing.php,v2.0 2017/09/30 advocat Exp $ */

/** include files */
include('./inc.php');

/** destination GET variables */
if (!isset($_GET['act'])) {
    $_GET['act'] = "";
}

$module = 'indexing';

$groups = array();
$res = mysqli_query($db_connect, "SELECT `id`,`name` FROM `{$system['prefix']}_groups` ORDER BY `name`");
while ($row = mysqli_fetch_assoc($res)) {
	$groups[$row['id']] = $row['name'];
}

if (sizeof($groups) == 0) {
    header("Location: ./groups.php");
    exit;
}

/** if don't action */
if (!$_GET['act']) {
    $start = false;
    $index_groups = '0';
    $start_grours = array('0');
    $complite = false;
    
    if (file_exists(SSP_DIR.'/data/pid.php')) {
        include_once (SSP_DIR.'/data/pid.php');
        $start = true;
    }
    
    /** start indexing */
    if (!$start && isset($_POST['start'])) {
        if (!isset($_POST['groups'])) {
            header("Location: {$_SERVER['PHP_SELF']}?e=0");
            exit;
        }
        if (sizeof($_POST['groups']) == sizeof($groups)) {
            $index_groups = 0;
            $groups4log = $i18n['ind']['all_groups'];
        } else {
            $index_groups = $groups4log = array();
            foreach ($_POST['groups'] as $group_id) {
                if (isset($groups[$group_id])) {
                    $index_groups[]    = $group_id;
                    $groups4log[]      = $groups[$group_id];
                }
            }
            if (sizeof($index_groups) > 0) {
                $index_groups   = join(',', $index_groups);
                $groups4log     = join(', ', $groups4log);
            } else {
                $index_groups = 0;
                $groups4log = $i18n['ind']['all_groups'];
            }
        }
        a_logs($module, 'start_indexing', $groups4log);
        
        $complite   = true;
        $start      = true;
    } /** start indexing */
    
    /** stop indexing */
    if ($start && isset($_POST['cancel'])) {
        $start = false;
        
        if (file_exists(SSP_DIR.'/data/pid.php')) {
            umask(0777);
            $fp = fopen(SSP_DIR.'/data/stop.php', "w+");
            fwrite($fp, '<'.'?php $stop = true; ?'.'>');
            fclose($fp);
            chmod(SSP_DIR.'/data/stop.php', 0777);
            @unlink(SSP_DIR.'/data/pid.php');
            clearstatcache();
        }
    }
    
    /** print header */
    do_header($i18n['ind']['title'],"indexing");
    /** no select group */
    if (isset($_GET['e']) && $_GET['e'] = 0) {
        print '<script language="javascript" type="text/javascript"> alert(\''.addslashes($i18n['ind']['noselectgroup']).'\');</script>';
    }
    ?><form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" name="frm_save" id="frm_save">
<script language="JavaScript">
function endSpidering () {
    btn = document.forms['frm_save'].elements['cancel'];
    btn.name  = "start";
    btn.id    = "start";
    btn.value = " :: <?php echo $i18n['ind']['start']; ?> :: ";
    return false;
}
</script>
<table width="100%" border="0" cellspacing="10" cellpadding="0">
<tr><td><table width="100%"  border="0" cellpadding="4" cellspacing="0">
<tr><td><?php echo $i18n['ind']['groups']; ?>:</td>
</tr></table></td></tr>
<tr><td align="center"><table width="100%" border="0" cellspacing="0" cellpadding="5"><?php
	$cnt = sizeof($groups);
	$i = $cnt_i = 0;
	$tr_i = 3;
    foreach ($groups as $key => $var) {
        $i++;
        $cnt_i++;
        if ($i == 1) {
            print '<tr>';
        }
		
        if ($cnt % $tr_i == 0) $cnt_max = $cnt - $tr_i;
        else $cnt_max = $cnt - ($cnt % $tr_i);
        
        print '<td width="33%" style="border-top:1px solid #E3E3E3;';
        if ($i != $tr_i) print 'border-right:1px solid #E3E3E3;';
        if ($cnt_i > $cnt_max) print 'border-bottom:1px solid #E3E3E3;';
        print '"><input name="groups[]" type="checkbox" id="groups['.$key.']" value="'.$key.'"';
        if ($index_groups == 0 || in_array($key, explode(',', $index_groups))) print ' checked';
        if ($start) print ' readonly="readonly"';
        print '> <label for="groups['.$key.']">'.$var.'</label>'.'</td>';
        
        if ($i == $tr_i) {
            $i = 0;
            print '</tr>';
        }
    }
    if ($i != 0) {
        while ($i < $tr_i) {
            $i++;
            print '<td style="border-top:1px solid #E3E3E3;border-bottom:1px solid #E3E3E3;';
            if ($i != $tr_i) print 'border-right:1px solid #E3E3E3;';
            print '">&nbsp;</td>';
        }
        print '</tr>';
    }
    ?></table></td></tr><?php
    if (!$complite && $start) {
        print '<tr><td><p class="false strong" align=center>'.$i18n['spider']['isset_pid'].'<p></td></tr>';
    }
?>
<tr><td align="center"><?php
    if (!$start) {
        ?><input class="button" name="start" type="submit" id="start" value=" :: <?php echo $i18n['ind']['start']; ?> :: "><?php
    } else {
        ?><input class="button" name="cancel" type="submit" id="cancel" value=":: <?php echo $i18n['ind']['cancel'];?> ::"><?php
    }
    ?></td></tr></table>
</form><?php

    if ($complite == true) {
        echo "<fieldset><legend>{$i18n['ind']['process_indexing']}</legend>";
        echo "<p>{$i18n['ind']['please_wait']}";
        echo "<iframe src=\"../spider.php?admin=true&groups={$index_groups}\" height=\"200\" width=\"100%;\" frameborder=\"0\"></iframe></fieldset>";
    }
    /** print footer */
    do_footer(0,5,1);
} else {
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}

?>