<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: login.php,v2.0 2017/09/29 advocat Exp $ */

/** define path */
define('SSP_DIR', str_replace('\\','/',realpath('../')));

/** include fixer */
//include_once (SSP_DIR.'/data/fixer.php');

/** session start */
session_start();

/** check exists global files */
if (!file_exists(SSP_DIR.'/data/db.php') || !file_exists(SSP_DIR.'/data/config.php')) {
    header("Location: ../install.php");
    exit;
}

/** include files */
include_once (SSP_DIR.'/data/db.php');
include_once (SSP_DIR.'/data/config.php');
include_once (SSP_DIR.'/data/i18n.php');
include_once (SSP_DIR.'/data/system.php');
include_once (SSP_DIR.'/data/functions.php');

$module = "login";

/** connect to DB */
$db_connect = mysqli_connect($db['host'],$db['login'],$db['passwd']);
$db_select  = mysqli_select_db($db_connect, $db['name']);

if (!isset($_POST['login'])) $_POST['login'] = "";
if (!isset($_POST['password'])) $_POST['password'] = "";

$error_msg = false;
$tbl_name = $system['prefix'].'_admins';

if (isset($_POST['submit'])) {
    $res = @mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE BINARY `username`='".slashes($_POST['login'],1)."' and BINARY `password`='".slashes($_POST['password'],1)."'");
    if (@mysqli_num_rows($res) > 0) {
        $_SESSION['admin'] = mysqli_fetch_array($res);
        a_logs($module, "enter", $i18n['login']['log_login_true']." [{$_SESSION['admin']['username']}]");
        header("Location: index.php");
        exit;
    } else {
        a_logs($module, 'enter', $i18n['login']['log_login_false'].' ['.$_POST['login'].']');
        $error_msg = $i18n['login']['error'];
    }
} ?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head>
<title><?php echo $system['name']." :: ".$i18n['login']['title']; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="../styles.css" rel="stylesheet" type="text/css">
</head>
<body><?php
if ($error_msg) {
    echo "\n<script language=\"javascript\">alert('{$error_msg}');</script>";
}
?>
<table width="778"  border="0" align="center" cellpadding="5" cellspacing="10">
<tr valign="top">
<td style="border:1px solid #C0C0C0; background-color:#FFFFFF;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
<tr style="background-image:url(../img/bg-header.gif);">
<td width="209"><img src="../img/i18n/_adminzone.gif" alt="<?php echo $i18n['admin']['zone']; ?>" width="150" height="30"></td>
<td align="right"><img src="../img/cdcover-top.gif" alt="" width="115" height="30"></td></tr>
<tr><td><img src="../img/px.gif" alt="" width="209" height="5"></td>
<td align="right"><img src="../img/cdcover-back.gif" alt="" width="120" height="5"></td></tr>
<tr style="background-color:#EDEDED;" valign="top">
<td><a href="./"><img src="../img/logotype.gif" alt="" width="209" height="77" border="0"></a></td>
<td align="right"><img src="../img/cdcover.gif" alt="" width="270" height="105"></td></tr></table></td>
<td width="218" style="border:1px solid #C0C0C0; background-color:#FFFFFF;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
<tr><td bgcolor="#C75D60"><img src="../img/px.gif" alt="" width="100%" height="5"></td></tr>
<tr><td bgcolor="#AC1015"><img src="../img/i18n/_login.gif" alt="<?php echo $i18n['login']['title']; ?>" width="115" height="25"></td></tr>
<tr><td><form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" name="frm_login" id="frm_login" style="padding:0px; margin:0px;">
<table width="100%"  border="0" cellspacing="5" cellpadding="0">
<tr><td width="40%" nowrap><?php echo $i18n['login']['login']; ?>:</td>
<td><input name="login" type="text" class="field" id="login" style="width:100%;" value="<?php echo $_POST['login']; ?>" maxlength="16"></td></tr>
<tr><td nowrap><?php echo $i18n['login']['password']; ?>:</td>
<td><input name="password" type="password" class="field" id="password" style="width:100%;" value="<?php echo $_POST['password']; ?>" maxlength="16"></td></tr>
<tr><td>&nbsp;</td>
<td><input name="submit" type="submit" class="button" id="submit" value="<?php echo $i18n['login']['ok']; ?>"></td></tr>
<tr><td colspan="2"><a href="./sclerosis.php"><?php echo $i18n['sclerosis']['title']; ?></a></td></tr></table></form></td></tr></table></td></tr></table></body></html>
