<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: logs.php,v2.0 2017/09/30 advocat Exp $ */

/** include files */
include('./inc.php');

check_access("stats");

$tbl_name = $system['prefix'].'_logs';

if (!isset($_GET['act']))   $_GET['act'] = '';
if (!isset($_GET['uid']))   $_GET['uid'] = 0;
if (!isset($_GET['p']))     $_GET['p'] = 1;

$sort_field_array 	= array('admin_id','module','act','date');
$sort_field			= 'date';
$sort_order 		= 'desc';
$sort_page			= $_SERVER['PHP_SELF'].'?uid='.$_GET['uid'].'&p='.$_GET['p'];

if (isset($_GET['sf']) && in_array($_GET['sf'], $sort_field_array)) $sort_field = $_GET['sf'];
if (isset($_GET['so']) && ($_GET['so'] == 'asc' || $_GET['so'] == 'desc')) $sort_order = $_GET['so'];

if (!$_GET['act']) {
    /** print header */
    do_header($i18n['logs']['title'], 'logs');
    
    $admins[0] = $i18n['logs']['all_admins'];
    $res = mysqli_query($db_connect, "SELECT * FROM `{$system['prefix']}_admins` ORDER BY `username`");
    while ($row = mysqli_fetch_assoc($res)) {
    	$admins[$row['id']] = $row['username'];
    }
    
    ?><form action="<?php echo $_SERVER['PHP_SELF'];?>" method="get" name="frm_uid" id="frm_uid">
<input type="hidden" name="sf" value="<?php echo $sort_field;?>"><input type="hidden" name="so" value="<?php echo $sort_order;?>">
<p align="center"><br/><?php echo $i18n['logs']['admins'];?> : <select name="uid" id="uid" class=field><?php
    foreach ($admins as $id => $name) {
        print '<option value="'.$id.'"';
        if ($id == $_GET['uid']) print ' selected';
        print '>'.$name.'</option>';
    }
    ?></select>&nbsp;<input class=button name="" type="submit" value="<?php echo $i18n['logs']['but_show'];?>"></p>
</form><table width="96%" border="0" align="center" cellpadding="5" cellspacing="0" class=tbl_res>
<thead><tr>
<td><?php echo $i18n['logs']['admin']; gui_sort('admin_id');?></td>
<td><?php echo $i18n['logs']['module']; gui_sort('module');?></td>
<td><?php echo $i18n['logs']['action']; gui_sort('act');?></td>
<td><?php echo $i18n['logs']['detail'];?></td>
<td><?php echo $i18n['logs']['date']; gui_sort('date');?></td>
</tr></thead><?php
    $sql_where = 1;
    if ($_GET['uid'] > 0 && isset($admins[$_GET['uid']])) $sql_where = "`admin_id`='{$_GET['uid']}'";
    $res_cnt = mysqli_query($db_connect, "SELECT COUNT(*) FROM `{$tbl_name}` WHERE {$sql_where}");
    // Get Count
    $row = mysqli_fetch_row($res_cnt);
    $cnt = intval($row[0] ?? 0);
    $rec = record_on_page($cnt, $limit_on_page, $_GET['p']);
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE {$sql_where} ORDER BY `{$sort_field}` {$sort_order} LIMIT {$rec['start']}, {$rec['limit']}");
    while ($row = mysqli_fetch_assoc($res)) {
        ?><tr>
<td class=bottomline><?php echo $admins[$row['admin_id']];?></td>
<td class=bottomline><?php echo $i18n['logs']['mod_'.$row['module']];?></td>
<td class=bottomline><?php echo $i18n['logs']['act_'.$row['act']];?></td>
<td class=bottomline><?php echo $row['detail'];?></td>
<td class=bottomline><?php echo $row['date'];?></td>
</tr><?php
    }
    ?></table><?php
    
    if ($rec['cnt_pages'] > 1) {
        echo echo_on_page_admin($rec,"{$_SERVER['PHP_SELF']}?uid=".$_GET['uid']."&sf=".$sort_field."&so=".$sort_order."&p=");
    }

    /** print footer */
    do_footer(0,4,3);
} else {
    header("Locatrion: {$_SERVER['PHP_SELF']}");
    exit;
}

?>