<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: settings.php,v2.0 2017/09/29 advocat Exp $ */

/** include files */
include('./inc.php');
include_once(SSP_DIR.'/data/encodings.php');

/** check access */
check_access("settings");

if (!isset($_GET['act'])) $_GET['act'] = "";

$module = 'settings';

if (!$_GET['act']) {
    $complite = false;
    if (isset($_POST['submit'])) {
        if (!isset($_POST['enable_pdf'])) $_POST['enable_pdf'] = '0';
        else $_POST['enable_pdf'] = 1;
        
        if (!preg_match("/pdftotext$/s", $_POST['path2xpdf']) && !$_POST['enable_pdf_int']) $_POST['enable_pdf'] = '0';
        
        if (!isset($_POST['enable_rtf'])) $_POST['enable_rtf'] = '0';
        else $_POST['enable_rtf'] = 1;
        if (!isset($_POST['enable_doc'])) $_POST['enable_doc'] = '0';
        else $_POST['enable_doc'] = 1;
        
        if (!preg_match("/antiword$/s", $_POST['path2antiword']) && !$_POST['enable_doc_int']) $_POST['enable_doc'] = '0';
        
        if (!isset($_POST['enable_xls'])) $_POST['enable_xls'] = '0';
        else $_POST['enable_xls'] = 1;
        if (!isset($_POST['enable_swf'])) $_POST['enable_swf'] = '0';
        else $_POST['enable_swf'] = 1;
        
        /** TODO */
        $_POST['enable_swf'] = '0';
        
        $config_new = array(
        'site_addr'             => $config['site_addr'],
        'folder'                => $config['folder'],
        'result_on_page'        => slashes($_POST['result_on_page'], 1),
        'concordances'          => slashes($_POST['concordances'], 1),
//AP - start
        'ignorespecialsymbols'  => slashes($_POST['ignorespecialsymbols'], 1),
        'usebooleanexpression'  => slashes($_POST['usebooleanexpression'], 1),
        'enable_pdf_int'        => slashes($_POST['enable_pdf_int'], 1),
        'enable_doc_int'        => slashes($_POST['enable_doc_int'], 1),
//AP - end
        'min_chr_word'          => slashes($_POST['min_chr_word'], 1),
        'sortby'                => slashes($_POST['sortby'], 1),
        'boolean_only'          => slashes($_POST['boolean_only'], 1),
        'allow_ext'             => slashes($_POST['allow_ext'], 1),
        'stop_files'            => addslashes(serialize(config_vars2array($_POST['stop_files']))),
        'stop_dirs'             => addslashes(serialize(config_vars2array($_POST['stop_dirs']))),
        'encoding'              => slashes($_POST['encoding'], 1),
        
        'enable_pdf'            => slashes($_POST['enable_pdf'], 1),
        'enable_rtf'            => slashes($_POST['enable_rtf'], 1),
        'enable_doc'            => slashes($_POST['enable_doc'], 1),
        'enable_xls'            => slashes($_POST['enable_xls'], 1),
        'enable_swf'            => slashes($_POST['enable_swf'], 1),
        
        'path2xpdf'             => slashes($_POST['path2xpdf'], 1),
        'path2antiword'         => slashes($_POST['path2antiword'], 1),
        
        'label_button'          => slashes($_POST['label_button'], 1),
        'label_all_groups'      => slashes($_POST['label_all_groups'], 1),
        'label_advanced'        => slashes($_POST['label_advanced'], 1),
        'label_search_res'      => slashes($_POST['label_search_res'], 1),
        'label_error_found'     => slashes($_POST['label_error_found'], 1),
        'label_error_min'       => slashes($_POST['label_error_min'], 1),
        'label_boolean'         => slashes($_POST['label_boolean'], 1)
        );
        
        $result         = '<p>';
        $config_write   = '<'.'?php'."\n".'$config = array();'."\n";
        
        foreach ($config_new as $key => $var) {
            if (slashes($config[$key], 0) != slashes($var, 0)) {
                $result .= $i18n['settings']['update_var']."`{$i18n['settings'][$key]}` ...<br />";
            }
            $config_write .= "\$config['{$key}'] = \"".trim($var)."\";\n";
        }
        
        umask(0777);
        $result         .="</p>";
        $config_write   .= '?'.'>';
        
        $config = $config_new;
        
        if (file_exists(SSP_DIR.'/data/config.php')) @unlink(SSP_DIR.'/data/config.php');
        $fp = @fopen(SSP_DIR.'/data/config.php', "w+");
        if ($fp) {
            fwrite ($fp, $config_write);
            fclose ($fp);
            chmod  (SSP_DIR.'/data/config.php', 0777);
            clearstatcache();
            $result .= "<p>".$i18n['settings']['log_update_config']." ... <span class=true>{$i18n['admin']['true']}</span></p>";
        } else {
            $result .= "<p>".$i18n['settings']['log_update_config']." ... <span class=false>{$i18n['admin']['false']}</span></p>";
        }
        $complite = true;
        a_logs($module, 'update', $i18n['settings']['log_update_config']);
    }
    
    /** print header */
    do_header($i18n['settings']['title'], 'settings');
    
    if ($complite == true) {
        print '<fieldset><legend>'.$i18n['settings']['update'].'</legend>'.$result.'</fieldset>';
    }
    
    ?><form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" name="frm_set" id="frm_set"><table width="100%"  border="0" cellspacing="5" cellpadding="0">
<tr><td width="10%">&nbsp;</td>
<td><table width="100%" border="0" cellpadding="4" cellspacing="0">
<tr><td class="thead" height="30" colspan="2"><?php echo $i18n['settings']['title']; ?> :</td></tr>
<tr><td width="40%" class="bottomline"><?php echo $i18n['settings']['result_on_page']; ?> : </td>
<td class="bottomline"><input class="field" name="result_on_page" type="text" id="result_on_page" value="<?php echo $config['result_on_page']; ?>" size="10" maxlength="2"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['settings']['concordances']; ?> : </td>
<td class="bottomline"><input class="field" name="concordances" type="text" id="concordances" value="<?php echo $config['concordances']; ?>" size="10" maxlength="2"></td></tr>

<!-- begin AP feature configuration-->
<tr><td class="bottomline"><?php echo $i18n['settings']['ignorespecialsymbols']; ?> : </td>
<td class="bottomline">
<input name="ignorespecialsymbols" type="radio" id="ignorespecialsymbols" value="1"<?php if($config['ignorespecialsymbols']) print ' checked';?>><label for="boolean_only_1"><?php echo $i18n['settings']['boolean_only_1'];?></label>
<input name="ignorespecialsymbols" type="radio" id="ignorespecialsymbols" value="0"<?php if(!$config['ignorespecialsymbols']) print ' checked';?>><label for="boolean_only_0"><?php echo $i18n['settings']['boolean_only_0'];?></label>
</td></tr>

<tr><td class="bottomline"><?php echo $i18n['settings']['usebooleanexpression']; ?> : </td>
<td class="bottomline">
<input name="usebooleanexpression" type="radio" id="usebooleanexpression" value="1"<?php if($config['usebooleanexpression']) print ' checked';?>><label for="boolean_only_1"><?php echo $i18n['settings']['boolean_only_1'];?></label>
<input name="usebooleanexpression" type="radio" id="usebooleanexpression" value="0"<?php if(!$config['usebooleanexpression']) print ' checked';?>><label for="boolean_only_0"><?php echo $i18n['settings']['boolean_only_0'];?></label>
</td></tr>
<!-- end AP feature configuration-->

<tr><td class="bottomline"><?php echo $i18n['settings']['min_chr_word']; ?> : </td>
<td class="bottomline"><input class="field" name="min_chr_word" type="text" id="min_chr_word" value="<?php echo $config['min_chr_word']; ?>" size="10" maxlength="2"> <?php echo $i18n['settings']['symbols']; ?></td></tr>

<tr><td class="bottomline"><?php echo $i18n['settings']['boolean_only']; ?> :<br><i><?php echo $i18n['settings']['boolean_only_desc']; ?></i></td>
<td class="bottomline"><input name="boolean_only" id="boolean_only_1" type="radio" value="1"<?php if($config['boolean_only']) print ' checked';?>> <label for="boolean_only_1"><?php echo $i18n['settings']['boolean_only_1'];?></label>
<input name="boolean_only" id="boolean_only_1" type="radio" value="0"<?php if(!$config['boolean_only']) print ' checked';?>> <label for="boolean_only_0"><?php echo $i18n['settings']['boolean_only_0'];?></label></td></tr>

<tr><tr><td class="bottomline"><?php echo $i18n['settings']['sortby']; ?> :</td>
<td class="bottomline"><select class="field" name="sortby" id="sortby"><?php
    foreach ($i18n['settings']['sortby_vars'] as $value => $item) {
        echo "<option value=\"{$value}\"";
        if ($config['sortby'] == $value) echo " selected";
        echo ">{$item}</option>";
    }
    ?></select></td></tr>
<tr><td class="bottomline"><?php echo $i18n['settings']['allow_ext'].'<br /><em>'.$i18n['settings']['allow_ext_desc'].'</em>'; ?> : </td>
<td class="bottomline"><input class="field" name="allow_ext" type="text" id="allow_ext" value="<?php echo $config['allow_ext']; ?>" size="40" maxlength="60"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['settings']['enable_ext']; ?> : </td>
<td class="bottomline">
<input name="enable_pdf" type="checkbox" id="enable_pdf" value="1" <?php if ($config['enable_pdf']) echo 'checked'; ?>> &nbsp; <label for="enable_pdf"><?php echo $i18n['settings']['enable_pdf']; ?></label><br>
&nbsp;&nbsp;&nbsp;&nbsp;<input name="enable_pdf_int" type="radio" id="enable_pdf_int" value="1" <?php if ($config['enable_pdf_int']) echo 'checked'; ?>>&nbsp; <label for="enable_pdf_int"><?php echo $i18n['settings']['enable_pdf_int']; ?></label><br>
&nbsp;&nbsp;&nbsp;&nbsp;<input name="enable_pdf_int" type="radio" id="enable_pdf_int" value="0" <?php if (!$config['enable_pdf_int']) echo 'checked'; ?>>&nbsp; <label for="enable_pdf_ext"><?php echo $i18n['settings']['enable_pdf_ext']; ?></label><br>
<input name="enable_rtf" type="checkbox" id="enable_rtf" value="1" <?php if ($config['enable_rtf']) echo 'checked'; ?>> &nbsp; <label for="enable_rtf"><?php echo $i18n['settings']['enable_rtf']; ?></label><br>
<input name="enable_doc" type="checkbox" id="enable_doc" value="1" <?php if ($config['enable_doc']) echo 'checked'; ?>> &nbsp; <label for="enable_doc"><?php echo $i18n['settings']['enable_doc']; ?></label><br>
&nbsp;&nbsp;&nbsp;&nbsp;<input name="enable_doc_int" type="radio" id="enable_doc_int" value="1" <?php if ($config['enable_doc_int']) echo 'checked'; ?>>&nbsp; <label for="enable_doc_int"><?php echo $i18n['settings']['enable_doc_int']; ?></label><br>
&nbsp;&nbsp;&nbsp;&nbsp;<input name="enable_doc_int" type="radio" id="enable_doc_int" value="0" <?php if (!$config['enable_doc_int']) echo 'checked'; ?>>&nbsp; <label for="enable_doc_ext"><?php echo $i18n['settings']['enable_doc_ext']; ?></label><br>
<input name="enable_xls" type="checkbox" id="enable_xls" value="1" <?php if ($config['enable_xls']) echo 'checked'; ?>> &nbsp; <label for="enable_xls"><?php echo $i18n['settings']['enable_xls']; ?></label><br>
<input name="enable_swf" type="checkbox" id="enable_swf" value="1" <?php if ($config['enable_swf']) echo 'checked'; ?>> &nbsp; <label for="enable_swf"><?php echo $i18n['settings']['enable_swf']; ?></label></td></tr>
<tr><td class="bottomline"><?php echo $i18n['settings']['path2xpdf'].'<br /><em>'.$i18n['settings']['path2xpdf_desc'].'</em>'; ?></td>
<td class="bottomline"><input name="path2xpdf" type="text" class="field" id="path2xpdf" style="width:100%;" value="<?php echo slashes($config['path2xpdf'], 0); ?>"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['settings']['path2antiword'].'<br /><em>'.$i18n['settings']['path2antiword_desc'].'</em>'; ?></td>
<td class="bottomline"><input name="path2antiword" type="text" class="field" id="path2antiword" style="width:100%;" value="<?php echo slashes($config['path2antiword'],0); ?>"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['settings']['stop_dirs'].'<br /><em>'.$i18n['settings']['stop_dirs_desc'].'</em>'; ?></td>
<td class="bottomline"><textarea name="stop_dirs" rows="5" class="ta" id="stop_dirs" style="width:100%;"><?php echo config_array2vars(unserialize(stripslashes($config['stop_dirs']))); ?></textarea></td></tr>
<tr><td class="bottomline"><?php echo $i18n['settings']['stop_files'].'<br /><em>'.$i18n['settings']['stop_files_desc'].'</em>'; ?></td>
<td class="bottomline"><textarea name="stop_files" rows="5" class="ta" id="stop_files" style="width:100%;"><?php echo config_array2vars(unserialize(stripslashes($config['stop_files']))); ?></textarea></td></tr>
<tr><tr><td class="bottomline"><?php echo $i18n['settings']['encoding']; ?> :</td>
<td class="bottomline"><select class="field" name="encoding" id="encoding"><?php
    foreach ($encodings as $value => $item) {
        echo "<option value=\"{$value}\"";
        if ($config['encoding'] == $value) echo " selected";
        echo ">{$item}</option>";
    }
    ?></select></td></tr>
<td height="30" colspan="2" class="thead"><?php echo $i18n['settings']['label']; ?> :</td></tr>
<tr><td class="bottomline"><?php echo $i18n['settings']['label_button']; ?> : </td>
<td class="bottomline"><input class="field" name="label_button" type="text" id="label_button" value="<?php echo $config['label_button']; ?>" size="40" maxlength="60"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['settings']['label_all_groups']; ?> : </td>
<td class="bottomline"><input class="field" name="label_all_groups" type="text" id="label_all_groups" value="<?php echo $config['label_all_groups']; ?>" size="40" maxlength="60"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['settings']['label_advanced']; ?> : </td>
<td class="bottomline"><input class="field" name="label_advanced" type="text" id="label_advanced" value="<?php echo $config['label_advanced']; ?>" size="40" maxlength="60"></td></tr>
<!--
<tr><td class="bottomline"><?php echo $i18n['settings']['label_search_res'].'<br /><em>'.$i18n['settings']['label_search_res_desc'].'</em>'; ?> :</td>
<td class="bottomline"><input class="field" name="label_search_res" type="text" id="label_search_res" value="<?php echo htmlspecialchars(stripslashes($config['label_search_res'])); ?>" size="40" maxlength="60"></td></tr>
//-->
<tr><td class="bottomline"><?php echo $i18n['settings']['label_error_found'].'<br /><em>'.$i18n['settings']['label_error_found_desc'].'</em>'; ?> :</td>
<td class="bottomline"><input class="field" name="label_error_found" type="text" id="label_error_found" value="<?php echo htmlspecialchars(stripslashes($config['label_error_found'])); ?>" size="40" maxlength="60"></td></tr>
<tr><td><?php echo $i18n['settings']['label_error_min'].'<br /><em>'.$i18n['settings']['label_error_min_desc'].'</em>'; ?> :</td>
<td><input class="field" name="label_error_min" type="text" id="label_error_min" value="<?php echo htmlspecialchars(stripslashes($config['label_error_min'])); ?>" size="40" maxlength="60"></td></tr>
<tr><td><?php echo $i18n['settings']['label_boolean'].'<br /><em>'.$i18n['settings']['label_boolean_desc'].'</em>'; ?> :</td>
<td><input class="field" name="label_boolean" type="text" id="label_boolean" value="<?php echo htmlspecialchars(stripslashes($config['label_boolean'])); ?>" size="40" maxlength="60"></td></tr>
</table></td></tr>
<tr><td class="topline">&nbsp;</td>
<td>&nbsp;</td></tr>
<tr><td colspan="2" class="commentBox"><span class="required">*</span> <span class="comment"><?php echo $i18n['settings']['comment'];?></span><?php
/** iconv */
if (!extension_loaded("iconv")) {
    print '<br /><span class="required">*</span> <span class="comment">'.$i18n['settings']['comment_iconv'].'</span>';
} if (!preg_match("/pdftotext$/s", $config['path2xpdf'])) {
    print '<br /><span class="required">*</span> <span class="comment">'.$i18n['settings']['comment_xpdf'].'</span>';
} if (!preg_match("/antiword$/s", $config['path2antiword'])) {
    print '<br /><span class="required">*</span> <span class="comment">'.$i18n['settings']['comment_antiword'].'</span>';
}
?></td></tr>
<tr align="center">
<td colspan="2"><input name="submit" type="submit" class="button" id="submit" value=" :: <?php echo $i18n['button']['save']; ?> :: "></td></tr></table>
</form><?php
    
    /** print footer */
    do_footer(0,2,1);
} else {
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}

?>