<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: stat_advanced.php,v2.0 2017/09/30 advocat Exp $ */

/** include files */
include('./inc.php');

check_access("stats");

/** destination GET variables */
if (!isset($_GET['act'])) {
    $_GET['act'] = "";
} if (!isset($_GET['p'])) {
    $_GET['p'] = 1;
}

$interval_vals = array(
"1" => $i18n['stat']['all_time'],
"2" => $i18n['stat']['today'],
"3" => $i18n['stat']['yesterday'],
"4" => $i18n['stat']['last_7_days'],
"5" => $i18n['stat']['this_week'],
"6" => $i18n['stat']['last_week'],
"7" => $i18n['stat']['this_month'],
"8" => $i18n['stat']['last_month'],
);

$month_vals = array(
"01" => $i18n['stat']['month_01'],
"02" => $i18n['stat']['month_02'],
"03" => $i18n['stat']['month_03'],
"04" => $i18n['stat']['month_04'],
"05" => $i18n['stat']['month_05'],
"06" => $i18n['stat']['month_06'],
"07" => $i18n['stat']['month_07'],
"08" => $i18n['stat']['month_08'],
"09" => $i18n['stat']['month_09'],
"10" => $i18n['stat']['month_10'],
"11" => $i18n['stat']['month_11'],
"12" => $i18n['stat']['month_12']
);

$day_vals = range(01,31);
$year_vals = range(2017,2017);

/**  */
$current_date['d'] = date("d");
$current_date['m'] = date("m");
$current_date['Y'] = date("Y");
$current_date['w'] = date("w");
$current_date['Ymd'] = date("Y-m-d");

if (!isset($_POST['mode'])) $_POST['mode'] = "0";
if (!isset($_POST['interval'])) $_POST['interval'] = "1";
if (!isset($_POST['s_month'])) $_POST['s_month'] = $current_date['m'];
if (!isset($_POST['s_day'])) $_POST['s_day'] = $current_date['d'];
if (!isset($_POST['s_year'])) $_POST['s_year'] = $current_date['Y'];
if (!isset($_POST['f_month'])) $_POST['f_month'] = $current_date['m'];
if (!isset($_POST['f_day'])) $_POST['f_day'] = $current_date['d'];
if (!isset($_POST['f_year'])) $_POST['f_year'] = $current_date['Y'];

/** DB table */
$tbl_name	= $system['prefix'].'_search_query';
$module		= 'statistic';

/** groups */
$groups = array();
$res = mysqli_query($db_connect, "SELECT `id`,`name` FROM `{$system['prefix']}_groups` ORDER BY `name`");
while ($row = mysqli_fetch_assoc($res)) {
	$groups[$row['id']] = $row['name'];
}

/** styles */
$styles = array();
$res = mysqli_query($db_connect, "SELECT `id`,`name` FROM `{$system['prefix']}_styles` ORDER BY `name`");
while ($row = mysqli_fetch_assoc($res)) {
	$styles[$row['id']] = $row['name'];
}

/** templates */
$templates = array();
$res = mysqli_query($db_connect, "SELECT `id`,`name` FROM `{$system['prefix']}_templates` ORDER BY `name`");
while ($row = mysqli_fetch_assoc($res)) {
	$templates[$row['id']] = $row['name'];
}

if (!$_GET['act']) {
	$mode = '0';
	$interval = 0;
	$sdate = date("Ymd");
	$fdate = date("Ymd");
	
	if (isset($_GET['mode'])) {
		if ($_GET['mode'] == '0') {
			$_POST['mode'] = 0;
			if (isset($_GET['interval'])) {
				$_POST['interval'] = $_GET['interval'];
			} else {
				$_POST['interval'] = $interval;
			}
		} else {
			$_POST['mode'] = '1';
			if (isset($_GET['sdate'])) {
				$_POST['s_year'] 	= substr($_GET['sdate'],0,4);
				$_POST['s_month']	= substr($_GET['sdate'],4,2);
				$_POST['s_day']		= substr($_GET['sdate'],6,2);
			} else {
				$_POST['s_year'] 	= substr($sdate,0,4);
				$_POST['s_month']	= substr($sdate,4,2);
				$_POST['s_day']		= substr($sdate,6,2);
			}
			if (isset($_GET['sdate'])) {
				$_POST['f_year'] 	= substr($_GET['fdate'],0,4);
				$_POST['f_month']	= substr($_GET['fdate'],4,2);
				$_POST['f_day']		= substr($_GET['fdate'],6,2);
			} else {
				$_POST['f_year'] 	= substr($fdate,0,4);
				$_POST['f_month']	= substr($fdate,4,2);
				$_POST['f_day']		= substr($fdate,6,2);
			}
		}
	}
	
	$sort_field_array 	= array('search_string','results','referer','ip_addr','datetime');
	$sort_field			= 'datetime';
	$sort_order 		= 'desc';
	
	if (isset($_GET['sf']) && in_array($_GET['sf'], $sort_field_array)) $sort_field = $_GET['sf'];
	if (isset($_GET['so']) && ($_GET['so'] == 'asc' || $_GET['so'] == 'desc')) $sort_order = $_GET['so'];
	
	$sql_order = '`'.$sort_field.'` '.$sort_order;
	
    $where_start_date = $where_finish_date = $sql_where = "";
    $current_udate = mktime(0,0,0,$current_date['m'],$current_date['d'],$current_date['Y']);

    if (isset($_POST['mode'])) {
        if ($_POST['mode'] == "0") {
            if ($_POST['interval'] == "2") {
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],$current_date['d']-1,$current_date['Y']));
            } elseif ($_POST['interval'] == "3") {
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],$current_date['d']-2,$current_date['Y']));
                $where_finish_date = date("Y-m-d", $current_udate);
            } elseif ($_POST['interval'] == "4") {
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],$current_date['d']-8,$current_date['Y']));
            } elseif ($_POST['interval'] == "5") {
                if ($current_date['w'] == 0) $day_minus = 7; else $day_minus = $current_date['w'] + 1;
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],$current_date['d']-$day_minus,$current_date['Y']));
            } elseif ($_POST['interval'] == "6") {
                if ($current_date['w'] == 1) $day_minus_start = 6; else $day_minus_start = 6 - $current_date['w'];
                $day_minus = 8 + $day_minus_start;
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],$current_date['d']-$day_minus,$current_date['Y']));
                $where_finish_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],$current_date['d']-$day_minus_start,$current_date['Y']));
            } elseif ($_POST['interval'] == "7") {
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],1-1,$current_date['Y']));
            } elseif ($_POST['interval'] == "8") {
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m']-1,1-1,$current_date['Y']));
                $where_finish_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],1,$current_date['Y']));
            }
            $mode = '0';
            $interval = $_POST['interval'];
        } else {
        	$mode = 1;
            $where_start_date = "{$_POST['s_year']}-{$_POST['s_month']}-{$_POST['s_day']}";
            $where_finish_date = "{$_POST['f_year']}-{$_POST['f_month']}-{$_POST['f_day']}";
        }

        if ($where_start_date || $where_finish_date) {
            $sql_where = "WHERE ";
            if ($where_start_date && $where_start_date != '--') {
            	$sql_where .= "DATE_FORMAT(`datetime`,'%Y-%m-%d') > '{$where_start_date}'";
            	$sdate = $_POST['s_year'].$_POST['s_month'].$_POST['s_day'];
            }
            if ($where_finish_date && $where_finish_date != '--') {
            	$sql_where .= " and DATE_FORMAT(`datetime`,'%Y-%m-%d') < '{$where_finish_date}'";
            	$fdate = $_POST['f_year'].$_POST['f_month'].$_POST['f_day'];
            }
        }
    }

    if (isset($_POST['cvs'])) {
        $cvs_write = "{$i18n['stat']['date']} | {$i18n['stat']['query']} | {$i18n['stat']['results']} | {$i18n['stat']['referer']} | {$i18n['stat']['ip_addr']}\n";
        $cvs_res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` ORDER BY {$sql_order}");
        while ($cvs_row = mysqli_fetch_array($cvs_res)) {
            $cvs_write .= "{$cvs_row['datetime']} | ".convert_to_utf($config['encoding'],$cvs_row['search_string'])." | {$cvs_row['result']} | {$cvs_row['referer']} | {$cvs_row['ip_addr']}\n";
        }

        header("Content-Type: text/text");
        header("Content-Length: ".array_sum(count_chars($cvs_write)));
        header("Content-Disposition: filename=\"stat_full_".date("ymd").".csv\"");
        echo $cvs_write;
        exit;
    }
    
    if ($mode == 0) {
    	$get_sort = 'mode=0&interval='.$interval;
    } else {
    	$get_sort = 'mode=1&sdate='.$sdate.'&fdate='.$fdate;
    }
    
    $sort_page			= $_SERVER['PHP_SELF'].'?p='.$_GET['p'].'&'.$get_sort;

    do_header($i18n['stat']['advanced'], 'advanced_statistic');
    ?><table width="100%"  border="0" cellspacing="10" cellpadding="0">
<tr><td><!-- report -->
<script language="javascript" type="text/javascript"><!--
function do_vis_mode (mode,form) {
    if (mode == 0) {
        form.elements['interval'].disabled = false;
        form.elements['s_month'].disabled = true;
        form.elements['s_day'].disabled = true;
        form.elements['s_year'].disabled = true;
        form.elements['f_month'].disabled = true;
        form.elements['f_day'].disabled = true;
        form.elements['f_year'].disabled = true;
    } else {
        form.elements['interval'].disabled = true;
        form.elements['s_month'].disabled = false;
        form.elements['s_day'].disabled = false;
        form.elements['s_year'].disabled = false;
        form.elements['f_month'].disabled = false;
        form.elements['f_day'].disabled = false;
        form.elements['f_year'].disabled = false;}
}
//--></script>
<form action="<?php echo $_SERVER['PHP_SELF'].'?sf='.$sort_field.'&so='.$sort_order; ?>" method="post" name="frm_stat" id="frm_stat">
<table  border="0" cellspacing="1" cellpadding="2">
<tr><td><input onClick="do_vis_mode(0,this.form);" name="mode" type="radio" value="0"<?php if($_POST['mode']=="0") echo " checked";?>></td>
<td colspan="10"><select name="interval" class="field" id="interval"><?php
    foreach ($interval_vals as $item => $label) {
        echo "<option value=\"{$item}\""; if ($item==$_POST['interval']){ echo " selected";} echo ">{$label}</option>\n";
    }
    ?></select></td></tr>
<tr><td><input onClick="do_vis_mode(1,this.form);" name="mode" type="radio" value="1"<?php if($_POST['mode']=="1") echo " checked";?>></td>
<td><select name="s_month" class="field" id="s_month"><?php
    foreach ($month_vals as $item => $label) {
        echo "<option value=\"{$item}\""; if ($item==$_POST['s_month']){ echo " selected";} echo ">{$label}</option>\n";
    }
    ?></select></td>
<td><select name="s_day" class="field" id="s_day"><?php
    foreach ($day_vals as $item) {
        $value = $item;
        if ($item < 10) { $item = "0{$item}"; }
        echo "<option value=\"{$item}\""; if ($item==$_POST['s_day']){ echo " selected";} echo ">{$value}</option>\n";
    }
    ?></select></td>
<td><select name="s_year" class="field" id="s_year"><?php
    foreach ($year_vals as $item) {
        echo "<option value=\"{$item}\""; if ($item==$_POST['s_year']){ echo " selected";} echo ">{$item}</option>\n";
    }
    ?></select></td>
<td>-</td>
<td><select name="f_month" class="field" id="f_month"><?php
    foreach ($month_vals as $item => $label) {
        echo "<option value=\"{$item}\""; if ($item==$_POST['f_month']){ echo " selected";} echo ">{$label}</option>\n";
    }
    ?></select></td>
<td><select name="f_day" class="field" id="f_day"><?php
    foreach ($day_vals as $item) {
        $value = $item;
        if ($item < 10) { $item = "0{$item}"; }
        echo "<option value=\"{$item}\""; if ($item==$_POST['f_day']){ echo " selected";} echo ">{$value}</option>\n";
    }
    ?></select></td>
<td><select name="f_year" class="field" id="f_year"><?php
    foreach ($year_vals as $item) {
        echo "<option value=\"{$item}\""; if ($item==$_POST['f_year']){ echo " selected";} echo ">{$item}</option>\n";
    }
    ?></select></td>
<td><input name="display" type="submit" class="button" id="display" value="<?php echo $i18n['stat']['but_display']; ?>"></td>
<td><input name="cvs" type="submit" class="button" id="cvs" value="<?php echo $i18n['stat']['but_cvs']; ?>"></td></tr></table></form>
<script language="javascript" type="text/javascript">do_vis_mode(<?php print $_POST['mode'];?>,document.forms['frm_stat']);</script>
<!-- /report--></td></tr></table>
<table width="96%" border="0" align="center" cellpadding="2" cellspacing="0" bgcolor="#FFFFFF" class=tbl_res>
<thead>
<tr><td height="30"><?php echo $i18n['stat']['date']; gui_sort('datetime'); ?></td>
<td><?php echo $i18n['stat']['query'].' / '.$i18n['stat']['group']; gui_sort('search_string'); ?></td>
<td><?php echo $i18n['stat']['results']; gui_sort('results'); ?></td>
<td><?php echo $i18n['stat']['referer']; gui_sort('referer'); ?></td>
<td><?php echo $i18n['stat']['ip_addr']; gui_sort('ip_addr'); ?></td>
<td><?php echo $i18n['stat']['style_tpl']; ?></td>
</tr></thead>
<tbody><?php
    $res_count = mysqli_query($db_connect, "SELECT COUNT(*) AS `count` FROM `{$tbl_name}` {$sql_where}");
    $row = mysqli_fetch_row($res_count);
    $count = intval($row[0] ?? 0);

    $rec = record_on_page($count, $limit_on_page, $_GET['p']);

    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` {$sql_where} ORDER BY {$sql_order} LIMIT {$rec['start']}, {$rec['limit']}");
    while ($row = mysqli_fetch_array($res)) {
        ?><tr><td class="bottomline"><?php echo $row['datetime']; ?></td>
<td class="bottomline"><a class="strong" href="../index.php?q=<?php echo urlencode($row['search_string']);?>"><?php echo htmlspecialchars(convert_to_utf($config['encoding'],$row['search_string']));?></a> / <?php if (isset($groups[$row['search_group']])) echo $groups[$row['search_group']]; else echo $i18n['stat']['group_all']; ?></td>
<td class="bottomline" align="center"><?php echo $row['results']; ?></td>
<td class="bottomline"><?php $r = wordwrap($row['referer'], 20, " ", true); print $r; ?></td>
<td class="bottomline"><?php echo $row['ip_addr']; ?></td>
<td class="bottomline"><?php
    if (isset($styles[$row['style_id']])) echo $styles[$row['style_id']];
    else echo $i18n['stat']['style_tpl_delete'];
    echo " / ";
    if (isset($templates[$row['tpl_id']])) echo $templates[$row['tpl_id']];
    else echo $i18n['stat']['style_tpl_delete'];
    ?></td></tr><?php
    }
    ?></tbody></table><?php
	if ($count > 0) echo '<table width="100%"  border="0" cellspacing="10" cellpadding="0">'."\n".'<tr><td>';
    if ($count > $limit_on_page) echo "<tr><td>".echo_on_page_admin($rec, $_SERVER['PHP_SELF'].'?'.$get_sort.'&sf='.$sort_field.'&so='.$sort_order.'&p=')."</td></tr>";
    if ($count > 0) {
        ?><tr><td align="center">
<script language="javascript" type="text/javascript">function do_reset_stat() {if (confirm('<?php echo $i18n['stat']['confirm_reset']; ?>')) document.location.href = '<?php echo $_SERVER['PHP_SELF']; ?>?act=reset<?php echo '&sf='.$sort_field.'&so='.$sort_order.'&'.$get_sort; ?>';}</script>
<input name="reset" type="button" class="button" id="reset" value=" :: <?php echo $i18n['stat']['reset']; ?> :: " onClick="javascript:do_reset_stat();"></td></tr><?php
    }
	if ($count > 0) print '</table>';
    /** print footer */
    do_footer(0,4,2);
} elseif ($_GET['act'] == "reset") {
    $mode = '0';
	$interval = 0;
	$sdate = date("Ymd");
	$fdate = date("Ymd");
	$sql_where = "";
	
	if (isset($_GET['mode'])) {
		if ($_GET['mode'] == '0') {
			$_POST['mode'] = 0;
			if (isset($_GET['interval'])) {
				$_POST['interval'] = $_GET['interval'];
			} else {
				$_POST['interval'] = $interval;
			}
		} else {
			$_POST['mode'] = '1';
			if (isset($_GET['sdate'])) {
				$_POST['s_year'] 	= substr($_GET['sdate'],0,4);
				$_POST['s_month']	= substr($_GET['sdate'],4,2);
				$_POST['s_day']		= substr($_GET['sdate'],6,2);
			} else {
				$_POST['s_year'] 	= substr($sdate,0,4);
				$_POST['s_month']	= substr($sdate,4,2);
				$_POST['s_day']		= substr($sdate,6,2);
			}
			if (isset($_GET['sdate'])) {
				$_POST['f_year'] 	= substr($_GET['fdate'],0,4);
				$_POST['f_month']	= substr($_GET['fdate'],4,2);
				$_POST['f_day']		= substr($_GET['fdate'],6,2);
			} else {
				$_POST['f_year'] 	= substr($fdate,0,4);
				$_POST['f_month']	= substr($fdate,4,2);
				$_POST['f_day']		= substr($fdate,6,2);
			}
		}
	}
	
	$sort_field_array 	= array('search_string','results','referer','ip_addr','datetime');
	$sort_field			= 'datetime';
	$sort_order 		= 'desc';
	
	if (isset($_GET['sf']) && in_array($_GET['sf'], $sort_field_array)) $sort_field = $_GET['sf'];
	if (isset($_GET['so']) && ($_GET['so'] == 'asc' || $_GET['so'] == 'desc')) $sort_order = $_GET['so'];
	
    $where_start_date = $where_finish_date = $sql_where = "";
    $current_udate = mktime(0,0,0,$current_date['m'],$current_date['d'],$current_date['Y']);

    if (isset($_POST['mode'])) {
        if ($_POST['mode'] == "0") {
            if ($_POST['interval'] == "2") {
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],$current_date['d']-1,$current_date['Y']));
            } elseif ($_POST['interval'] == "3") {
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],$current_date['d']-2,$current_date['Y']));
                $where_finish_date = date("Y-m-d", $current_udate);
            } elseif ($_POST['interval'] == "4") {
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],$current_date['d']-8,$current_date['Y']));
            } elseif ($_POST['interval'] == "5") {
                if ($current_date['w'] == 0) $day_minus = 7; else $day_minus = $current_date['w'] + 1;
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],$current_date['d']-$day_minus,$current_date['Y']));
            } elseif ($_POST['interval'] == "6") {
                if ($current_date['w'] == 1) $day_minus_start = 6; else $day_minus_start = 6 - $current_date['w'];
                $day_minus = 8 + $day_minus_start;
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],$current_date['d']-$day_minus,$current_date['Y']));
                $where_finish_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],$current_date['d']-$day_minus_start,$current_date['Y']));
            } elseif ($_POST['interval'] == "7") {
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],1-1,$current_date['Y']));
            } elseif ($_POST['interval'] == "8") {
                $where_start_date = date("Y-m-d", mktime(0,0,0,$current_date['m']-1,1-1,$current_date['Y']));
                $where_finish_date = date("Y-m-d", mktime(0,0,0,$current_date['m'],1,$current_date['Y']));
            }
            $mode = '0';
            $interval = $_POST['interval'];
        } else {
        	$mode = 1;
            $where_start_date = "{$_POST['s_year']}-{$_POST['s_month']}-{$_POST['s_day']}";
            $where_finish_date = "{$_POST['f_year']}-{$_POST['f_month']}-{$_POST['f_day']}";
        }

        if ($where_start_date || $where_finish_date) {
            $sql_where = "WHERE ";
            if ($where_start_date && $where_start_date != '--') {
            	$sql_where .= "DATE_FORMAT(`datetime`,'%Y-%m-%d') > '{$where_start_date}'";
            	$sdate = $_POST['s_year'].$_POST['s_month'].$_POST['s_day'];
            }
            if ($where_finish_date && $where_finish_date != '--') {
            	$sql_where .= " and DATE_FORMAT(`datetime`,'%Y-%m-%d') < '{$where_finish_date}'";
            	$fdate = $_POST['f_year'].$_POST['f_month'].$_POST['f_day'];
            }
        }
    }
	
    if ($mode == 0) {
    	$get_sort = 'mode=0&interval='.$interval;
    } else {
    	$get_sort = 'mode=1&sdate='.$sdate.'&fdate='.$fdate;
    }
    
	if ($sql_where) {
        mysqli_query($db_connect, "DELETE FROM `{$tbl_name}` {$sql_where}");
    } else {
        mysqli_query($db_connect, "TRUNCATE `{$tbl_name}`");
    }
    a_logs($module,"reset",$i18n['stat']['reset']);
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
} else {
	header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}
?>