<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: styles.php,v2.0 2017/09/30 advocat Exp $ */

/** include files */
include('./inc.php');

/** check admin access */
check_access("design");

/** determination GET vars */
if (!isset($_GET['act'])) {
    $_GET['act'] = "";
} if (!isset($_GET['p'])) {
    $_GET['p'] = 1;
} if (!isset($_GET['id'])) {
    $_GET['id'] = "";
}

/** DB table and module */
$tbl_name   = $system['prefix'].'_styles';
$module     = 'styles';

$sort_field_array   = array('id','name');
$sort_field         = 'name';
$sort_order         = 'asc';
$sort_page          = $_SERVER['PHP_SELF'].'?';

if (isset($_GET['sf']) && in_array($_GET['sf'], $sort_field_array)) $sort_field = $_GET['sf'];
if (isset($_GET['so']) && ($_GET['so'] == 'asc' || $_GET['so'] == 'desc')) $sort_order = $_GET['so'];

$imgbtns = array();
$imgbtns[0] = '0. '.$i18n['style']['imgbtns_button'];
$res = mysqli_query($db_connect, "SELECT * FROM `{$system['prefix']}_imgbtns` ORDER BY `name`");
while ($row = mysqli_fetch_assoc($res)) {
    $imgbtns[$row['id']] = $row['id'].'. '.$row['name'];
}

/** determination style vars */
$styles_vars = array(
array(1,1,1,1,1,1,0,1,1,1,"field"),
array(1,1,1,1,1,1,0,1,1,1,"button"),
array(1,1,1,1,1,1,0,1,1,1,"input_select"),
array(0,0,0,0,1,1,1,1,1,1,"advanced"),
array(0,0,0,0,1,1,1,1,1,1,"advanced_hover"),
array(0,0,0,0,1,1,1,1,1,1,"info_msg"),
array(0,0,0,0,1,1,1,1,1,1,"title"),
array(0,0,0,0,1,1,1,1,1,1,"title_hover"),
array(0,0,0,0,1,1,1,1,1,1,"result"),
array(0,0,0,0,1,1,1,1,1,1,"select"),
array(0,0,0,0,1,1,1,1,1,1,"address"),
array(0,0,0,0,1,1,1,1,1,1,"pages"),
array(0,0,0,0,1,1,1,1,1,1,"pages_link"),
array(0,0,0,0,1,1,1,1,1,1,"pages_link_hover"),
array(0,0,0,0,1,1,1,1,1,1,"pages_now")
);

$styles_stl             = array('border_width','border_style','border_color','background_color','font_family','font_style','text_decoration','text_color','font_size','font_weight');

$vars_border_style      = array("none","dotted","dashed","solid","double","grove","ringe","inset","outset");
$vars_font_family       = array("Arial","Tahoma","Verdana","Times New Romans","Courier");
$vars_font_style        = array("normal","italic");
$vars_font_weight       = array("normal","bold");
$vars_text_decoration   = array("none","underline","overline","line-through","blink");

/** if don't action */
if (!$_GET['act']) {
    /** print header */
    do_header($i18n['style']['title'],"styles");
    /** print error delete default style */
    if (isset($_GET['default']) && $_GET['default'] == 1) {
        echo "<script type=\"javascript\" type=\"text/javascript\">alert('{$i18n['style']['default_error']}');</script>\n";
    }
    ?><table width="100%"  border="0" cellspacing="10" cellpadding="0">
<tr><td height="25" align="center"><a class="strong" href="<?php echo $_SERVER['PHP_SELF']; ?>?act=add"><?php echo $i18n['style']['act_add']; ?></a></td></tr></table>
<script language="javascript" type="text/javascript"><!--
function do_delete(id) {if (confirm('<?php echo $i18n['style']['confirm_delete']; ?>')) {document.location.href='<?php echo $_SERVER['PHP_SELF']; ?>?act=delete&id=' + id;}}
function do_delete_default(id) { alert('<?php echo addslashes($i18n['style']['default_error']); ?>'); }
//--></script>
<table width="96%" border="0" cellpadding="4" cellspacing="0" bgcolor="#FFFFFF" align=center class=tbl_res>
<thead>
<tr><td height="30" width="24">id<?php gui_sort('id'); ?></td>
<td><?php echo $i18n['style']['name']; gui_sort('name'); ?></td>
<td width="70"><?php echo $i18n['style']['status_default']; ?></td>
<td width="62">&nbsp;</td>
<td width="61">&nbsp;</td>
<td width="43">&nbsp;</td></tr></thead>
<tbody><?php
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` ORDER BY `{$sort_field}` {$sort_order}");
    while ($row = mysqli_fetch_array($res)) {
        ?><tr><td class="bottomline"><?php echo $row['id']; ?></td>
<td class="bottomline"><strong><?php echo $row['name']; ?></strong></td>
<td class="bottomline"><?php if ($row['default'] == 1) echo $i18n['style']['status_default']; else echo "&nbsp;";?></td>
<td class="bottomline"><?php if ($row['default'] != 1) {?><a href="<?php echo $_SERVER['PHP_SELF']; ?>?act=default&id=<?php echo $row['id']; ?>"><img src="../img/i18n/act_set_default.gif" alt="<?php echo $i18n['style']['act_default']; ?>" width="58" height="14" border="0"></a><?php } else echo "&nbsp;"; ?></td>
<td class="bottomline"><a href="<?php echo $_SERVER['PHP_SELF']; ?>?act=edit&id=<?php echo $row['id']; ?>"><img src="../img/i18n/act_prop.gif" alt="<?php echo $i18n['style']['act_prop']; ?>" width="57" height="14" border="0"></a></td>
<td class="bottomline"><a href="javascript:do_delete<?php if ($row['default'] == 1) { echo "_default"; } ?>('<?php echo $row['id']; ?>');"><img src="../img/i18n/act_delete.gif" alt="<?php echo $i18n['style']['act_delete']; ?>" width="39" height="14" border="0"></a></td></tr><?php
    }
    ?></tbody></table><?php
    /** print footer */
    do_footer(0,3,1);
}
/** else if set default action */
elseif ($_GET['act'] == "default") {
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE `id`='{$_GET['id']}'");
    $row = mysqli_fetch_assoc($res);
    /** if exists style id */
    if (isset($row['id'])) {
        mysqli_query($db_connect, "UPDATE `{$tbl_name}` SET `default`=0");
        mysqli_query($db_connect, "UPDATE `{$tbl_name}` SET `default`=1 WHERE `id`='{$row['id']}'");

        a_logs($module, 'default', "{$i18n['style']['log_default']} {$row['name']}, id: {$row['id']}");
    }
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}
/** else if delete action */
elseif ($_GET['act'] == "delete") {
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE `id`='{$_GET['id']}'");
    $row = mysqli_fetch_array($res);
    if (isset($row['id'])) {
        if ($row['default'] == 1) {
            header("Location: {$_SERVER['PHP_SELF']}?default=1");
            exit;
        }

        mysqli_query($db_connect, "DELETE FROM `{$tbl_name}` WHERE `id`='{$row['id']}'");
        a_logs($module, 'delete', "{$i18n['style']['log_delete']} {$row['name']}, id: {$row['id']}");
    }
    header("Location: {$_SERVER['PHP_SELF']}?p={$_GET['p']}");
    exit;
}
/** else if add or edit action */
elseif ($_GET['act'] == "add" || $_GET['act'] == "edit" && is_numeric($_GET['id'])) {
    if ($_GET['act'] == "add") {
        /** destination header vars */
        $header_title = $i18n['style']['act_add'];
        $header_image = "add_new_style";
        /** if save action */
        if (isset($_POST['submit'])) {
            $style_profile = array(
            'result_groups'                     => trim($_POST['result_groups']),
            'result_title'                      => trim($_POST['result_title']),
            'result_titletop'                   => trim($_POST['result_titletop']),
            'result_description'                => trim($_POST['result_description']),
            'result_show_meta'                  => trim($_POST['result_show_meta']),
            'result_url'                        => trim($_POST['result_url']),
            'result_size'                       => trim($_POST['result_size']),
            'result_date'                       => trim($_POST['result_date']),
            'print_advanced'                    => trim($_POST['print_advanced']),
            'info_msg_align'                    => trim($_POST['info_msg_align']),
            
            'q_chr_width'                       => trim($_POST['q_chr_width']),
            'imgbtns'                           => trim($_POST['imgbtns']),

            'highlight_pdf'                     => trim($_POST['highlight_pdf']),               //AP
            'highlight_xls'                     => trim($_POST['highlight_xls']),               //AP
            'highlight_doc'                     => trim($_POST['highlight_doc']),               //AP
            'highlight_txt'                     => trim($_POST['highlight_txt']),               //AP

            'show_search_group'                 => trim($_POST['show_search_group']),           //AP
            'show_dropdown_result_menu'         => trim($_POST['show_dropdown_result_menu']),   //AP
            'search_in_result_box'              => trim($_POST['search_in_result_box']),        //AP
            
            's_form_alignment'                  => trim($_POST['s_form_alignment']),            //AP
            's_result_alignment'                => trim($_POST['s_result_alignment']),          //AP
            'show_s_term_in_s_box'              => trim($_POST['show_s_term_in_s_box']),        //AP
            'show_page_date'                    => trim($_POST['show_page_date']),              //AP
            'show_num_of_s_res'                 => trim($_POST['show_num_of_s_res']),           //AP

            'search_result_header_background'   => trim($_POST['search_result_header_background']), //AP
            'search_result_header_top_border_color'    => trim($_POST['search_result_header_top_border_color']),   //AP
            'show_suggestions'                  => trim($_POST['show_suggestions']),            //AP

            
            'field_border_width'                => trim($_POST['field_border_width']),
            'field_border_style'                => trim($_POST['field_border_style']),
            'field_border_color'                => trim($_POST['field_border_color']),
            'field_background_color'            => trim($_POST['field_background_color']),
            'field_font_family'                 => trim($_POST['field_font_family']),
            'field_font_style'                  => trim($_POST['field_font_style']),
            'field_text_color'                  => trim($_POST['field_text_color']),
            'field_font_size'                   => trim($_POST['field_font_size']),
            'field_font_weight'                 => trim($_POST['field_font_weight']),
            
            'input_select_border_width'         => trim($_POST['input_select_border_width']),
            'input_select_border_style'         => trim($_POST['input_select_border_style']),
            'input_select_border_color'         => trim($_POST['input_select_border_color']),
            'input_select_background_color'     => trim($_POST['input_select_background_color']),
            'input_select_font_family'          => trim($_POST['input_select_font_family']),
            'input_select_font_style'           => trim($_POST['input_select_font_style']),
            'input_select_text_color'           => trim($_POST['input_select_text_color']),
            'input_select_font_size'            => trim($_POST['input_select_font_size']),
            'input_select_font_weight'          => trim($_POST['input_select_font_weight']),
            
            'button_border_width'               => trim($_POST['button_border_width']),
            'button_border_style'               => trim($_POST['button_border_style']),
            'button_border_color'               => trim($_POST['button_border_color']),
            'button_background_color'           => trim($_POST['button_background_color']),
            'button_font_family'                => trim($_POST['button_font_family']),
            'button_font_style'                 => trim($_POST['button_font_style']),
            'button_text_color'                 => trim($_POST['button_text_color']),
            'button_font_size'                  => trim($_POST['button_font_size']),
            'button_font_weight'                => trim($_POST['button_font_weight']),
            
            'advanced_font_family'              => trim($_POST['advanced_font_family']),
            'advanced_font_style'               => trim($_POST['advanced_font_style']),
            'advanced_text_decoration'          => trim($_POST['advanced_text_decoration']),
            'advanced_text_color'               => trim($_POST['advanced_text_color']),
            'advanced_font_size'                => trim($_POST['advanced_font_size']),
            'advanced_font_weight'              => trim($_POST['advanced_font_weight']),
            
            'advanced_hover_font_family'        => trim($_POST['advanced_hover_font_family']),
            'advanced_hover_font_style'         => trim($_POST['advanced_hover_font_style']),
            'advanced_hover_text_decoration'    => trim($_POST['advanced_hover_text_decoration']),
            'advanced_hover_text_color'         => trim($_POST['advanced_hover_text_color']),
            'advanced_hover_font_size'          => trim($_POST['advanced_hover_font_size']),
            'advanced_hover_font_weight'        => trim($_POST['advanced_hover_font_weight']),
            
            'info_msg_font_family'              => trim($_POST['info_msg_font_family']),
            'info_msg_font_style'               => trim($_POST['info_msg_font_style']),
            'info_msg_text_decoration'          => trim($_POST['info_msg_text_decoration']),
            'info_msg_text_color'               => trim($_POST['info_msg_text_color']),
            'info_msg_font_size'                => trim($_POST['info_msg_font_size']),
            'info_msg_font_weight'              => trim($_POST['info_msg_font_weight']),
            
            'title_font_family'                 => trim($_POST['title_font_family']),
            'title_font_style'                  => trim($_POST['title_font_style']),
            'title_text_decoration'             => trim($_POST['title_text_decoration']),
            'title_text_color'                  => trim($_POST['title_text_color']),
            'title_font_size'                   => trim($_POST['title_font_size']),
            'title_font_weight'                 => trim($_POST['title_font_weight']),
            
            'title_hover_font_family'           => trim($_POST['title_hover_font_family']),
            'title_hover_font_style'            => trim($_POST['title_hover_font_style']),
            'title_hover_text_decoration'       => trim($_POST['title_hover_text_decoration']),
            'title_hover_text_color'            => trim($_POST['title_hover_text_color']),
            'title_hover_font_size'             => trim($_POST['title_hover_font_size']),
            'title_hover_font_weight'           => trim($_POST['title_hover_font_weight']),
            
            'result_font_family'                => trim($_POST['result_font_family']),
            'result_font_style'                 => trim($_POST['result_font_style']),
            'result_text_decoration'            => trim($_POST['result_text_decoration']),
            'result_text_color'                 => trim($_POST['result_text_color']),
            'result_font_size'                  => trim($_POST['result_font_size']),
            'result_font_weight'                => trim($_POST['result_font_weight']),
            
            'select_font_family'                => trim($_POST['select_font_family']),
            'select_font_style'                 => trim($_POST['select_font_style']),
            'select_text_decoration'            => trim($_POST['select_text_decoration']),
            'select_text_color'                 => trim($_POST['select_text_color']),
            'select_font_size'                  => trim($_POST['select_font_size']),
            'select_font_weight'                => trim($_POST['select_font_weight']),
            
            'address_font_family'               => trim($_POST['address_font_family']),
            'address_font_style'                => trim($_POST['address_font_style']),
            'address_text_decoration'           => trim($_POST['address_text_decoration']),
            'address_text_color'                => trim($_POST['address_text_color']),
            'address_font_size'                 => trim($_POST['address_font_size']),
            'address_font_weight'               => trim($_POST['address_font_weight']),
            
            'pages_font_family'                 => trim($_POST['pages_font_family']),
            'pages_font_style'                  => trim($_POST['pages_font_style']),
            'pages_text_decoration'             => trim($_POST['pages_text_decoration']),
            'pages_text_color'                  => trim($_POST['pages_text_color']),
            'pages_font_size'                   => trim($_POST['pages_font_size']),
            'pages_font_weight'                 => trim($_POST['pages_font_weight']),
            
            'pages_link_font_family'            => trim($_POST['pages_link_font_family']),
            'pages_link_font_style'             => trim($_POST['pages_link_font_style']),
            'pages_link_text_decoration'        => trim($_POST['pages_link_text_decoration']),
            'pages_link_text_color'             => trim($_POST['pages_link_text_color']),
            'pages_link_font_size'              => trim($_POST['pages_link_font_size']),
            'pages_link_font_weight'            => trim($_POST['pages_link_font_weight']),
            
            'pages_link_hover_font_family'      => trim($_POST['pages_link_hover_font_family']),
            'pages_link_hover_font_style'       => trim($_POST['pages_link_hover_font_style']),
            'pages_link_hover_text_decoration'  => trim($_POST['pages_link_hover_text_decoration']),
            'pages_link_hover_text_color'       => trim($_POST['pages_link_hover_text_color']),
            'pages_link_hover_font_size'        => trim($_POST['pages_link_hover_font_size']),
            'pages_link_hover_font_weight'      => trim($_POST['pages_link_hover_font_weight']),
            
            'pages_now_font_family'             => trim($_POST['pages_now_font_family']),
            'pages_now_font_style'              => trim($_POST['pages_now_font_style']),
            'pages_now_text_decoration'         => trim($_POST['pages_now_text_decoration']),
            'pages_now_text_color'              => trim($_POST['pages_now_text_color']),
            'pages_now_font_size'               => trim($_POST['pages_now_font_size']),
            'pages_now_font_weight'             => trim($_POST['pages_now_font_weight'])
            );
            $sql = array(
            "name"=>trim($_POST['name']),
            "data"=>addslashes(serialize($style_profile)),
            "default"=>"0"
            );
            $set = array2sql($sql);
            mysqli_query("INSERT INTO `{$tbl_name}` SET {$set}");
            $id = mysqli_insert_id();

            a_logs($module, 'add', "{$i18n['style']['log_add']} {$sql['name']}, id: {$id}");

            $count_res = mysqli_query($db_connect, "SELECT COUNT(*) FROM `{$tbl_name}`");
            $row = mysqli_fetch_row($count_res);
            $count = intval($row[0] ?? 0);
            if ($count == 1) {
                header("Location: {$_SERVER['PHP_SELF']}?act=default&id={$id}");
                exit;
            }

            header("Location: {$_SERVER['PHP_SELF']}");
            exit;
        } else {
            $prop = array(
            'name'                              => '',
            'result_groups'                     => 1,
            'result_title'                      => 1,
            'result_titletop'                   => 1,
            'result_description'                => 1,
            'result_show_meta'                  => 0,
            'result_url'                        => 1,
            'result_size'                       => 1,
            'result_date'                       => 1,
            'print_advanced'                    => 1,
            'info_msg_align'                    => 'center',
            
            'q_chr_width'                       => 20,
            'imgbtns'                           => 0,

            'highlight_pdf'                     => 'icon',          //AP
            'highlight_xls'                     => 'icon',          //AP
            'highlight_doc'                     => 'icon',          //AP
            'highlight_txt'                     => 'icon',          //AP

            'show_search_group'                 => 'dropdownbox',   //AP
            'show_dropdown_result_menu'         => 'disable',       //AP
            'search_in_result_box'              => 'disable',       //AP

            's_form_alignment'                  => 'center',          //AP
            's_result_alignment'                => 'left',          //AP
            'show_s_term_in_s_box'              => 0,               //AP
            'show_page_date'                    => 0,               //AP
            'show_num_of_s_res'                 => 0,               //AP

            'search_result_header_background'   => 'ecf5fa',        //AP
            'search_result_header_top_border_color' => 'c3ccd3',    //AP
            'show_suggestions'                  => 1,               //AP

            
            'field_border_width'                => '1',
            'field_border_style'                => 'solid',
            'field_border_color'                => '999999',
            'field_background_color'            => 'ffffff',
            'field_font_family'                 => 'Arial',
            'field_font_style'                  => 'none',
            'field_text_color'                  => '000000',
            'field_font_size'                   => '12',
            'field_font_weight'                 => 'normal',
            
            'input_select_border_width'         => '',
            'input_select_border_style'         => 'none',
            'input_select_border_color'         => '',
            'input_select_background_color'     => 'ffffff',
            'input_select_font_family'          => 'Arial',
            'input_select_font_style'           => 'none',
            'input_select_text_color'           => '000000',
            'input_select_font_size'            => '12',
            'input_select_font_weight'          => 'normal',
            
            'button_border_width'               => '',
            'button_border_style'               => 'none',
            'button_border_color'               => '',
            'button_background_color'           => '',
            'button_font_family'                => 'Arial',
            'button_font_style'                 => 'none',
            'button_text_color'                 => '000000',
            'button_font_size'                  => '12',
            'button_font_weight'                => 'normal',
            
            'advanced_font_family'              => 'Arial',
            'advanced_font_style'               => 'none',
            'advanced_text_decoration'          => 'none',
            'advanced_text_color'               => '7777cc',
            'advanced_font_size'                => '11',
            'advanced_font_weight'              => 'normal',
            
            'advanced_hover_font_family'        => 'Arial',
            'advanced_hover_font_style'         => 'none',
            'advanced_hover_text_decoration'    => 'underline',
            'advanced_hover_text_color'         => '7777cc',
            'advanced_hover_font_size'          => '11',
            'advanced_hover_font_weight'        => 'normal',
            
            'info_msg_font_family'              => 'Arial',
            'info_msg_font_style'               => 'none',
            'info_msg_text_decoration'          => 'none',
            'info_msg_text_color'               => '7777cc',
            'info_msg_font_size'                => '13',
            'info_msg_font_weight'              => 'bold',
            
            'title_font_family'                 => 'Arial',
            'title_font_style'                  => 'none',
            'title_text_decoration'             => 'none',
            'title_text_color'                  => '7777cc',
            'title_font_size'                   => '13',
            'title_font_weight'                 => 'bold',
            
            'title_hover_font_family'           => 'Arial',
            'title_hover_font_style'            => 'none',
            'title_hover_text_decoration'       => 'underline',
            'title_hover_text_color'            => '7777cc',
            'title_hover_font_size'             => '13',
            'title_hover_font_weight'           => 'bold',
            
            'result_font_family'                => 'Arial',
            'result_font_style'                 => 'none',
            'result_text_decoration'            => 'none',
            'result_text_color'                 => '000000',
            'result_font_size'                  => '12',
            'result_font_weight'                => 'normal',
            
            'select_font_family'                => 'Arial',
            'select_font_style'                 => 'none',
            'select_text_decoration'            => 'none',
            'select_text_color'                 => '990000',
            'select_font_size'                  => '12',
            'select_font_weight'                => 'bold',
            
            'address_font_family'               => 'Arial',
            'address_font_style'                => 'none',
            'address_text_decoration'           => 'none',
            'address_text_color'                => '008000',
            'address_font_size'                 => '12',
            'address_font_weight'               => 'normal',
            
            'pages_font_family'                 => 'Arial',
            'pages_font_style'                  => 'none',
            'pages_text_decoration'             => 'none',
            'pages_text_color'                  => '000000',
            'pages_font_size'                   => '12',
            'pages_font_weight'                 => 'normal',
            
            'pages_link_font_family'            => 'Arial',
            'pages_link_font_style'             => 'none',
            'pages_link_text_decoration'        => 'underline',
            'pages_link_text_color'             => '000000',
            'pages_link_font_size'              => '12',
            'pages_link_font_weight'            => 'normal',
            
            'pages_link_hover_font_family'      => 'Arial',
            'pages_link_hover_font_style'       => 'none',
            'pages_link_hover_text_decoration'  => 'underline',
            'pages_link_hover_text_color'       => '000000',
            'pages_link_hover_font_size'        => '12',
            'pages_link_hover_font_weight'      => 'normal',
            
            'pages_now_font_family'             => 'Arial',
            'pages_now_font_style'              => 'none',
            'pages_now_text_decoration'         => 'none',
            'pages_now_text_color'              => 'a90a08',
            'pages_now_font_size'               => '12',
            'pages_now_font_weight'             => 'bold'
            );
        }
    } elseif ($_GET['act'] == "edit" && is_numeric($_GET['id'])) {
        /** destination header vars */
        $header_title = $i18n['style']['act_prop'];
        $header_image = "style_properties";
        /** if save action */
        if (isset($_POST['submit'])) {
            $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE `id`='{$_GET['id']}'");
            $row = mysqli_fetch_array($res);
            if (!isset($row['id'])) {
                header("Location: {$_SERVER['PHP_SELF']}");
                exit;
            }
            $style_profile = array(
            'result_groups'                     => trim($_POST['result_groups']),
            'result_title'                      => trim($_POST['result_title']),
            'result_titletop'                   => trim($_POST['result_titletop']),
            'result_description'                => trim($_POST['result_description']),
            'result_show_meta'                  => trim($_POST['result_show_meta']),
            'result_url'                        => trim($_POST['result_url']),
            'result_size'                       => trim($_POST['result_size']),
            'result_date'                       => trim($_POST['result_date']),
            'print_advanced'                    => trim($_POST['print_advanced']),
            'info_msg_align'                    => trim($_POST['info_msg_align']),
            
            'q_chr_width'                       => trim($_POST['q_chr_width']),
            'imgbtns'                           => trim($_POST['imgbtns']),

            'highlight_pdf'                     => trim($_POST['highlight_pdf']),               //AP
            'highlight_xls'                     => trim($_POST['highlight_xls']),               //AP
            'highlight_doc'                     => trim($_POST['highlight_doc']),               //AP
            'highlight_txt'                     => trim($_POST['highlight_txt']),               //AP

            'show_search_group'                 => trim($_POST['show_search_group']),           //AP
            'show_dropdown_result_menu'         => trim($_POST['show_dropdown_result_menu']),   //AP
            'search_in_result_box'              => trim($_POST['search_in_result_box']),        //AP
            
            's_form_alignment'                  => trim($_POST['s_form_alignment']),            //AP
            's_result_alignment'                => trim($_POST['s_result_alignment']),          //AP
            'show_s_term_in_s_box'              => trim($_POST['show_s_term_in_s_box']),        //AP
            'show_page_date'                    => trim($_POST['show_page_date']),              //AP
            'show_num_of_s_res'                 => trim($_POST['show_num_of_s_res']),           //AP

            'search_result_header_background'   => trim($_POST['search_result_header_background']), //AP
            'search_result_header_top_border_color'    => trim($_POST['search_result_header_top_border_color']),   //AP
            'show_suggestions'                  => trim($_POST['show_suggestions']),            //AP
            
            'field_border_width'                => trim($_POST['field_border_width']),
            'field_border_style'                => trim($_POST['field_border_style']),
            'field_border_color'                => trim($_POST['field_border_color']),
            'field_background_color'            => trim($_POST['field_background_color']),
            'field_font_family'                 => trim($_POST['field_font_family']),
            'field_font_style'                  => trim($_POST['field_font_style']),
            'field_text_color'                  => trim($_POST['field_text_color']),
            'field_font_size'                   => trim($_POST['field_font_size']),
            'field_font_weight'                 => trim($_POST['field_font_weight']),
            
            'input_select_border_width'         => trim($_POST['input_select_border_width']),
            'input_select_border_style'         => trim($_POST['input_select_border_style']),
            'input_select_border_color'         => trim($_POST['input_select_border_color']),
            'input_select_background_color'     => trim($_POST['input_select_background_color']),
            'input_select_font_family'          => trim($_POST['input_select_font_family']),
            'input_select_font_style'           => trim($_POST['input_select_font_style']),
            'input_select_text_color'           => trim($_POST['input_select_text_color']),
            'input_select_font_size'            => trim($_POST['input_select_font_size']),
            'input_select_font_weight'          => trim($_POST['input_select_font_weight']),
            
            'button_border_width'               => trim($_POST['button_border_width']),
            'button_border_style'               => trim($_POST['button_border_style']),
            'button_border_color'               => trim($_POST['button_border_color']),
            'button_background_color'           => trim($_POST['button_background_color']),
            'button_font_family'                => trim($_POST['button_font_family']),
            'button_font_style'                 => trim($_POST['button_font_style']),
            'button_text_color'                 => trim($_POST['button_text_color']),
            'button_font_size'                  => trim($_POST['button_font_size']),
            'button_font_weight'                => trim($_POST['button_font_weight']),
            
            'advanced_font_family'              => trim($_POST['advanced_font_family']),
            'advanced_font_style'               => trim($_POST['advanced_font_style']),
            'advanced_text_decoration'          => trim($_POST['advanced_text_decoration']),
            'advanced_text_color'               => trim($_POST['advanced_text_color']),
            'advanced_font_size'                => trim($_POST['advanced_font_size']),
            'advanced_font_weight'              => trim($_POST['advanced_font_weight']),
            
            'advanced_hover_font_family'        => trim($_POST['advanced_hover_font_family']),
            'advanced_hover_font_style'         => trim($_POST['advanced_hover_font_style']),
            'advanced_hover_text_decoration'    => trim($_POST['advanced_hover_text_decoration']),
            'advanced_hover_text_color'         => trim($_POST['advanced_hover_text_color']),
            'advanced_hover_font_size'          => trim($_POST['advanced_hover_font_size']),
            'advanced_hover_font_weight'        => trim($_POST['advanced_hover_font_weight']),
            
            'info_msg_font_family'              => trim($_POST['info_msg_font_family']),
            'info_msg_font_style'               => trim($_POST['info_msg_font_style']),
            'info_msg_text_decoration'          => trim($_POST['info_msg_text_decoration']),
            'info_msg_text_color'               => trim($_POST['info_msg_text_color']),
            'info_msg_font_size'                => trim($_POST['info_msg_font_size']),
            'info_msg_font_weight'              => trim($_POST['info_msg_font_weight']),
            
            'title_font_family'                 => trim($_POST['title_font_family']),
            'title_font_style'                  => trim($_POST['title_font_style']),
            'title_text_decoration'             => trim($_POST['title_text_decoration']),
            'title_text_color'                  => trim($_POST['title_text_color']),
            'title_font_size'                   => trim($_POST['title_font_size']),
            'title_font_weight'                 => trim($_POST['title_font_weight']),
            
            'title_hover_font_family'           => trim($_POST['title_hover_font_family']),
            'title_hover_font_style'            => trim($_POST['title_hover_font_style']),
            'title_hover_text_decoration'       => trim($_POST['title_hover_text_decoration']),
            'title_hover_text_color'            => trim($_POST['title_hover_text_color']),
            'title_hover_font_size'             => trim($_POST['title_hover_font_size']),
            'title_hover_font_weight'           => trim($_POST['title_hover_font_weight']),
            
            'result_font_family'                => trim($_POST['result_font_family']),
            'result_font_style'                 => trim($_POST['result_font_style']),
            'result_text_decoration'            => trim($_POST['result_text_decoration']),
            'result_text_color'                 => trim($_POST['result_text_color']),
            'result_font_size'                  => trim($_POST['result_font_size']),
            'result_font_weight'                => trim($_POST['result_font_weight']),
            
            'select_font_family'                => trim($_POST['select_font_family']),
            'select_font_style'                 => trim($_POST['select_font_style']),
            'select_text_decoration'            => trim($_POST['select_text_decoration']),
            'select_text_color'                 => trim($_POST['select_text_color']),
            'select_font_size'                  => trim($_POST['select_font_size']),
            'select_font_weight'                => trim($_POST['select_font_weight']),
            
            'address_font_family'               => trim($_POST['address_font_family']),
            'address_font_style'                => trim($_POST['address_font_style']),
            'address_text_decoration'           => trim($_POST['address_text_decoration']),
            'address_text_color'                => trim($_POST['address_text_color']),
            'address_font_size'                 => trim($_POST['address_font_size']),
            'address_font_weight'               => trim($_POST['address_font_weight']),
            
            'pages_font_family'                 => trim($_POST['pages_font_family']),
            'pages_font_style'                  => trim($_POST['pages_font_style']),
            'pages_text_decoration'             => trim($_POST['pages_text_decoration']),
            'pages_text_color'                  => trim($_POST['pages_text_color']),
            'pages_font_size'                   => trim($_POST['pages_font_size']),
            'pages_font_weight'                 => trim($_POST['pages_font_weight']),
            
            'pages_link_font_family'            => trim($_POST['pages_link_font_family']),
            'pages_link_font_style'             => trim($_POST['pages_link_font_style']),
            'pages_link_text_decoration'        => trim($_POST['pages_link_text_decoration']),
            'pages_link_text_color'             => trim($_POST['pages_link_text_color']),
            'pages_link_font_size'              => trim($_POST['pages_link_font_size']),
            'pages_link_font_weight'            => trim($_POST['pages_link_font_weight']),
            
            'pages_link_hover_font_family'      => trim($_POST['pages_link_hover_font_family']),
            'pages_link_hover_font_style'       => trim($_POST['pages_link_hover_font_style']),
            'pages_link_hover_text_decoration'  => trim($_POST['pages_link_hover_text_decoration']),
            'pages_link_hover_text_color'       => trim($_POST['pages_link_hover_text_color']),
            'pages_link_hover_font_size'        => trim($_POST['pages_link_hover_font_size']),
            'pages_link_hover_font_weight'      => trim($_POST['pages_link_hover_font_weight']),
            
            'pages_now_font_family'             => trim($_POST['pages_now_font_family']),
            'pages_now_font_style'              => trim($_POST['pages_now_font_style']),
            'pages_now_text_decoration'         => trim($_POST['pages_now_text_decoration']),
            'pages_now_text_color'              => trim($_POST['pages_now_text_color']),
            'pages_now_font_size'               => trim($_POST['pages_now_font_size']),
            'pages_now_font_weight'             => trim($_POST['pages_now_font_weight'])
            );
            $sql = array(
            "name"=>trim($_POST['name']),
            "data"=>addslashes(serialize($style_profile)),
            "default"=>$row['default']
            );
            $set = array2sql($sql);
            mysqli_query($db_connect, "UPDATE `{$tbl_name}` SET {$set} WHERE `id`='{$row['id']}'");

            a_logs($module, 'update', "{$i18n['style']['log_update']} {$sql['name']}, id: {$row['id']}");

            if ($sql['default'] == "1") {
                header("Location: {$_SERVER['PHP_SELF']}?act=default&id={$row['id']}");
                exit;
            } else {
                header("Location: {$_SERVER['PHP_SELF']}");
                exit;
            }
        } else {
            $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE `id`='{$_GET['id']}'");
            $row = mysqli_fetch_array($res);
            if (isset($_GET['id'])) {
                $_GET['id'] = $row['id'];
                $prop = unserialize(stripslashes($row['data']));
                $prop['name'] = $row['name'];
            } else {
                header("Location: {$_SERVER['PHP_SELF']}");
                exit;
            }
        }
    }
    /** print header */
    do_header($header_title, $header_image);
    ?><table width="100%"  border="0" cellspacing="10" cellpadding="0">
<tr><td height="25" align="center"><a class=strong href="<?php echo $_SERVER['PHP_SELF'];?>"><?php echo $i18n['style']['back_to_menu'];?></a></td></tr></table>
<form action="<?php echo $_SERVER['PHP_SELF']; ?>?act=<?php echo $_GET['act']; ?>&id=<?php echo $_GET['id']; ?>" method="post" name="frm_save" id="frm_save" onSubmit="return do_check('frm_save');">
<script language="javascript" type="text/javascript"><!--
function do_check(form_name) {
    form = document.forms[form_name];
    tmp = form.elements['name'];
    if (tmp.value == "") {
        alert('<?php echo $i18n['style']['error_name']; ?>');
        tmp.focus();
        return false;
    } return true;
}
//--></script>
<table width="100%"  border="0" cellspacing="5" cellpadding="0">
<tr><td width="10%">&nbsp;</td>
<td><table width="100%"  border="0" cellpadding="4" cellspacing="0" bgcolor="#FFFFFF">
<tr><td width="40%" class="bottomline"><?php echo $i18n['style']['name']; ?> : </td>
<td class="bottomline"><input class="field" name="name" type="text" value="<?php echo $prop['name']; ?>" style="width:80%;"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['style']['result_groups']; ?> : </td>
<td class="bottomline"><input name="result_groups" type="radio" value="1" <?php if($prop['result_groups']==1) echo " checked";?>> <?php echo $i18n['style']['result_groups_Y']; ?><br />
<input name="result_groups" type="radio" value="0" <?php if($prop['result_groups']==0) echo " checked";?>> <?php echo $i18n['style']['result_groups_N']; ?></td></tr>
<tr><td class="bottomline"><?php echo $i18n['style']['result_title']; ?> : </td>
<td class="bottomline"><input name="result_title" type="radio" value="1" <?php if($prop['result_title']==1) echo " checked";?>> <?php echo $i18n['style']['result_title_Y']; ?><br />
<input name="result_title" type="radio" value="0" <?php if($prop['result_title']==0) echo " checked";?>> <?php echo $i18n['style']['result_title_N']; ?></td></tr>
<tr><td class="bottomline"><?php echo $i18n['style']['result_titletop']; ?> : </td>
<td class="bottomline"><input name="result_titletop" type="radio" value="1" <?php if($prop['result_titletop']==1) echo " checked";?>> <?php echo $i18n['style']['result_titletop_Y']; ?><br />
<input name="result_titletop" type="radio" value="0" <?php if($prop['result_titletop']==0) echo " checked";?>> <?php echo $i18n['style']['result_titletop_N']; ?></td></tr>
<tr><td class="bottomline"><?php echo $i18n['style']['result_description']; ?> : </td>
<td class="bottomline"><input name="result_description" type="radio" value="1" <?php if($prop['result_description']==1) echo " checked";?>> <?php echo $i18n['style']['result_description_Y']; ?><br />
<input name="result_description" type="radio" value="0" <?php if($prop['result_description']==0) echo " checked";?>> <?php echo $i18n['style']['result_description_N']; ?></td></tr>
<tr><td class="bottomline"><?php echo $i18n['style']['result_show_meta']; ?> : </td>
<td class="bottomline"><input name="result_show_meta" type="radio" value="1" <?php if($prop['result_show_meta']==1) echo " checked";?>> <?php echo $i18n['style']['result_show_meta_Y']; ?><br />
<input name="result_show_meta" type="radio" value="0" <?php if($prop['result_show_meta']==0) echo " checked";?>> <?php echo $i18n['style']['result_show_meta_N']; ?></td></tr>
<tr><td class="bottomline"><?php echo $i18n['style']['result_url']; ?> : </td>
<td class="bottomline"><input name="result_url" type="radio" value="1" <?php if($prop['result_url']==1) echo " checked";?>> <?php echo $i18n['style']['result_url_Y']; ?><br />
<input name="result_url" type="radio" value="0" <?php if($prop['result_url']==0) echo " checked";?>> <?php echo $i18n['style']['result_url_N']; ?></td></tr>
<tr><td class="bottomline"><?php echo $i18n['style']['result_size']; ?> : </td>
<td class="bottomline"><input name="result_size" type="radio" value="1" <?php if($prop['result_size']==1) echo " checked";?>> <?php echo $i18n['style']['result_size_Y']; ?><br />
<input name="result_size" type="radio" value="0" <?php if($prop['result_size']==0) echo " checked";?>> <?php echo $i18n['style']['result_size_N']; ?></td></tr>
<tr><td class="bottomline"><?php echo $i18n['style']['result_date']; ?> : </td>
<td class="bottomline"><input name="result_date" type="radio" value="1" <?php if($prop['result_date']==1) echo " checked";?>> <?php echo $i18n['style']['result_date_Y']; ?><br />
<input name="result_date" type="radio" value="0" <?php if($prop['result_date']==0) echo " checked";?>> <?php echo $i18n['style']['result_date_N']; ?></td></tr>
<tr><td class="bottomline"><?php echo $i18n['style']['print_advanced']; ?> : </td>
<td class="bottomline"><input name="print_advanced" type="radio" value="1" <?php if($prop['print_advanced']==1) echo " checked";?>> <?php echo $i18n['style']['print_advanced_Y']; ?><br />
<input name="print_advanced" type="radio" value="0" <?php if($prop['print_advanced']==0) echo " checked";?>> <?php echo $i18n['style']['print_advanced_N']; ?></td></tr>
<tr><td class="bottomline"><?php echo $i18n['style']['info_msg_align']; ?> : </td>
<td class="bottomline"><select name="info_msg_align" class=field id="info_msg_align"><?php
    foreach ($i18n['settings']['align_vars'] as $key => $var) {
        print '<option value="'.$key.'"';
        if ($key == $prop['info_msg_align']) print ' selected';
        print '>'.$var.'</option>';
    }
    ?></select></td></tr>
<tr><td class="bottomline"><?php echo $i18n['style']['q_chr_width']; ?> : </td>
<td class="bottomline"><input class="field" name="q_chr_width" type="text" value="<?php echo $prop['q_chr_width']; ?>" style="width:80%;"></td></tr>
<tr><td class="bottomline"><?php echo $i18n['style']['imgbtns']; ?> : </td>
<td class="bottomline"><select name="imgbtns" class=field id="imgbtns"><?php
    foreach ($imgbtns as $key => $var) {
        print '<option value="'.$key.'"';
        if ($key == $prop['imgbtns']) print ' selected';
        print '>'.$var.'</option>';
    }
    ?></select></td></tr>
    <!-- Highlight Section -->
    <tr>
     <td height=30 colspan=2 class="thead"><?php echo $i18n['style']['_show_icon']; ?></td>
    </tr>
    <tr>
     <td class="bottomline"><?php echo $i18n['style']['highlight_pdf']; ?> : </td>
     <td class="bottomline">
      <input name="highlight_pdf" type="radio" value="icon" <?php if($prop['highlight_pdf']=='icon') echo " checked";?>> <?php echo $i18n['style']['highlight_pdf_icon'];?><br />
      <input name="highlight_pdf" type="radio" value="text" <?php if($prop['highlight_pdf']=='text') echo " checked";?>> <?php echo $i18n['style']['highlight_pdf_text'];?><br />
      <input name="highlight_pdf" type="radio" value="none" <?php if($prop['highlight_pdf']!='icon' && $prop['highlight_pdf']!='text') echo " checked";?>> <?php echo $i18n['style']['highlight_pdf_none'];?><br />
     </td>
    </tr>                                                              
    <tr>
     <td class="bottomline"><?php echo $i18n['style']['highlight_doc']; ?> : </td>
     <td class="bottomline">
      <input name="highlight_doc" type="radio" value="icon" <?php if($prop['highlight_doc']=='icon') echo " checked";?>> <?php echo $i18n['style']['highlight_doc_icon'];?><br />
      <input name="highlight_doc" type="radio" value="text" <?php if($prop['highlight_doc']=='text') echo " checked";?>> <?php echo $i18n['style']['highlight_doc_text'];?><br />
      <input name="highlight_doc" type="radio" value="none" <?php if($prop['highlight_doc']!='icon' && $prop['highlight_doc']!='text') echo " checked";?>> <?php echo $i18n['style']['highlight_doc_none'];?><br />
     </td>
    </tr>                                                              
    <tr>
     <td class="bottomline"><?php echo $i18n['style']['highlight_xls']; ?> : </td>
     <td class="bottomline">
      <input name="highlight_xls" type="radio" value="icon" <?php if($prop['highlight_xls']=='icon') echo " checked";?>> <?php echo $i18n['style']['highlight_xls_icon'];?><br />
      <input name="highlight_xls" type="radio" value="text" <?php if($prop['highlight_xls']=='text') echo " checked";?>> <?php echo $i18n['style']['highlight_xls_text'];?><br />
      <input name="highlight_xls" type="radio" value="none" <?php if($prop['highlight_xls']!='icon' && $prop['highlight_xls']!='text') echo " checked";?>> <?php echo $i18n['style']['highlight_xls_none'];?><br />
     </td>
    </tr>                                                              
    <tr>
     <td class="bottomline"><?php echo $i18n['style']['highlight_txt']; ?> : </td>
     <td class="bottomline">
      <input name="highlight_txt" type="radio" value="icon" <?php if($prop['highlight_txt']=='icon') echo " checked";?>> <?php echo $i18n['style']['highlight_txt_icon'];?><br />
      <input name="highlight_txt" type="radio" value="text" <?php if($prop['highlight_txt']=='text') echo " checked";?>> <?php echo $i18n['style']['highlight_txt_text'];?><br />
      <input name="highlight_txt" type="radio" value="none" <?php if($prop['highlight_txt']!='icon' && $prop['highlight_txt']!='text') echo " checked";?>> <?php echo $i18n['style']['highlight_txt_none'];?><br />
     </td>
    </tr>                                                              
    
    <!-- Search form function -->
    <tr>
     <td height=30 colspan=2 class="thead"><?php echo $i18n['style']['_search_form_functions']; ?></td>
    </tr>
    <tr>
     <td class="bottomline"><?php echo $i18n['style']['show_search_groups']; ?> : </td>
     <td class="bottomline">
      <input name="show_search_group" type="radio" value="checkboxes" <?php if($prop['show_search_group']=='checkboxes') echo " checked";?>> <?php echo $i18n['style']['search_group_checkboxes'];?><br />
      <input name="show_search_group" type="radio" value="radiobuttons" <?php if($prop['show_search_group']=='radiobuttons') echo " checked";?>> <?php echo $i18n['style']['search_group_radiobuttons'];?><br />
      <input name="show_search_group" type="radio" value="dropdownbox" <?php if($prop['show_search_group']!='radiobuttons' && $prop['show_search_group']!='checkboxes') echo " checked";?>> <?php echo $i18n['style']['search_group_dropdownbox'];?><br />
     </td>
    </tr>                                                              
    <tr>
     <td class="bottomline"><?php echo $i18n['style']['show_dropdown_result_menu']; ?> : </td>
     <td class="bottomline">
      <input name="show_dropdown_result_menu" type="radio" value="enable" <?php if($prop['show_dropdown_result_menu']=='enable') echo " checked";?>> <?php echo $i18n['style']['show_dd_res_menu_enable'];?><br />
      <input name="show_dropdown_result_menu" type="radio" value="disable" <?php if($prop['show_dropdown_result_menu']!='enable') echo " checked";?>> <?php echo $i18n['style']['show_dd_res_menu_disable'];?><br />
     </td>
    </tr>                                                              
    <tr>
     <td class="bottomline"><?php echo $i18n['style']['search_in_result_box']; ?> : </td>
     <td class="bottomline">
      <input name="search_in_result_box" type="radio" value="enable" <?php if($prop['search_in_result_box']=='enable') echo " checked";?>> <?php echo $i18n['style']['search_in_result_box_enable'];?><br />
      <input name="search_in_result_box" type="radio" value="disable" <?php if($prop['search_in_result_box']!='enable') echo " checked";?>> <?php echo $i18n['style']['search_in_result_box_disable'];?><br />
     </td>
    </tr>                                                              

    <!-- Results configuration -->
    <tr>
     <td height=30 colspan=2 class="thead"><?php echo $i18n['style']['_result_configuration']; ?></td>
    </tr>
    <tr>
     <td class="bottomline"><?php echo $i18n['style']['s_form_alignment']; ?> : </td>
     <td class="bottomline">
      <input name="s_form_alignment" type="radio" value="left" <?php if($prop['s_form_alignment']!='center' && $prop['s_form_alignment']!='right') echo " checked";?>> <?php echo $i18n['style']['s_form_alignment_left'];?><br />
      <input name="s_form_alignment" type="radio" value="center" <?php if($prop['s_form_alignment']=='center') echo " checked";?>> <?php echo $i18n['style']['s_form_alignment_center'];?><br />
      <input name="s_form_alignment" type="radio" value="right" <?php if($prop['s_form_alignment']=='right') echo " checked";?>> <?php echo $i18n['style']['s_form_alignment_right'];?><br />
     </td>
    </tr>                                                              
    <tr>
     <td class="bottomline"><?php echo $i18n['style']['s_result_alignment']; ?> : </td>
     <td class="bottomline">
      <input name="s_result_alignment" type="radio" value="left" <?php if($prop['s_result_alignment']!='center' && $prop['s_result_alignment']!='right') echo " checked";?>> <?php echo $i18n['style']['s_result_alignment_left'];?><br />
      <input name="s_result_alignment" type="radio" value="center" <?php if($prop['s_result_alignment']=='center') echo " checked";?>> <?php echo $i18n['style']['s_result_alignment_center'];?><br />
      <input name="s_result_alignment" type="radio" value="right" <?php if($prop['s_result_alignment']=='right') echo " checked";?>> <?php echo $i18n['style']['s_result_alignment_right'];?><br />
     </td>
    </tr>                                                              
    <!-- Search result page -->

    <tr>
     <td class="bottomline"><?php echo $i18n['style']['search_result_header_background']; ?> : </td>
     <td class="bottomline">
      <input name="search_result_header_background" type="text" value="<?php if($prop['search_result_header_background']!=""){echo $prop['search_result_header_background'];}else{echo "ecf5fa";}?>"> ;
     </td>
    </tr>                                                              

    <tr>
     <td class="bottomline"><?php echo $i18n['style']['search_result_header_top_border_color']; ?> : </td>
     <td class="bottomline">
      <input name="search_result_header_top_border_color" type="text" value="<?php if($prop['search_result_header_top_border_color'] !=""){echo $prop['search_result_header_top_border_color'];}else{echo "c3ccd3";}?>"> ;
     </td>
    </tr>                                                              
    <tr>
     <td class="bottomline"><?php echo $i18n['style']['show_suggestions']; ?> : </td>
     <td class="bottomline">
      <input name="show_suggestions" type="radio" value="1" <?php if($prop['show_suggestions']=='1') echo " checked";?>> <?php echo $i18n['style']['show_suggestions_Y'];?><br />
      <input name="show_suggestions" type="radio" value="0" <?php if($prop['show_suggestions']!='1') echo " checked";?>> <?php echo $i18n['style']['show_suggestions_N'];?><br />
     </td>
    </tr>                                                              



    <?php
    reset($styles_vars);
    foreach ($styles_vars as $val) {
        $i18n_name = "_{$val[10]}";
        ?><tr><td height=30 colspan=2 class="thead"><?php echo $i18n['style'][$i18n_name]; ?> :</td></tr><?php
        if ($val[0] == 1) {
            $sub = $val[10]."_border_width";
            ?><tr><td class="bottomline"><?php echo $i18n['style']['border_width']; ?> :</td>
<td class="bottomline"><input class="field" name="<?php echo $sub?>" type="text" id="<?php echo $sub?>" value="<?php echo $prop[$sub]; ?>" size="5" maxlength="1">px; </td></tr><?php
        }
        if ($val[1] == 1) {
            $sub = $val[10]."_border_style";
            ?><tr><td class="bottomline"><?php echo $i18n['style']['border_style']; ?> :</td>
<td class="bottomline"><select name="<?php echo $sub; ?>" class="field" id="<?php echo $sub?>"><?php
            reset($vars_border_style);
            foreach ($vars_border_style as $key => $var) {
                echo "<option value=\"{$var}\"";
                if ($var == $prop[$sub]) echo "selected";
                echo ">{$var}</option>";
            }
            ?></select> ;</td></tr><?php
        }
        if ($val[2] == 1) {
            $sub = $val[10]."_border_color";
            ?><tr><td class="bottomline"><?php echo $i18n['style']['border_color']; ?> :</td>
<td class="bottomline"><input class="field" name="<?php echo $sub?>" type="text" id="<?php echo $sub?>" value="<?php echo $prop[$sub]; ?>" size="20" maxlength="6"> ;</td></tr><?php
        }
        if ($val[3] == 1) {
            $sub = $val[10]."_background_color";
            ?><tr><td class="bottomline"><?php echo $i18n['style']['background_color']; ?> : </td>
<td class="bottomline"><input class="field" name="<?php echo $sub?>" type="text" id="<?php echo $sub?>" value="<?php echo $prop[$sub]; ?>" size="20" maxlength="6"> ; </td></tr><?php
        }
        if ($val[4] == 1) {
            $sub = $val[10]."_font_family";
            ?><tr><td class="bottomline"><?php echo $i18n['style']['font_family']; ?> :</td>
<td class="bottomline"><select name="<?php echo $sub; ?>" class="field" id="<?php echo $sub?>"><?php
            reset($vars_font_family);
            foreach ($vars_font_family as $key => $var) {
                echo "<option value=\"{$var}\"";
                if ($var == $prop[$sub]) echo "selected";
                echo ">{$var}</option>";
            }
            ?></select> ;</td></tr><?php
        }
        if ($val[5] == 1) {
            $sub = $val[10]."_font_style";
            ?><tr><td class="bottomline"><?php echo $i18n['style']['font_style']; ?> : </td>
<td class="bottomline"><select name="<?php echo $sub; ?>" class="field" id="<?php echo $sub?>"><?php
            reset($vars_font_style);
            foreach ($vars_font_style as $key => $var) {
                echo "<option value=\"{$var}\"";
                if ($var == $prop[$sub]) echo "selected";
                echo ">{$var}</option>";
            }
            ?></select> ;</td></tr><?php
        }
        if ($val[6] == 1) {
            $sub = $val[10]."_text_decoration";
            ?><tr><td class="bottomline"><?php echo $i18n['style']['text_decoration']; ?> :</td>
<td class="bottomline"><select name="<?php echo $sub; ?>" class="field" id="<?php echo $sub?>"><?php
            reset($vars_text_decoration);
            foreach ($vars_text_decoration as $key => $var) {
                echo "<option value=\"{$var}\"";
                if ($var == $prop[$sub]) echo "selected";
                echo ">{$var}</option>";
            }
            ?></select> ;</td></tr><?php
        }
        if ($val[7] == 1) {
            $sub = $val[10]."_text_color";
            ?><tr><td class="bottomline"><?php echo $i18n['style']['text_color']; ?> : </td>
<td class="bottomline"><input class="field" name="<?php echo $sub?>" type="text" id="<?php echo $sub?>" value="<?php echo $prop[$sub]; ?>" size="20" maxlength="6"> ;</td></tr><?php
        }
        if ($val[8] == 1) {
            $sub = $val[10]."_font_size";
            ?><tr><td class="bottomline"><?php echo $i18n['style']['font_size']; ?> : </td>
<td class="bottomline"><input class="field" name="<?php echo $sub?>" type="text" id="<?php echo $sub?>" value="<?php echo $prop[$sub]; ?>" size="10" maxlength="2"> px;</td></tr><?php
        }
        if ($val[9] == 1) {
            $sub = $val[10]."_font_weight";
            ?><tr><td><?php echo $i18n['style']['font_weight']; ?> :</td>
            <td><select name="<?php echo $sub; ?>" class="field" id="<?php echo $sub?>"><?php
            reset($vars_font_weight);
            foreach ($vars_font_weight as $key => $var) {
                echo "<option value=\"{$var}\"";
                if ($var == $prop[$sub]) echo "selected";
                echo ">{$var}</option>";
            }
            ?></select> ;</td></tr><?php
        }
    }
    ?></table></td></tr>
<tr><td class="topline">&nbsp;</td>
<td>&nbsp;</td></tr>
<tr><td>&nbsp;</td>
<td align="center"><input class="button" name="submit" type="submit" id="submit" value=" :: <?php echo $i18n['button']['save']; ?> :: "></td></tr></table>
</form><?php
    /** print footer */
    do_footer(0,3,1);
    /** else if get install code action */
} else {
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}

?>