<?php

/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.1 Gold
**/
/** $Id: boolean.php,v1.0 2017/08/27 darckly Exp $ */



function simple_query($string){
 $where_string = "WHERE";

/* if(isset($_GET['g'])){
  if(is_numeric($_GET['g'])  && $_GET['g']>0){
   $where_string .=" groups=".$_GET['g']." AND";
  };
 };
*/
 
 $field = "`text`";

 $operators_array = array("AND","and","&","&&",
                "OR","or","|","||",
                "NOT","not","-",
                "\"");


 $string = str_replace("\""," \" ",$string);
 $string = str_replace("-","- ",$string);
 $string = str_replace("  "," ",$string);
 $string = str_replace("*","%",$string);

 $words = explode(" ",$string);

 $concat_word = "";
 $negative_word = "";
 $last_operator = "";
 $s_word = "";
 $ex_string_found = "no";

 foreach($words as $word){

  if(array_search($word,$operators_array) || $ex_string_found == "yes"){ //special word or symbol found
    if(!array_search($word,$operators_array)){$s_word .= ' '.$word.' ';continue;};

   switch($word){
    case 'AND':
    case 'and':
    case '&':
    case '&&': 
        if($ex_string_found == "no"){
         if(!preg_match("/AND$/",$where_string)){
          $concat_word = 'AND';
         }
    }else{
     $s_word .=' '.$word.' ';
    }
    break;
    case 'OR':
    case 'or':
    case '|':
    case '||':
        if($ex_string_found == "no"){
         $concat_word = "OR";
    }else{
     $s_word .=' '.$word.' ';   
    }
    break;
    case 'NOT':
    case 'not':
    case '-':
        if($ex_string_found == "no"){
     $negative_word = "NOT";
    }else{
     $s_word .=' '.$word.' ';   
    }
    break;
    case '"':
    if($ex_string_found == "yes"){
         $ex_string_found = "no";
     $s_word = trim($s_word);
         $where_string .=$concat_word.' '.$field.' '.$negative_word.' LIKE "% '.$s_word.' %" ';
     $s_word = "";
        }else{
         $ex_string_found = "yes";
         if(!preg_match("/AND$/",$where_string)){
          $concat_word = 'AND';
         }
    }
   }
  }else{
   if($s_word == ""){$s_word = $word;};
   if($where_string != "WHERE" && !preg_match("/AND$/i",$where_string) && $concat_word == ""){$concat_word = "AND";};
 
   $s_word = trim($s_word);
   if($s_word != ""){$where_string .=$concat_word.' '.$field.' '.$negative_word.' LIKE "% '.$s_word.' %" ';};

   $s_word = "";
   $concat_word = "";
   $negative_word = "";
   $last_operator = "";
   $ex_string_found = "no";
  }
 }
 $where_string = str_replace("  "," ",$where_string);
 $where_string = str_replace("% %","%",$where_string);

 $where_string = str_replace("ANDOR","OR",$where_string);
 
 return $where_string;
}                                                    

function complex_query($string){
 $where_string = "WHERE";

/* if(isset($_GET['g'])){
  if(is_numeric($_GET['g']) && $_GET['g']>0){
   $where_string .=" groups=".$_GET['g']." AND ";
  };
 };
*/ 
 
 $field = "`text`";

 $operators_array = array("AND","and","&","&&",
                "OR","or","|","||",
                "NOT","not","-",
                "\"");


 $string = str_replace("\""," \" ",$string);
 $string = str_replace("-","- ",$string);
 $string = str_replace("  "," ",$string);

 $words = explode(" ",$string);

 $concat_word = "+";
 $s_word = "";
 $ex_string_found = "no";

 foreach($words as $word){
//  print $word."<br>";
  if(array_search($word,$operators_array) || $ex_string_found == "yes"){ //special word or symbol found
    if(!array_search($word,$operators_array)){$s_word .= $word.' ';continue;};

   switch($word){
    case 'AND':
    case 'and':
    case '&':
    case '&&': 
        if($ex_string_found == "no"){
     $concat_word = '+';
    }else{
     $s_word .=$word.' ';
    }
    break;
    case 'OR':
    case 'or':
    case '|':
    case '||':
        if($ex_string_found == "no"){
     $concat_word = "";
    }else{
     $s_word .=$word.' ';   
    }
    break;
    case 'NOT':
    case 'not':
    case '-':
        if($ex_string_found == "no"){
     $concat_word = "-";
    }else{
     $s_word .=$word.' ';   
    }
    break;
    case '"':
    if($ex_string_found == "yes"){
         $ex_string_found = "no";
         $s_word = rtrim($s_word);
     $s_word .='" ';
        }else{
         $ex_string_found = "yes";
     $s_word .=' '.$concat_word.'"';
    }
   }
  }else{
   if($word !=""){
    $s_word .=$concat_word.$word.' ';
   };

   $concat_word = "+";
   $ex_string_found = "no";
  }
 }
 $s_word = rtrim($s_word);
 $where_string .= ' MATCH('.$field.') AGAINST(\''.$s_word.'\' IN BOOLEAN MODE)';
 $where_string = str_replace("  "," ",$where_string);
 return $where_string;


}

?>