<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: i18n.php,v2.0 2017/09/30 advocat Exp $ */

/** global admin */
$i18n['admin']['zone']                      = "Administrator zone";
$i18n['admin']['main']                      = "Main Menu";
$i18n['admin']['account_profile']           = "Account Profile";
$i18n['admin']['system_summary']            = "System Summary";
$i18n['admin']['navigation']                = "Navigation";
$i18n['admin']['back_to_menu']              = "Back to Main Menu";

$i18n['admin']['true']                      = "true";
$i18n['admin']['false']                     = "false";

/** install */
$i18n['install']['title']                   = "Installation";
$i18n['install']['next']                    = "Next step";

$i18n['install']['step1']                   = "Step 1: MySQL database settings";
$i18n['install']['step2']                   = "Step 2: Administrator and personal settings";
$i18n['install']['step3']                   = "Step 3: Search settings";
$i18n['install']['step4']                   = "Step 4: Completing installation";
$i18n['install']['step5']                   = "Step 5: Congratulations";

$i18n['install']['db_host']                 = "DB host";
$i18n['install']['db_login']                = "DB user";
$i18n['install']['db_passwd']               = "DB password";
$i18n['install']['db_name']                 = "DB name";

$i18n['install']['error_db']                = "Error: can't connect to MySQL database";
$i18n['install']['error_db_select']         = "Error: can't connect to selected database";
$i18n['install']['error_write']             = "Error: can't save changes to file";

$i18n['install']['create_tbl_admins']       = "Create MySQL table Administrators";
$i18n['install']['create_tbl_groups']       = "Create MySQL table Search groups";
$i18n['install']['create_tbl_logs']         = "Create MySQL table System logs";
$i18n['install']['create_tbl_rules']        = "Create MySQL table Destination rules";
$i18n['install']['create_tbl_schedule']     = "Create MySQL table Advanced schedule";
$i18n['install']['create_tbl_styles']       = "Create MySQL table Form/Text Styles";
$i18n['install']['create_tbl_imgbtns']      = "Create MySQL table Button images";
$i18n['install']['create_tbl_templates']    = "Create MySQL table Output Design Templates";
$i18n['install']['create_tbl_search_db']    = "Create MySQL table Search DataBase";
$i18n['install']['create_tbl_search_query'] = "Create MySQL table Search queries";
$i18n['install']['create_tbl_search_tmp']   = "Create MySQL table Temporary indexing";
$i18n['install']['create_tbl_links']        = "Create MySQL table Links for indexing";

$i18n['install']['insert_tbl_admin']        = "Insert MySQL table new administrator";
$i18n['install']['insert_tbl_style']        = "Insert MySQL table Default Form/Text Style";
$i18n['install']['insert_tbl_template']     = "Insert MySQL table Default Output Design Template";
$i18n['install']['insert_tbl_group']        = "Insert MySQL table Default Group";

$i18n['install']['complite']                = "Installation completed. Thank you for choosing Site Search Pro 2.1 Gold!";

/** login */
$i18n['login']['title']                     = "Login";
$i18n['login']['login']                     = "Login";
$i18n['login']['password']                  = "Password";
$i18n['login']['ok']                        = "Login";
$i18n['login']['error']                     = "Access denied";
$i18n['login']['log_login_true']            = "Login: ";
$i18n['login']['log_login_false']           = "Login failed: ";

/** sclerosis */
$i18n['sclerosis']['title']                 = "Forgot password?";
$i18n['sclerosis']['text']                  = "Please enter login or email";
$i18n['sclerosis']['login']                 = "Login";
$i18n['sclerosis']['email']                 = "Email";
$i18n['sclerosis']['ok']                    = "Send Password";
$i18n['sclerosis']['error']                 = "Unknown email address!";
$i18n['sclerosis']['send']                  = "Please check email: password has been sent!";

$i18n['sclerosis']['mail_from']             = "support@site-search-pro.com";
$i18n['sclerosis']['mail_header']           = "Site Search Pro password request:";
$i18n['sclerosis']['mail_footer']           = "Thank you for using Site Search Pro password reminder";

$i18n['sclerosis']['log_forgot_true']       = "Password sent: ";
$i18n['sclerosis']['log_forgot_false']      = "Reminder failed: ";

/** access */
$i18n['access']['title']                    = "Access Denied";
$i18n['access']['denied']                   = "Access to this area restricted";

/** Logs */
$i18n['logs']['title']                      = "System Log";
$i18n['logs']['admins']                     = "Select administrator";
$i18n['logs']['all_admins']                 = "All administrators";
$i18n['logs']['admin']                      = "Admin";
$i18n['logs']['but_show']                   = "Show";
$i18n['logs']['module']                     = "Module";
$i18n['logs']['action']                     = "Action";
$i18n['logs']['detail']                     = "Details";
$i18n['logs']['date']                       = "Date";

$i18n['logs']['act_enter']                  = "Login";
$i18n['logs']['act_logout']                 = "Logout";
$i18n['logs']['act_forgot_password']        = "Forgot password";
$i18n['logs']['act_add']                    = "New";
$i18n['logs']['act_update']                 = "Update";
$i18n['logs']['act_delete']                 = "Delete";
$i18n['logs']['act_default']                = "Set default";
$i18n['logs']['act_start_indexing']         = "Start indexing";
$i18n['logs']['act_ignore']                 = "Ignore";
$i18n['logs']['act_restore']                = "Restore";
$i18n['logs']['act_reset']                  = "Reset";
$i18n['logs']['act_import']                 = "Import";
$i18n['logs']['act_export']                 = "Export";

$i18n['logs']['mod_login']                  = "Login";
$i18n['logs']['mod_sclerosis']              = "Forgot password";
$i18n['logs']['mod_settings']               = "Settings";
$i18n['logs']['mod_administrators']         = "Administrators";
$i18n['logs']['mod_rules']                  = "Destination Rules";
$i18n['logs']['mod_stop_words']             = "Negative Words";
$i18n['logs']['mod_styles']                 = "Form/Text Styles";
$i18n['logs']['mod_imgbtns']                = "Search Buttons";
$i18n['logs']['mod_templates']              = "Output Design Templates";
$i18n['logs']['mod_statistic']              = "Statistic";
$i18n['logs']['mod_indexing']               = "Indexing";
$i18n['logs']['mod_groups']                 = "Search Groups";
$i18n['logs']['mod_imex']                   = "Import/Export";
$i18n['logs']['mod_ind_list']               = "Indexed Pages List";
$i18n['logs']['mod_import_export']          = "Import and Export";
$i18n['logs']['mod_schedule']               = "Advanced Schedule";

/** main menu */
$i18n['menu']['admins']                     = "Administrators";
$i18n['menu']['settings']                   = "Settings";
$i18n['menu']['design']                     = "Design";
$i18n['menu']['statistic']                  = "Statistic";
$i18n['menu']['indexing']                   = "Indexing";
$i18n['menu']['get_install_code']           = "Get Search Form";
$i18n['menu']['logout']                     = "Log Out";
$i18n['menu']['search']                     = "Search Page";

/** welcome box */
$i18n['welcome']['username']                = "Welcome";
$i18n['welcome']['email']                   = "Email";
$i18n['welcome']['fullname']                = "Full Name";
$i18n['welcome']['ip_addr']                 = "IP address";
$i18n['welcome']['browser']                 = "Browser";
$i18n['welcome']['os']                      = "OS";
$i18n['welcome']['unknown']                 = "Unknown";

/** system vars box */
$i18n['system']['size']                     = "Index size";
$i18n['system']['pages']                    = "Indexed pages";
$i18n['system']['query']                    = "Total queries";
$i18n['system']['admins']                   = "Administrators";
$i18n['system']['logged']                   = "Last login";
$i18n['system']['version']                  = "System version";
$i18n['system']['type']                     = "System type";

/** pages */
$i18n['pages']['prev']                      = "Previous";
$i18n['pages']['next']                      = "Next";

/** buttons */
$i18n['button']['save']                     = "Save";
$i18n['button']['save_all']                 = "Save All";

/** Administrators */
$i18n['admins']['title']                    = "Administrators";
$i18n['admins']['add']                      = "Add Administrator";
$i18n['admins']['list']                     = "Administrators List";
$i18n['admins']['properties']               = "Administrator Properties";
$i18n['admins']['delete']                   = "Delete";
$i18n['admins']['confirm_delete']           = "Are you sure you wish to delete this administrator?";

$i18n['admins']['access']                   = "Access";
$i18n['admins']['access_array']             = array(
"admins"    =>"Administrators",
"settings"  =>"Settings",
"design"    =>"Design",
"stats"     =>"Statistics"
);
$i18n['admins']['login']                    = "Login";
$i18n['admins']['password']                 = "Password";
$i18n['admins']['retype']                   = "Password again";
$i18n['admins']['email']                    = "Email";
$i18n['admins']['fullname']                 = "Full Name";
$i18n['admins']['gender']                   = "Gender";
$i18n['admins']['gender_male']              = "Male";
$i18n['admins']['gender_female']            = "Female";
$i18n['admins']['tel_home']                 = "Home phone";
$i18n['admins']['tel_work']                 = "Work phone";
$i18n['admins']['tel_mob']                  = "Cell phone";

$i18n['admins']['error_login']              = "Please fill Login field correctly";
$i18n['admins']['error_isset_login']        = "Login already exists";
$i18n['admins']['error_password']           = "Incorrect password or password confirmation";
$i18n['admins']['error_email']              = "Incorrect email address";
$i18n['admins']['error_fullname']           = "Full Name is empty";

$i18n['admins']['log_add']                  = "New admin: ";
$i18n['admins']['log_update']               = "Admin updated: ";
$i18n['admins']['log_delete']               = "Admin deleted: ";

$i18n['admins']['comment']                  = "Fields marked with an asterix (*) are required";

/** Settings */
$i18n['settings']['title']                  = "Settings";
$i18n['settings']['update']                 = "Updating...";

$i18n['settings']['site_addr']              = "Website URL";
$i18n['settings']['site_addr_desc']         = "CHANGING OF THIS SETTING CAN GIVE AN ERROR DURING INDEXING PROCESS";
$i18n['settings']['folder']                 = "Site Search Pro folder on your website (e.g. searchpro)";
$i18n['settings']['folder_desc']            = "CHANGING OF THIS SETTING CAN GIVE AN ERROR DURING INDEXING PROCESS";

$i18n['settings']['result_on_page']         = "Results on one page";
$i18n['settings']['concordances']           = "Concordances";
$i18n['settings']['min_chr_word']           = "Ignore words if they are shorter than";

$i18n['settings']['ignorespecialsymbols']   = "Ignore special symbols: , . ( ) [ ]";
$i18n['settings']['usebooleanexpression']   = "Use boolean expressions";
$i18n['settings']['enable_pdf_int']         = "Use internal PDF parsing module";
$i18n['settings']['enable_pdf_ext']         = "Use xPDF parsing module";
$i18n['settings']['enable_doc_int']         = "Use internal DOC parsing module";
$i18n['settings']['enable_doc_ext']         = "Use antiword parsing module";
$i18n['settings']['symbols']                = "symbols";
$i18n['settings']['sortby']                 = "Sort results";
$i18n['settings']['boolean_only']           = "Boolean mode: Ignore words if they found in 90% of pages";
$i18n['settings']['boolean_only_desc']      = "Boolean mode helps ignoring common words like the, a, to etc. It will save search time for large databases.";
$i18n['settings']['boolean_only_1']         = "Enable";
$i18n['settings']['boolean_only_0']         = "Disable";
$i18n['settings']['sortby_vars']            = array(
'relevance' => "Relevance",
'title'     => "Page title",
'filename'  => "File name",
'date'      => "Page date"
);

$i18n['settings']['allow_ext']              = "Allowed extensions for indexing";
$i18n['settings']['allow_ext_desc']         = "comma separated";
$i18n['settings']['enable_ext']             = "Allow indexing of these files";
$i18n['settings']['stop_dirs']              = "Negative folders";
$i18n['settings']['stop_dirs_desc']         = "will NOT be indexed, one url per line";
$i18n['settings']['stop_files']             = "Negative files";
$i18n['settings']['stop_files_desc']        = "will NOT be indexed, please enter exact file name or mask: *.extension, one file or folder per line";

$i18n['settings']['enable_pdf']             = "PDF files";
$i18n['settings']['enable_rtf']             = "RTF files";
$i18n['settings']['enable_doc']             = "MS Word files";
$i18n['settings']['enable_xls']             = "MS Excel files";
$i18n['settings']['enable_swf']             = "Macromedia Flash files";

$i18n['settings']['path2xpdf']              = "Path to plugin xPDF";
$i18n['settings']['path2xpdf_desc']         = "ex: /usr/local/bin/pdftotext or empty value";
$i18n['settings']['path2antiword']          = "Path to plugin antiword";
$i18n['settings']['path2antiword_desc']     = "ex: /usr/local/bin/antiword or empty value";

$i18n['settings']['encoding']               = "Encoding";

$i18n['settings']['label']                  = "Labels";
$i18n['settings']['label_button']           = "Search button label";
$i18n['settings']['label_all_groups']       = "All groups label";
$i18n['settings']['label_advanced']         = "Advanced search label";
$i18n['settings']['label_search_res']       = "Text: [cnt_result] results found for [query_string]";
$i18n['settings']['label_search_res_desc']  = "[query_string] - search query, [cnt_result] - results";
$i18n['settings']['label_error_found']      = "No pages were found containing [query_string]";
$i18n['settings']['label_error_found_desc'] = "[query_string] - search query";
$i18n['settings']['label_error_min']        = "Search query is less than [min_symbols] symbols";
$i18n['settings']['label_error_min_desc']   = "[min_symbols] - required number of symbols";
$i18n['settings']['label_boolean']          = "Search query consists of frequently used words. They were ignored during the search process.";
$i18n['settings']['label_boolean_desc']     = "[query_string] - search query";

$i18n['settings']['update_var']             = "Update value ";
$i18n['settings']['log_update_config']      = "Global config updated ";

$i18n['settings']['comment']                = "Complete the form to update your settings. Please fill all fields very carefully and click on the \"Save\" button to continue.";
$i18n['settings']['comment_iconv']          = "Important: to get correct encoding PHP must be compiled with <a href=\"http://www.php.net/iconv\" target=\"_blank\">iconv</a> module support";
$i18n['settings']['comment_xpdf']           = "Important: Indexing of pdf files requires the following plug-in: PDF converter, xPDF: <a href=\"http://www.foolabs.com/xpdf/\" target=_blank>http://www.foolabs.com/xpdf/</a>";
$i18n['settings']['comment_antiword']       = "Important: Indexing of MS Word files requires the following plug-in: Microsoft Word DOC converter: <a href=\"http://antiword.cjb.net\" target=_blank>http://antiword.cjb.net</a>";

/* Destination rules */
$i18n['rules']['title']                     = "Destination Rules";
$i18n['rules']['act_add']                   = "Add rules";
$i18n['rules']['act_update']                = "Update rules";
$i18n['rules']['act_delete']                = "Delete rules";
$i18n['rules']['act_back']                  = "Back to Destination Rules";
$i18n['rules']['confirm_delete']            = "Are you sure you wish to delete this rule?";
$i18n['rules']['thead_term']                = "Rules";
$i18n['rules']['term']                      = "If query contains";
$i18n['rules']['url']                       = "then redirect to page";
$i18n['rules']['thead_url']                 = "URL";
$i18n['rules']['bot_add']                   = "Show form for";
$i18n['rules']['bot_rules']                 = "rules";
$i18n['rules']['bot_OK']                    = " OK ";

$i18n['rules']['log_add']                   = "New rule: ";
$i18n['rules']['log_update']                = "Update rule: ";
$i18n['rules']['log_delete']                = "Delete rule: ";

/** Negative words */
$i18n['sw']['title']                        = "Negative Words";
$i18n['sw']['update']                       = "Update";
$i18n['sw']['description']                  = "Please enter one negative word or phrase per line. These words will be ignored in search results.";
$i18n['sw']['update_true']                  = "Negative words updated";
$i18n['sw']['update_false']                 = "Error: can't update negative words";

/** Design (styles) */
$i18n['style']['title']                     = "Form/Text styles";
$i18n['style']['act_add']                   = "Create Form/Text style";
$i18n['style']['act_prop']                  = "Properties";
$i18n['style']['act_delete']                = "Delete";
$i18n['style']['act_default']               = "Set default";
$i18n['style']['confirm_delete']            = "Are you sure you wish to delete this design?";
$i18n['style']['default_error']             = "Can't delete default style";
$i18n['style']['status_default']            = "Default";
$i18n['style']['name']                      = "Style Name";
$i18n['style']['error_name']                = "No design name entered";
$i18n['style']['back_to_menu']              = "Back to Styles list";

$i18n['style']['result_groups']             = "Show Search Groups";
$i18n['style']['result_groups_Y']           = "Yes";
$i18n['style']['result_groups_N']           = "No";

$i18n['style']['result_title']              = "Show Title or Page Name";
$i18n['style']['result_title_Y']            = "Page Title";
$i18n['style']['result_title_N']            = "File Name";

$i18n['style']['result_titletop']           = "Show Title/Page Name";
$i18n['style']['result_titletop_Y']         = "Before page description";
$i18n['style']['result_titletop_N']         = "After page description";

$i18n['style']['result_description']        = "Show Page Description";
$i18n['style']['result_description_Y']      = "Yes";
$i18n['style']['result_description_N']      = "No";

$i18n['style']['result_show_meta']          = "Show Meta or Page description";
$i18n['style']['result_show_meta_Y']        = "Meta";
$i18n['style']['result_show_meta_N']        = "Page ";

$i18n['style']['result_url']                = "Show URL";
$i18n['style']['result_url_Y']              = "Yes";
$i18n['style']['result_url_N']              = "No";

$i18n['style']['result_size']               = "Show File Size";
$i18n['style']['result_size_Y']             = "Yes";
$i18n['style']['result_size_N']             = "No";

$i18n['style']['result_date']               = "Show Date";
$i18n['style']['result_date_Y']             = "Yes";
$i18n['style']['result_date_N']             = "No";

$i18n['style']['print_advanced']               = "Print advanced";
$i18n['style']['print_advanced_Y']             = "Yes";
$i18n['style']['print_advanced_N']             = "No";


$i18n['style']['highlight_pdf']             = "Highlight PDF";      //AP
$i18n['style']['highlight_pdf_icon']        = "icon";               //AP
$i18n['style']['highlight_pdf_text']        = "[pdf]";              //AP
$i18n['style']['highlight_pdf_none']        = "do not highlight";   //AP
    
$i18n['style']['highlight_doc']             = "Highlight DOC";      //AP
$i18n['style']['highlight_doc_icon']        = "icon";               //AP
$i18n['style']['highlight_doc_text']        = "[doc]";              //AP
$i18n['style']['highlight_doc_none']        = "do not highlight";   //AP

$i18n['style']['highlight_xls']             = "Highlight XLS";      //AP
$i18n['style']['highlight_xls_icon']        = "icon";               //AP
$i18n['style']['highlight_xls_text']        = "[xls]";              //AP
$i18n['style']['highlight_xls_none']        = "do not highlight";   //AP

$i18n['style']['highlight_txt']             = "Highlight TXT";      //AP
$i18n['style']['highlight_txt_icon']        = "icon";               //AP
$i18n['style']['highlight_txt_text']        = "[txt]";              //AP
$i18n['style']['highlight_txt_none']        = "do not highlight";   //AP


$i18n['style']['show_search_groups']        = "Search Groups";      //AP
$i18n['style']['search_group_checkboxes']   = "Checkboxes";         //AP
$i18n['style']['search_group_radiobuttons'] = "Radio buttons";      //AP
$i18n['style']['search_group_dropdownbox']  = "Drop-down box";      //AP


$i18n['style']['show_dropdown_result_menu'] = "10,20,40 results drop-down box in search form";  //AP
$i18n['style']['show_dd_res_menu_enable']   = "Enable";             //AP
$i18n['style']['show_dd_res_menu_disable']  = "Disable";            //AP
$i18n['style']['10_results']                = "10 Results";         //AP
$i18n['style']['20_results']                = "20 Results";         //AP
$i18n['style']['30_results']                = "30 Results";         //AP
$i18n['style']['50_results']                = "50 Results";         //AP
$i18n['style']['100_results']               = "100 Results";        //AP

$i18n['style']['search_in_result_box']      = "Search in results box";  //AP
$i18n['style']['search_in_result_box_enable']   = "Enable";         //AP
$i18n['style']['search_in_result_box_disable']  = "Disable";        //AP
$i18n['style']['search_in_results']         = "Search in results";  //AP

$i18n['style']['s_form_alignment']          = "Search form alignment";  //AP
$i18n['style']['s_form_alignment_left']     = "Left";               //AP
$i18n['style']['s_form_alignment_center']   = "Center";             //AP
$i18n['style']['s_form_alignment_right']    = "Right";              //AP

$i18n['style']['s_result_alignment']        = "Search results alignment";   //AP
$i18n['style']['s_result_alignment_left']   = "Left";               //AP
$i18n['style']['s_result_alignment_center'] = "Center";             //AP
$i18n['style']['s_result_alignment_right']  = "Right";              //AP

$i18n['style']['show_s_term_in_s_box']      = "Show search term in search box"; //AP
$i18n['style']['show_s_term_in_s_box_Y']    = "Enable";             //AP
$i18n['style']['show_s_term_in_s_box_N']    = "Disable";            //AP

$i18n['style']['show_page_date']            = "Show page date";     //AP
$i18n['style']['show_page_date_Y']          = "Enable";             //AP
$i18n['style']['show_page_date_N']          = "Disable";            //AP

$i18n['style']['show_num_of_s_res']         = "Show numbers of search results"; //AP
$i18n['style']['show_num_of_s_res_Y']       = "Enable";             //AP
$i18n['style']['show_num_of_s_res_N']       = "Disable";            //AP

$i18n['style']['search_result_header_background'] = "Search results header background";            //AP
$i18n['style']['search_result_header_top_border_color'] = "Search results header top border color";//AP
$i18n['style']['show_suggestions']          = "Show suggestions if nothing found";
$i18n['style']['show_suggestions_Y']        = "Enable";             //AP
$i18n['style']['show_suggestions_N']        = "Disable";            //AP

                                               
$i18n['style']['info_msg_align']            = "Text align";
$i18n['settings']['align_vars']             = array(
"left"      => "Left",
"center"    => "Center",
"right"     => "Right",
);

$i18n['style']['q_chr_width']               = "Search field width (chars)";
$i18n['style']['imgbtns']                   = "Search button";
$i18n['style']['imgbtns_button']            = "Button";

$i18n['style']['_field']                    = "Search field style";
$i18n['style']['_input_select']             = "Search select style";
$i18n['style']['_button']                   = "Search button style";
$i18n['style']['_advanced']                 = "Advanced search link";
$i18n['style']['_advanced_hover']           = "Advanced search link hover";
$i18n['style']['_info_msg']                 = "Search results description";
$i18n['style']['_title']                    = "Page title style";
$i18n['style']['_title_hover']              = "Page title hover style";
$i18n['style']['_result']                   = "Page output style";
$i18n['style']['_select']                   = "Concordance word style";
$i18n['style']['_address']                  = "Page URL, size, date style";
$i18n['style']['_pages']                    = "Page by page output style";
$i18n['style']['_pages_link']               = "Page list style";
$i18n['style']['_pages_link_hover']         = "Page list style hover";
$i18n['style']['_pages_now']                = "Current page style";
$i18n['style']['_show_icon']                = "Highlight results"; //AP
$i18n['style']['_search_form_functions']    = "Search form functions"; //AP
$i18n['style']['_result_configuration']     = "Search result decoration";

$i18n['style']['border_width']              = "Border width";
$i18n['style']['border_style']              = "Border style";
$i18n['style']['border_color']              = "Border color";
$i18n['style']['background_color']          = "Background color";
$i18n['style']['font_family']               = "Font";
$i18n['style']['font_style']                = "Font style";
$i18n['style']['text_decoration']           = "Font decoration";
$i18n['style']['text_color']                = "Text color";
$i18n['style']['font_size']                 = "Font size";
$i18n['style']['font_weight']               = "Font weight";

$i18n['style']['log_add']                   = "New style: ";
$i18n['style']['log_update']                = "Style updated: ";
$i18n['style']['log_default']               = "Set default style: ";
$i18n['style']['log_delete']                = "Style deleted: ";

/** images for buttons */
$i18n['imgbtns']['title']                   = "Search Buttons";
$i18n['imgbtns']['name']                    = "Button name";

$i18n['imgbtns']['empty_name']              = "Template name is empty";

$i18n['imgbtns']['act_prop']                = "Template properties";
$i18n['imgbtns']['act_delete']              = "Delete search button";
$i18n['imgbtns']['confirm_delete']          = "Are you sure you want to delete this button?";
$i18n['imgbtns']['delete_default']          = "Button is in use in style. Please remove this button from form/text style first!";

$i18n['imgbtns']['image']                   = "Image file";
$i18n['imgbtns']['cur_image']               = "Current button";
$i18n['imgbtns']['dont_image']              = "Button is in use in style. Please remove this button from form/text style first.";

$i18n['imgbtns']['list']                    = "Back to Search Buttons";
$i18n['imgbtns']['add']                     = "New Search Button";

$i18n['imgbtns']['log_add']                 = "New button: ";
$i18n['imgbtns']['log_update']              = "Button updated: ";
$i18n['imgbtns']['log_delete']              = "Button deleted: ";

/** templates */
$i18n['tpl']['title']                       = "Output Design Templates";
$i18n['tpl']['name']                        = "Template Name";

$i18n['tpl']['empty_name']                  = "Template name is empty";
$i18n['tpl']['empty_header_data']           = "Template Header code is empty";
$i18n['tpl']['empty_footer_data']           = "Template Footer code is empty";

$i18n['tpl']['act_prop']                    = "Template properties";
$i18n['tpl']['act_setdefault']              = "Set default template";
$i18n['tpl']['act_delete']                  = "Delete template";
$i18n['tpl']['confirm_delete']              = "Are you sure you wish to delete this template?";
$i18n['tpl']['delete_default']              = "Can't delete template because it is in use";

$i18n['tpl']['header']                      = "Header code";
$i18n['tpl']['footer']                      = "Footer code";
$i18n['tpl']['list']                        = "Back to Templates";
$i18n['tpl']['add']                         = "New Template";

$i18n['tpl']['log_add']                     = "New template: ";
$i18n['tpl']['log_update']                  = "Template updated: ";
$i18n['tpl']['log_default']                 = "Default template set: ";
$i18n['tpl']['log_delete']                  = "Template deleted: ";

/** statistics */

$i18n['stat']['brief']                      = "Brief Statistic";
$i18n['stat']['advanced']                   = "Advanced Statistic";
$i18n['stat']['query']                      = "Keyword";
$i18n['stat']['count']                      = "Hits / Count";
$i18n['stat']['date']                       = "Date";
$i18n['stat']['last_date']                  = "Last search";
$i18n['stat']['group']                      = "Group";
$i18n['stat']['group_all']                  = "All groups";
$i18n['stat']['ip_addr']                    = "IP address";
$i18n['stat']['results']                    = "Results";
$i18n['stat']['referer']                    = "Referrer";
$i18n['stat']['reset']                      = "Reset statistic";
$i18n['stat']['log_reset']                  = "Reset statistic";
$i18n['stat']['style_tpl']                  = "Style / Template";
$i18n['stat']['style_tpl_delete']           = "Deleted";
$i18n['stat']['confirm_reset']              = "Are you sure you wish to reset statistic?";

$i18n['stat']['all_time']                   = "All time";
$i18n['stat']['today']                      = "Today";
$i18n['stat']['yesterday']                  = "Yesterday";
$i18n['stat']['last_7_days']                = "Last 7 days";
$i18n['stat']['this_week']                  = "This week";
$i18n['stat']['last_week']                  = "Last week";
$i18n['stat']['this_month']                 = "This month";
$i18n['stat']['last_month']                 = "Last month";

$i18n['stat']['month_01']                   = "Jan";
$i18n['stat']['month_02']                   = "Feb";
$i18n['stat']['month_03']                   = "Mar";
$i18n['stat']['month_04']                   = "Apr";
$i18n['stat']['month_05']                   = "May";
$i18n['stat']['month_06']                   = "Jun";
$i18n['stat']['month_07']                   = "Jul";
$i18n['stat']['month_08']                   = "Aug";
$i18n['stat']['month_09']                   = "Sep";
$i18n['stat']['month_10']                   = "Oct";
$i18n['stat']['month_11']                   = "Nov";
$i18n['stat']['month_12']                   = "Dec";

$i18n['stat']['but_display']                = "Display";
$i18n['stat']['but_cvs']                    = "Export to CSV";

/** indexing */
$i18n['ind']['title']                       = "Indexing";
$i18n['ind']['noselectgroup']               = "Please select at least one search group";
$i18n['ind']['process_indexing']            = "Indexing ...";
$i18n['ind']['groups']                      = "Please select search groups to start indexing ";
$i18n['ind']['all_groups']                  = "All groups";
$i18n['ind']['start']                       = "Start Indexing";
$i18n['ind']['cancel']                      = "Cancel Indexing";

$i18n['ind']['please_wait']                 = "Please wait...";

/** last indexed page */
$i18n['ind_list']['title']                  = "Indexed Pages List";
$i18n['ind_list']['view_group']             = "Show indexed pages of search group";
$i18n['ind_list']['all_groups']             = "All groups";
$i18n['ind_list']['show']                   = "Show";

$i18n['ind_list']['url']                    = "Indexed Pages";
$i18n['ind_list']['groups']                 = "Groups";
$i18n['ind_list']['act_delete']             = "Delete";
$i18n['ind_list']['act_ignore']             = "Ignore";
$i18n['ind_list']['act_remove_ignore']      = "Remove ignore";

$i18n['ind_list']['confirm_delete']         = "Are you sure you wish to remove this page?";
$i18n['ind_list']['confirm_ignore']         = "Are you sure you wish to ignore this page?";
$i18n['ind_list']['confirm_return']         = "Are you sure you wish to remove this page from ignore list?";

$i18n['ind_list']['log_restore']            = "URL restored: ";
$i18n['ind_list']['log_delete']             = "Url removed: ";
$i18n['ind_list']['log_ignore']             = "Ignore url: ";

/** search sroups */
$i18n['groups']['title']                    = "Search Groups";
$i18n['groups']['name']                     = "Group Name";

$i18n['groups']['empty_name']               = "Group name is empty";

$i18n['groups']['act_prop']                 = "Group properties";
$i18n['groups']['act_delete']               = "Delete group";
$i18n['groups']['act_get_code']             = "Get Search Form";
$i18n['groups']['confirm_delete']           = "Are you sure you wish to delete this group?";
$i18n['groups']['delete_default']           = "Can't delete group because it is in use";

$i18n['groups']['start_urls']               = "Start URLs (with http://)";
$i18n['groups']['allow_urls']               = "Allowed URLs (with http://)";

$i18n['groups']['style']                    = "Form/Text Style";
$i18n['groups']['tpl']                      = "Output Template";
$i18n['groups']['unknown']                  = "Unknown";

$i18n['groups']['list']                     = "Back to Search Groups";
$i18n['groups']['add']                      = "Add New Group";

$i18n['groups']['enable']                   = "Enable";

$i18n['groups']['log_add']                  = "New group saved: ";
$i18n['groups']['log_update']               = "Update: ";
$i18n['groups']['log_delete']               = "Deleted: ";

$i18n['groups']['comment']                  = "Allowed URLs will allow spider to follow them. E.g. start URL is http://www.host.com. First allowed URL must be www.host.com. If you want spider to follow links to other websites or pages outside http://www.host.com then please enter them in allowed URLs box.";


/** import / export */
$i18n['imex']['title']                      = "Import and Export URLs";
$i18n['imex']['export']                     = "Export";
$i18n['imex']['export_desc']                = "Please click Export button to save list of URLs";
$i18n['imex']['import']                     = "Import";
$i18n['imex']['import_desc']                = "Please click Import button to import list of URLs";
$i18n['imex']['error']                      = "Incorrect or no file to import!";
$i18n['imex']['complite']                   = "Importing successfully completed";

$i18n['imex']['log_export']                 = "Exporting completed";
$i18n['imex']['log_import']                 = "Importing completed";

/** schedule */
$i18n['schedule']['title']                  = "Advanced Schedule";
$i18n['schedule']['act_prop']               = "Task properties";
$i18n['schedule']['act_delete']             = "Delete task";
$i18n['schedule']['confirm_delete']         = "Are you sure you wish to delete this task?";

$i18n['schedule']['groups']                 = "Search groups";
$i18n['schedule']['all_groups']             = "All groups";
$i18n['schedule']['every']                  = "Start indexing every:";
$i18n['schedule']['days']                   = "Days";
$i18n['schedule']['hours']                  = "Hours";
$i18n['schedule']['minutes']                = "Minutes";
$i18n['schedule']['last_index']             = "Last indexing";

$i18n['schedule']['list']                   = "Back to Task List";
$i18n['schedule']['add']                    = "Add New Task";

$i18n['schedule']['log_add']                = "New task: ";
$i18n['schedule']['log_update']             = "Task updated: ";
$i18n['schedule']['log_delete']             = "Task deleted: ";

$i18n['schedule']['enable']                 = "Enable";

/** get installation code */
$i18n['code']['title']                      = "Get Search Form";

$i18n['code']['show_style']                 = "Form/Text Style";
$i18n['code']['show_tpl']                   = "Template";
$i18n['code']['show_button']                = "Show";

$i18n['code']['description']                = "DESCRIPTION";
$i18n['code']['code_1']                     = "HTML version";
$i18n['code']['code_1_desc']                = "Copy HTML code and paste it into your website.";
$i18n['code']['code_2']                     = "JavaScript code version";
$i18n['code']['code_2_desc']                = "Copy JavaScript code and paste it into your website.";
$i18n['code']['code_3']                     = "iFrame code version";
$i18n['code']['code_3_desc']                = "Copy iFrame code and paste it into your website.";
$i18n['code']['code_4']                     = "PHP code version";
$i18n['code']['code_4_desc']                = "Include PHP code in any place in your PHP file.";

/** search */
$i18n['search']['as_q']                     = "including all words";
$i18n['search']['as_epq']                   = "exact phrase";
$i18n['search']['as_oq']                    = "any of the words";
$i18n['search']['as_eq']                    = "excluding words";
$i18n['search']['as_be']                    = "use boolean expressions & wildcard";
$i18n['search']['num']                      = "results";
$i18n['search']['suggestions']              = "<p>
                                                <span class=\"sp2_result\">
                                                Suggestions:</span></p>
                                                <ul>
                                                    <li><span class=\"sp2_result\">Make sure all words are spelled correctly.</span></li>
                                                    <li><span class=\"sp2_result\">Try more general words.</span></li>
                                                    <li><span class=\"sp2_result\">Try different words that mean the same thing.</span></li>
                                                </ul>";

/** spider */
$i18n['spider']['title']                    = "Indexing";
$i18n['spider']['error_open_url']           = "Can't open url";
$i18n['spider']['indexing']                 = "Indexing link";
$i18n['spider']['size']                     = "Size";
$i18n['spider']['update']                   = "Indexing done";
$i18n['spider']['search']                   = "search is ready to work";
$i18n['spider']['statistics']               = "Statistic";
$i18n['spider']['files']                    = "Indexed files";
$i18n['spider']['time']                     = "Indexing time";
$i18n['spider']['isset_pid']                = "Indexing already started by another administrator or according to schedule";
$i18n['spider']['of']                       = "of";          


/** spider debug */
$i18n['debug']['check_url']                 = "Check url";
$i18n['debug']['http']                      = "Don't include http:// or https:// before website URL";
$i18n['debug']['ext']                       = "No such file extension in list";
$i18n['debug']['stop_files']                = "Files use prohibited extensions.<br>See list of negative file types for reference";
$i18n['debug']['stop_dirs']                 = "Selected folders can't be processed because of current negative folders rule";
$i18n['debug']['allow']                     = "URL is not allowed for indexing";

?>