<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: get_install_code.php,v2.0 2017/09/30 advocat Exp $ */

/** include file */
include('./inc.php');

if (!isset($_GET['act'])) {
    $_GET['act'] = '';
} if (!isset($_GET['id'])) {
    $_GET['id'] = '';
}

$tpl_array = $style_array = array();
$tpl_id = $style_id = 0;

$default = false;
$res = mysqli_query($db_connect, "SELECT * FROM `{$system['prefix']}_templates` ORDER BY `name`");
while ($row = mysqli_fetch_assoc($res)) {
    $tpl_array[$row['id']] = $row['name'];
    if (!$default && $row['default']) {
        $default = true;
        $tpl_id = $row['id'];
    }
}

$default = false;
$res = mysqli_query($db_connect, "SELECT * FROM `{$system['prefix']}_styles` ORDER BY `name`");
while ($row = mysqli_fetch_assoc($res)) {
    $style_array[$row['id']] = $row['name'];
    if (!$default && $row['default']) {
        $default = true;
        $style_id = $row['id'];
    }
}

if (isset($_POST['style_id']) && isset($style_array[$_POST['style_id']])) {
    $style_id = $_POST['style_id'];
} if (isset($_POST['tpl_id']) && isset($tpl_array[$_POST['tpl_id']])) {
    $tpl_id = $_POST['tpl_id'];
}

if (!$_GET['act']) {
        /** print header */
        do_header($i18n['code']['title'],"get_install_code");
    ?>
<table width="100%"  border="0" cellpadding="0" cellspacing="10">
<tr><td align="center"><form action="<?php $_SERVER['PHP_SELF']; ?>" method="post" name="form" id="form">
<?php echo $i18n['code']['show_style'];?>: <select name="style_id" id="style_id" class="field"><?php
foreach ($style_array as $key => $value) {
    print '<option value="'.$key.'"';
    if ($key == $style_id) print ' selected';
    print '>'.$value.'</option>';
}
?></select> &nbsp;<?php echo $i18n['code']['show_tpl'];?>: <select name="tpl_id" id="tpl_id" class="field"><?php
foreach ($tpl_array as $key => $value) {
    print '<option value="'.$key.'"';
    if ($key == $tpl_id) print ' selected';
    print '>'.$value.'</option>';
}
?></select> &nbsp; <input name="go" type="submit" id="go" value=":: <?php echo $i18n['code']['show_button'];?> ::" class="button"></form></td>
</tr>
<tr><td class="thead" style="padding:5px;"><?php echo $i18n['code']['code_1']; ?></td></tr>
<tr><td class="code"><?php
        ob_start();
        define   ('SSP_INC',     true);
        define   ('SSP_STYLEID', $style_id);
        define   ('SSP_TPLID',   $tpl_id);
        @include ('../form.php');
        $content = ob_get_contents();
        ob_end_clean();
        echo nl2br(htmlspecialchars($content));
        ?></td></tr>
<tr><td class="commentBox"><span class=required><?php echo $i18n['code']['description']; ?>:</span> <span class=comment><?php echo $i18n['code']['code_1_desc']; ?></span></td></tr>
<tr><td class="thead" style="padding:5px;"><?php echo $i18n['code']['code_2']; ?></td></tr>
<tr><td class="code">&lt;!-- Start of Site Search Pro code --&gt;<br>&lt;script language="JavaScript"&gt;&lt;!--<br>
var remoteURL = '<?php echo $config['site_addr'];?>';<br>var sURL = remoteURL +'<?php echo (!empty($config['folder']) ? chr(47).$config['folder'] : '') ?>/form.php?mode=js&amp;s=<?php echo $style_id; ?>&amp;t=<?php echo $tpl_id;?>';<br>document.write('&lt;script language=&quot;JavaScript&quot;' +<br>'src=&quot;' + sURL + '&quot;&gt;&lt;\/script&gt;');<br>//--&gt;&lt;/script&gt;<br>
&lt;!-- End of Site Search Pro code --&gt;</td></tr>
<tr><td class="commentBox"><span class=required><?php echo $i18n['code']['description']; ?>:</span> <span class=comment><?php echo $i18n['code']['code_2_desc']; ?></span></td></tr>
<tr><td class="thead" style="padding:5px;"><?php echo $i18n['code']['code_3']; ?></td></tr>
<tr><td class="code">&lt;!-- Start of Site Search Pro code --&gt;<br>
&lt;iframe align=top width=<b>200</b> height=<b>80</b> marginwidth=0 marginheight=0 hspace=0 vspace=0 frameborder=0 scrolling=no src=&quot;<?php echo $config['site_addr'];?><?php echo (!empty($config['folder']) ? chr(47).$config['folder'] : '') ?>/form.php?s=<?php echo $style_id; ?>&amp;t=<?php echo $tpl_id;?>&quot;&gt;&lt;/iframe&gt;<br>
&lt;!--
End of Site Search Pro code --&gt;</td></tr>
<tr><td class="commentBox"><span class=required><?php echo $i18n['code']['description']; ?>:</span> <span class=comment><?php echo $i18n['code']['code_3_desc']; ?></span></td></tr>
<tr><td class="thead" style="padding:5px;"><?php echo $i18n['code']['code_4']; ?></td></tr>
<tr><td class="code"><?php
        $code = '<?php
define   (\'SSP_STYLEID\',  '.$style_id.');
define   (\'SSP_TPLID\',    '.$tpl_id.');
@include (\''.SSP_DIR.'/form.php\');
?>';
        echo highlight_string($code, true);
        ?></td></tr>
<tr><td class="commentBox"><span class=required><?php echo $i18n['code']['description']; ?>:</span> <span class=comment><?php echo $i18n['code']['code_4_desc']; ?></span></td></tr></table><?php
/** print footer */
do_footer(0,6);
} else {
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}

?>