<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: imgbtns.php,v2.0 2017/09/30 advocat Exp $ */

/** define path and include files */
include('./inc.php');

/** check access */
check_access('design');

if (!isset($_GET['act']))   $_GET['act'] = '';
if (!isset($_GET['p']))     $_GET['p'] = 1;
if (!isset($_GET['id']))    $_GET['id'] = '';

/** table and module */
$tbl_name   = $system['prefix'].'_imgbtns';
$module     = 'imgbtns';

$sort_field_array 	= array('id','name');
$sort_field			= 'name';
$sort_order 		= 'asc';
$sort_page			= $_SERVER['PHP_SELF'].'?';

if (isset($_GET['sf']) && in_array($_GET['sf'], $sort_field_array)) $sort_field = $_GET['sf'];
if (isset($_GET['so']) && ($_GET['so'] == 'asc' || $_GET['so'] == 'desc')) $sort_order = $_GET['so'];

$used_imgbtns = array();
$res = mysqli_query($db_connect, "SELECT * FROM `{$system['prefix']}_styles`");
while ($row = mysqli_fetch_assoc($res)) {
	$data = unserialize(stripslashes($row['data']));
	if ($data['imgbtns'] > 0) {
	    $used_imgbtns[$data['imgbtns']] = $data['imgbtns'];
	}
}

$image_extension = array("1"=>"gif", "2"=>"jpg", "3"=>"png", "4"=>"swf", "5"=>"psd", "6"=>"bmp", "7"=>"tiff", "8"=>"tiff", "9"=>"jpc", "10"=>"jp2", "11"=>"jpx", "12"=>"jb2", "13"=>"swf", "14"=>"iff", "15"=>"wbmp", "16"=>"xbm");

if (!$_GET['act']) {
    /** print header */
    do_header($i18n['imgbtns']['title'], 'search_buttons');
    
    if (isset($_GET['e']) && $_GET['e'] == 1) {
        print '<script language="javascript">alert(\''.addslashes($i18n['imgbtns']['dont_image']).'\');</script>';
    }
    
    ?><table width="100%"  border="0" cellspacing="10" cellpadding="0">
<tr><td height="25" align="center"><a class=strong href="<?php echo $_SERVER['PHP_SELF'].'?act=add';?>"><?php echo $i18n['imgbtns']['add'];?></a></td>
</tr></table>
<script language="javascript" type="text/javascript"><!--
function do_delete (id){
    if (confirm('<?php echo addslashes($i18n['imgbtns']['confirm_delete']); ?>')) document.location.href = '<?php echo $_SERVER['PHP_SELF'].'?act=delete&id='; ?>' + id;
} function do_delete_default (id) {
    alert ('<?php echo addslashes($i18n['imgbtns']['delete_default']); ?>');
}
//--></script>
<table width="96%" border="0" align="center" cellpadding="4" cellspacing="0" bgcolor="#FFFFFF" class=tbl_res>
<thead><tr>
<td height="30" width="24">id<?php gui_sort('id');?></td>
<td><?php echo $i18n['imgbtns']['name']; gui_sort('name'); ?></td>
<td><?php echo $i18n['imgbtns']['image']; ?></td>
<td width="61">&nbsp;</td>
<td width="43">&nbsp;</td>
</tr></thead>
<tbody><?php
    $res_cnt = mysqli_query($db_connect, "SELECT COUNT(*) FROM `{$tbl_name}`");
    $row = mysqli_fetch_row($res_cnt);
    $cnt = intval($row[0] ?? 0);
    $rec = record_on_page($cnt, $limit_on_page, $_GET['p']);
    
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` ORDER BY `{$sort_field}` {$sort_order} LIMIT {$rec['start']},{$rec['limit']}");
    while ($row = mysqli_fetch_assoc($res)) {
        ?><tr><td class="bottomline"><?php echo $row['id']; ?></td>
<td class="bottomline"><b><?php echo $row['name']; ?></b></td>
<td class="bottomline">&nbsp;<?php if ($row['image']) echo '<img src="../img/buttons/'.$row['image'].'" alt="" '.$row['image_tag'].'>'; ?></td>
<td class="bottomline"><a href="<?php echo $_SERVER['PHP_SELF'].'?act=edit&id='.$row['id']; ?>"><img src="../img/i18n/act_prop.gif" alt="<?php echo $i18n['imgbtns']['act_prop']; ?>" width="57" height="14" border="0"></a></td>
<td class="bottomline"><a href="javascript:do_delete<?php if (isset($used_imgbtns[$row['id']])) echo '_default'; ?>('<?php echo $row['id']; ?>');"><img src="../img/i18n/act_delete.gif" alt="<?php echo $i18n['imgbtns']['act_delete']; ?>" width="39" height="14" border="0"></a></td>
</tr><?php
    }
    ?></tbody></table><?php
    if ($rec['cnt_pages'] > 1) {
        print echo_on_page_admin($rec,$_SERVER['PHP_SELF'].'?sf='.$sort_field.'&so='.$sort_order.'&p=');
    }
    /** print footer */
    do_footer(0,3,2);
}
/** elseif act add / edit */
elseif ($_GET['act'] == 'add' || $_GET['act'] == 'edit' && is_numeric($_GET['id'])) {
    $error = false;
    /** add */
    if ($_GET['act'] == 'add') {
        $title_image = 'add_new_button';
        if (isset($_POST['submit'])) {
            if (!$_POST['name']) $error = true;
            if (!$error) {
                $location = false;
                if (!isset($_FILES['imgfile'])) {
                    $location = true;
                }
                if (!$location && is_uploaded_file($_FILES['imgfile']['tmp_name'])) {
                    if (!getimagesize($_FILES['imgfile']['tmp_name'])) {
                        $location = true;
                    }
                }
                
                if ($location) {
                    header("Location: {$_SERVER['PHP_SELF']}?e=1");
                    exit;
                }
                
                $sql = array('name'=>$_POST['name']);
                mysqli_query($db_connect, "INSERT INTO `{$tbl_name}` SET ".array2sql($sql));
                $id = mysqli_insert_id($db_connect);
                $img_prop = getimagesize($_FILES['imgfile']['tmp_name']);
                umask(0777);
                move_uploaded_file($_FILES['imgfile']['tmp_name'], SSP_DIR.'/img/buttons/'.$id.'.'.$image_extension[$img_prop[2]]);
                chmod(SSP_DIR.'/img/buttons/'.$id.'.'.$image_extension[$img_prop[2]], 0777);
                $sql = array('name'=>$_POST['name'], 'image'=>$id.'.'.$image_extension[$img_prop[2]], 'image_tag'=>$img_prop[3]);
                mysqli_query($db_connect, "UPDATE `{$tbl_name}` SET ".array2sql($sql)." WHERE `id`='{$id}'");
                
                /** add log */
                a_logs($module, 'add', "{$i18n['imgbtns']['log_add']} {$sql['name']}, id: ".$id);
                header("Location: ".$_SERVER['PHP_SELF']);
                exit;
            } else {
                $prop = array('name'=>$_POST['name'], 'image'=>'');
            }
        } else {
            $prop = array('name'=>'', 'image'=>'');
        }
    }
    /** edit */
    else {
        $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE `id`='{$_GET['id']}'");
        $row = mysqli_fetch_array($res);
        if (!isset($row['id'])) {
            header("Location: ".$_SERVER['PHP_SELF']);
            exit;
        }
        $title_image = 'button_properties';
        if (isset($_POST['submit'])) {
            $sql = array('name'=>$_POST['name']);
            
            if (isset($_FILES['imgfile']['tmp_name']) && is_uploaded_file($_FILES['imgfile']['tmp_name']) && getimagesize($_FILES['imgfile']['tmp_name'])) {
                $img_prop = getimagesize($_FILES['imgfile']['tmp_name']);
                if ($row['image']) @unlink(SSP_DIR.'/img/buttons/'.$row['image']);
                umask(0777);
                move_uploaded_file($_FILES['imgfile']['tmp_name'], SSP_DIR.'/img/buttons/'.$id.'.'.$image_extension[$img_prop[2]]);
                chmod(SSP_DIR.'/img/buttons/'.$id.'.'.$image_extension[$img_prop[2]], 0777);
                $sql = array('name'=>$_POST['name'], 'image'=>$id.'.'.$image_extension[$img_prop[2]], 'image_tag'=>$img_prop[3]);
            }
            
            mysqli_query($db_connect, "UPDATE `{$tbl_name}` SET ".array2sql($sql)." WHERE `id`='{$_GET['id']}'");
            
            /** add log */
            a_logs($module, 'update', "{$i18n['imgbtns']['log_update']} {$sql['name']}, id: ".$id);
            header("Location: ".$_SERVER['PHP_SELF']);
            exit;
        } else {
            $prop = $row;
        }
    }
    do_header($i18n['imgbtns']['title'],$title_image);
    ?><table width="100%"  border="0" cellspacing="10" cellpadding="0">
<tr><td height="25" align="center"><a class=strong href="<?php echo $_SERVER['PHP_SELF'];?>"><?php echo $i18n['imgbtns']['list'];?></a></td></tr></table>
<form action="<?php echo $_SERVER['PHP_SELF'].'?act='.$_GET['act']; if ($_GET['id']) echo '&id='.$_GET['id']; ?>" method="post" enctype="multipart/form-data" name="frm_prop" id="frm_prop" onSubmit="return check_form('frm_prop');">
<script language="javascript" type="text/javascript"><!--
<?php if ($error) echo "alert('".$i18n['imgbtns']['empty_name']."');"; ?>
function check_form (form_name) {
    form = document.forms[form_name];
    tmp = form.elements['name'];
    if (tmp.value == "" || tmp.value.length == 0) {
        alert('<?php echo $i18n['imgbtns']['empty_name']; ?>');
        tmp.focus();
        return false;
    }
    return true;
}
//--></script>
<table width="100%" border="0" cellpadding="0" cellspacing="5">
<tr><td width="10%">&nbsp;</td>
<td><table width="100%" border="0" cellspacing="0" cellpadding="5">
<tr><td class="bottomline" width="40%"><?php echo $i18n['imgbtns']['name']; ?> :</td>
<td class="bottomline"><input name="name" type="text" id="name" value="<?php echo $prop['name']; ?>" maxlength="255" class=field></td></tr>
<tr><td class="bottomline"><?php echo $i18n['imgbtns']['image'];?> : </td>
<td class="bottomline"><input name="imgfile" type="file" id="imgfile" maxlength="255" class=field></td></tr><?php
    if ($prop['image']) {
        ?><tr><td class="bottomline"><?php echo $i18n['imgbtns']['cur_image'];?> :</td>
<td class="bottomline"><img src="../img/buttons/<?php echo $prop['image']; ?>" alt="" <?php echo $prop['image_tag']; ?>></td></tr><?php
    }
    ?></table></td></tr>
<tr><td class="topline">&nbsp;</td>
<td>&nbsp;</td></tr>
<tr align="center"><td colspan="2"><input name="submit" type="submit" class="button" id="submit" value=":: <?php echo $i18n['button']['save']; ?> ::"></td>
</tr></table>
</form><?php
    do_footer(0,3,2);
}
/** act delete */
elseif ($_GET['act'] == "delete" && is_numeric($_GET['id'])) {
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE `id`='{$_GET['id']}'");
    $row = mysqli_fetch_array($res);
    if (isset($row['id'])) {
        if (isset($used_imgbtns[$row['id']])) {
            header("Location: {$_SERVER['PHP_SELF']}");
            exit;
        }
        
        /** delete */
        mysqli_query($db_connect, "DELETE FROM `{$tbl_name}` WHERE `id`='{$row['id']}'");
        @unlink(SSP_DIR.'/img/buttons/'.$row['image']);
        /** add log */
        a_logs($module, 'delete', "{$i18n['imgbtns']['log_delete']}: {$row['name']}, id: {$row['id']}");
    }
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}
/** else */
else {
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}

?>