<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: rules.php,v2.0 2017/09/30 advocat Exp $ */

/** include files */
include('./inc.php');

if (!isset($_GET['act']))   $_GET['act'] = '';
if (!isset($_GET['p']))     $_GET['p'] = 1;

check_access('settings');

$tbl_name   = $system['prefix'].'_rules';
$module     = 'rules';

$sort_field_array 	= array('term','url');
$sort_field			= 'term';
$sort_order 		= 'asc';
$sort_page			= $_SERVER['PHP_SELF'].'?p='.$_GET['p'];

if (isset($_GET['sf']) && in_array($_GET['sf'], $sort_field_array)) $sort_field = $_GET['sf'];
if (isset($_GET['so']) && ($_GET['so'] == 'asc' || $_GET['so'] == 'desc')) $sort_order = $_GET['so'];

if (!$_GET['act']) {
    /** print header */
    do_header($i18n['rules']['title'], 'destination_rules');
    
    ?><form action="<?php echo $_SERVER['PHP_SELF']; ?>?act=addform" method="post" name="frm_add" id="frm_add">
<table width="100%"  border="0" cellspacing="10" cellpadding="0">
<tr><td align="center"><?php echo $i18n['rules']['bot_add']; ?>&nbsp;<select name="num" class="field">
<option value="5">5</option><option value="10">10</option><option value="20">20</option><option value="30">30</option>
</select>&nbsp;<?php echo $i18n['rules']['bot_rules']; ?>&nbsp;<input name="go" type="submit" class="button" id="go" value="<?php echo $i18n['rules']['bot_OK']; ?>"></td>
</tr></table>
</form><form action="<?php echo $_SERVER['PHP_SELF']; ?>?act=save_all&<?php echo 'sf='.$sort_field.'&so='.$sort_order.'&p='.$_GET['p']; ?>" method="post" name="frm_sw" id="frm_sw">
<script language="javascript" type="text/javascript"><!--
function do_update(id) {
    form = document.forms['frm_sw'];
    form.action = '<?php echo $_SERVER['PHP_SELF']; ?>?act=update&sf=<?php echo $sort_field;?>&so=<?php echo $sort_order;?>&p=<?php echo $_GET['p']; ?>&id=' + id;
    form.submit();
} function do_delete(id) {
    if (confirm('<?php echo $i18n['rules']['confirm_delete']; ?>'))
        document.location.href = '<?php echo $_SERVER['PHP_SELF']; ?>?act=delete&sf=<?php echo $sort_field;?>&so=<?php echo $sort_order;?>&p=<?php echo $_GET['p']; ?>&id=' + id;
} function do_add() {
    form = document.forms['frm_sw'];
    form.action = '<?php echo $_SERVER['PHP_SELF']; ?>?act=add&sf=<?php echo $sort_field;?>&so=<?php echo $sort_order;?>&p=<?php echo $_GET['p']; ?>&id=0';
    form.submit();
} //--></script>
<table width="96%"  border="0" cellspacing="0" cellpadding="4" bgcolor="#ffffff" align="center" class=tbl_res>
<thead>
<tr><td height="30" colspan=2><?php echo $i18n['rules']['thead_term']; gui_sort('term'); ?></td>
<td height="30" colspan=2><?php echo $i18n['rules']['thead_url']; gui_sort('url'); ?></td>
<td width="43">&nbsp;</td>
<td width="43">&nbsp;</td></tr></thead>
<tbody><?php
    $res_count = mysqli_query($db_connect, "SELECT COUNT(*) FROM `{$tbl_name}`");
    $row = mysqli_fetch_row($res_count);
    $count = intval($row[0] ?? 0);
    $rec = record_on_page($count,$limit_on_page,$_GET['p']);
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` ORDER BY `{$sort_field}` {$sort_order} LIMIT {$rec['start']}, {$rec['limit']}");
    while ($row = mysqli_fetch_array($res)) {
        ?><tr><td class="bottomline"><?php echo $i18n['rules']['term']; ?></td>
<td class="bottomline"><input name="term[<?php echo $row['id']; ?>]2" type="text" class="field" id="term[<?php echo $row['id']; ?>]2" style="width:100%;" value="<?php echo $row['term']; ?>" size="30" maxlength="255"></td>
<td class="bottomline"><?php echo $i18n['rules']['url']; ?></td>
<td class="bottomline"><input name="url[<?php echo $row['id']; ?>]2" type="text" class="field" id="url[<?php echo $row['id']; ?>]2" style="width:100%;" value="<?php echo $row['url']; ?>" size="40" maxlength="255"></td>
<td class="bottomline"><a href="javascript:do_update('<?php echo $row['id']; ?>');"><img src="../img/i18n/act_update.gif" alt="<?php echo $i18n['rules']['act_update']; ?>" width="39" height="14" border="0"></a></td>
<td class="bottomline"><a href="javascript:do_delete('<?php echo $row['id']; ?>');"><img src="../img/i18n/act_delete.gif" alt="<?php echo $i18n['rules']['act_delete']; ?>" width="39" height="14" border="0"></a></td></tr><?php
    }
    ?><tr><td class="bottomline" width="10%" nowrap><?php echo $i18n['rules']['term']; ?></td>
<td class="bottomline"><input name="term[0]" type="text" class="field" id="term[0]" style="width:100%;" value="" size="40" maxlength="255"></td>
<td class="bottomline" width="10%" nowrap><?php echo $i18n['rules']['url']; ?></td>
<td class="bottomline"><input name="url[0]" type="text" class="field" id="url[0]" style="width:100%;" value="" size="40" maxlength="255"></td>
<td class="bottomline"><a href="javascript:do_add();"><img src="../img/i18n/act_add.gif" alt="<?php echo $i18n['rules']['act_add']; ?>" width="26" height="14" border="0"></a></td>
<td class="bottomline">&nbsp;</td></tr></tbody></table>
<table width="100%"  border="0" cellspacing="10" cellpadding="0">
<tr><td align="center"><input name="save_all" type="submit" class="button" id="save_all" value="<?php echo $i18n['button']['save_all']; ?>"></td>
</tr></table>
</form><?php
    if ($rec['cnt_pages'] > 1) {
        echo echo_on_page_admin($rec,"{$_SERVER['PHP_SELF']}?sf={$sort_field}&so={$sort_order}&p=");
    }
    /** print footer */
    do_footer(0,2,3);
}
/** act == save all */
elseif ($_GET['act'] == "save_all") {
    $res_count = mysqli_query($db_connect, "SELECT COUNT(*) FROM `{$tbl_name}`");
    $row = mysqli_fetch_row($res_count);
    $count = intval($row[0] ?? 0);
    $rec = record_on_page($count, $limit_on_page, $_GET['p']);
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` ORDER BY `{$sort_field}` {$sort_order} LIMIT {$rec['start']}, {$rec['limit']}");
    while ($row = mysqli_fetch_array($res)) {
        $term = trim($_POST['term'][$row['id']]);
        if (strlen($term) > 0) {
            mysqli_query($db_connect, "UPDATE `{$tbl_name}` SET `term`='{$term}' WHERE `id`='{$row['id']}'");
            a_logs($module, 'update', "{$i18n['rules']['log_update']} {$term}, id: {$row['id']}");
        }
    }
    $term = trim($_POST['term'][0]);
    $url = trim($_POST['url'][0]);
    if (strlen($term) > 0 && strlen($url) > 0) {
        mysqli_query($db_connect, "INSERT INTO `{$tbl_name}` SET `term`='{$term}', `url`='{$url}'");
        $id = mysqli_insert_id($db_connect);
        a_logs($module, 'add', "{$i18n['rules']['log_add']} {$term}, id: {$id}");
    }

    header("Location: {$_SERVER['PHP_SELF']}?sf={$sort_field}&so={$sort_order}&p={$_GET['p']}");
    exit;
}
/** act == add || update */
elseif ($_GET['act'] == "add" || $_GET['act'] == "update" && is_numeric($_GET['id'])) {
    $term = trim($_POST['term'][$_GET['id']]);
    $url = trim($_POST['url'][$_GET['id']]);
    /** add */
    if ($_GET['act'] == "add") {
        mysqli_query($db_connect, "INSERT INTO `{$tbl_name}` SET `term`='{$term}', `url`='{$url}'");
        $id = mysqli_insert_id($db_connect);
        a_logs($module, 'add', "{$i18n['rules']['log_add']} {$term}, id: {$_GET['id']}");
    }
    /** update */
    elseif ($_GET['act'] == "update") {
        mysqli_query($db_connect, "UPDATE `{$tbl_name}` SET `term`='{$term}', `url`='{$url}' WHERE `id`='{$_GET['id']}'");
        a_logs($module, 'update', "{$i18n['rules']['log_update']} {$term}, id: {$_GET['id']}");
    }
    header("Location: {$_SERVER['PHP_SELF']}?sf={$sort_field}&so={$sort_order}&p={$_GET['p']}");
    exit;
}
/** act == delete */
elseif ($_GET['act'] == "delete" && is_numeric($_GET['id'])) {
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE `id`='{$_GET['id']}'");
    $row = mysqli_fetch_array($res);
    if (isset($row['id'])) {
        mysqli_query($db_connect, "DELETE FROM `{$tbl_name}` WHERE `id`='{$row['id']}'");
        a_logs($module, 'delete', "{$i18n['rules']['log_delete']} {$row['term']}, id: {$row['id']}");
    }
    header("Location: {$_SERVER['PHP_SELF']}?sf={$sort_field}&so={$sort_order}&p={$_GET['p']}");
    exit;
}
/** act == addform */
elseif ($_GET['act'] == 'addform') {
    /** save */
    if (isset($_POST['submit']) && isset($_GET['count'])) {
        if (!is_numeric($_GET['count'])) $_GET['count'] = 5;
        $i = 0;
        while ($i < $_GET['count']) {
            $i++;
            $term = trim($_POST['term'][$i]);
            $url = trim($_POST['url'][$i]);
            if ($url && $term) {
                mysqli_query($db_connect, "INSERT INTO `{$tbl_name}` SET `term`='{$term}', `url`='{$url}'");
                $id = mysqli_insert_id($db_connect);
                a_logs($module, 'add', "{$i18n['rules']['log_add']} {$term}, id: {$id}");
            }
        }
        header("Location: {$_SERVER['PHP_SELF']}");
        exit;
    }
    /** else */
    else {
        if (!isset($_POST['num']) || !is_numeric($_POST['num'])) $_POST['num'] = 5;
        
        /** print header */
        do_header($i18n['rules']['title'],"destination_rules");
        ?><table width="100%"  border="0" cellspacing="10" cellpadding="0">
<tr><td height="25" align="center"><a class=strong href="<?php echo $_SERVER['PHP_SELF']; ?>"><?php echo $i18n['rules']['act_back'];?></a></td></tr></table>
<form action="<?php echo $_SERVER['PHP_SELF']; ?>?act=addform&count=<?php echo $_POST['num']; ?>" method="post" name="add" id="add">
<table width="100%"  border="0" cellspacing="5" cellpadding="0">
<tr><td width="10%">&nbsp;</td>
<td><table width="100%" border="0" cellpadding="4" cellspacing="0">
<thead>
<tr><td height="30" colspan=4><?php echo $i18n['rules']['thead_term']; ?></td></tr></thead><?php
        $i = 0;
        while ($i < $_POST['num']) {
            $i++;
            ?><tr><td<?php if ($i < $_POST['num']) echo " class=\"bottomline\"";?> width="10%" nowrap><?php echo $i18n['rules']['term']; ?></td>
<td<?php if ($i < $_POST['num']) echo " class=\"bottomline\"";?>><input name="term[<?php echo $i?>]" type="text" class="field" id="term[<?php echo $i?>]" style="width:100%;" value="<?php if (isset($_POST['term'][$i])) echo $_POST['term'][$i];?>" size="30" maxlength="255"></td>
<td<?php if ($i < $_POST['num']) echo " class=\"bottomline\"";?> width="10%" nowrap><?php echo $i18n['rules']['url']; ?></td>
<td<?php if ($i < $_POST['num']) echo " class=\"bottomline\"";?>><input name="url[<?php echo $i?>]" type="text" class="field" id="url[<?php echo $i?>]" style="width:100%;" value="<?php if (isset($_POST['url'][$i])) echo $_POST['url'][$i];?>" size="40" maxlength="255"></td></tr><?php
        }
        ?></table></td></tr>
<tr><td class="topline">&nbsp;</td>
<td>&nbsp;</td></tr>
<tr><td>&nbsp;</td>
<td align="center"><input name="submit" type="submit" class="button" id="submit" value="<?php echo $i18n['rules']['act_add']; ?>"></td></tr></table>
</form><?php
        /** print footer */
        do_footer(0,2,3);
    }
}
/** else */
else {
  header("Location: {$_SERVER['PHP_SELF']}");
  exit;
}
?>