<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: stop_words.php,v2.0 2017/09/18 advocat Exp $ */

/** include files */
include('./inc.php');

check_access('settings');

if (!isset($_GET['act'])) $_GET['act'] = "";

$module = 'stop_words';

@include_once(SSP_DIR.'/data/stop_words.php');
if (!isset($stop_words)) $stop_words = array();

if (!$_GET['act']) {
    $complite = false;
    $message = "";
    if (isset($_POST['submit'])) {
        $stop_words_new = config_vars2array($_POST['sw']);
        
        umask(0777);
        
        $write_sw = '<?php'."\n";
        $write_sw .= '$stop_words = array (';
        
        $count = count($stop_words_new);
        $i = 0;
        
        echo $write_sw;
        foreach ($stop_words_new as $word) {
            $i++;
            $word = trim(addslashes($word));
            if (strlen($word) > 0) {
                $write_sw .= '"'.$word.'"';
                if ($count > $i) $write_sw .= ',';
            }
        }
        $write_sw .= ");\n".'?>';

        if (file_exists(SSP_DIR.'/data/stop_words.php')) @unlink(SSP_DIR.'/data/stop_words.php');
        $fp = @fopen(SSP_DIR.'/data/stop_words.php', "w+");
        if ($fp) {
            fwrite($fp, $write_sw);
            fclose($fp);
            chmod(SSP_DIR.'/data/stop_words.php', 0777);
            clearstatcache();
            
            $message = $i18n['sw']['update_true'];
        } else {
            $message = $i18n['sw']['update_false'];
        }
        $stop_words = $stop_words_new;
        $complite = true;
    }

    /** print header */
    do_header($i18n['sw']['title'],"negative_words");

    if ($complite == true) {
        a_logs($module, 'update', $message);
        echo "<fieldset><legend>{$i18n['sw']['update']}</legend>{$message}</fieldset>";
    }
    ?><form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" name="frm_sw" id="frm_sw">
<table width="100%"  border="0" cellspacing="5" cellpadding="0">
<tr><td width="10%">&nbsp;</td>
<td><textarea class="field" name="sw" rows="6" id="sw" style="width:100%;"><?php
    if (!is_array($stop_words)) $stop_words = array();
    echo config_array2vars($stop_words);
    ?></textarea></td></tr>
<tr><td class="topline">&nbsp;</td>
<td>&nbsp;</td></tr>
<tr><td>&nbsp;</td>
<td class="commentbox"><span class="required">*</span> <span class="comment"><?php echo $i18n['sw']['description']; ?></span></td></tr>
<tr><td>&nbsp;</td>
<td align="center"><input class="button" name="submit" type="submit" id="submit" value="<?php echo $i18n['button']['save']; ?>"></td></tr></table>
</form><?php
    /** print footer */
    do_footer(0,2,2);
} else {
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}
?>