<?php
/**
 * @link http://www.site-search-pro.com
 * @copyright Site Search Pro (tm)

 * @package SearchPro
 * @version 2.0 Gold
**/
/** $Id: templates.php,v2.0 2017/09/30 advocat Exp $ */

/** include files */
include('./inc.php');

/** check access */
check_access('design');

if (!isset($_GET['act']))   $_GET['act'] = '';
if (!isset($_GET['id']))    $_GET['id'] = '';

/** table and module */
$tbl_name   = $system['prefix'].'_templates';
$module     = 'templates';

$sort_field_array 	= array('id','name');
$sort_field			= 'name';
$sort_order 		= 'asc';
$sort_page			= $_SERVER['PHP_SELF'].'?';

if (isset($_GET['sf']) && in_array($_GET['sf'], $sort_field_array)) $sort_field = $_GET['sf'];
if (isset($_GET['so']) && ($_GET['so'] == 'asc' || $_GET['so'] == 'desc')) $sort_order = $_GET['so'];

if (!$_GET['act']) {
    /** print header */
    do_header($i18n['tpl']['title'], 'output_design_templates');
    ?><table width="100%"  border="0" cellspacing="10" cellpadding="0">
<tr><td height="25" align="center"><a class=strong href="<?php echo $_SERVER['PHP_SELF'].'?act=add';?>"><?php echo $i18n['tpl']['add'];?></a></td></tr></table>
<script language="javascript" type="text/javascript"><!--
function do_delete (id){
    if (confirm('<?php echo addslashes($i18n['tpl']['confirm_delete']); ?>')) document.location.href = '<?php echo $_SERVER['PHP_SELF'].'?act=delete&id='; ?>' + id;
} function do_delete_default (id) {
    alert ('<?php echo addslashes($i18n['tpl']['delete_default']); ?>');
}
//--></script>
<table width="96%" border="0" align="center" cellpadding="4" cellspacing="0" bgcolor="#FFFFFF" class=tbl_res>
<thead><tr>
<td height="30" width="24">id<?php gui_sort('id');?></td>
<td><?php echo $i18n['tpl']['name']; gui_sort('name'); ?></td>
<td width="62">&nbsp;</td>
<td width="61">&nbsp;</td>
<td width="43">&nbsp;</td>
</tr></thead>
<tbody><?php
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` ORDER BY `{$sort_field}` {$sort_order}");
    while ($row = mysqli_fetch_assoc($res)) {
        ?><tr><td class="bottomline"><?php echo $row['id']; ?></td>
<td class="bottomline"><b><?php echo $row['name']; ?></b></td>
<td class="bottomline"><?php
        if ($row['default']) echo '&nbsp;';
        else {
            ?><a href="<?php echo $_SERVER['PHP_SELF'].'?act=default&id='.$row['id']; ?>"><img src="../img/i18n/act_set_default.gif" alt="<?php echo $i18n['tpl']['act_setdefault']; ?>" width="58" height="14" border="0"></a><?php
        }
        ?></td>
<td class="bottomline"><a href="<?php echo $_SERVER['PHP_SELF'].'?act=edit&id='.$row['id']; ?>"><img src="../img/i18n/act_prop.gif" alt="<?php echo $i18n['tpl']['act_prop']; ?>" width="57" height="14" border="0"></a></td>
<td class="bottomline"><a href="javascript:do_delete<?php if ($row['default']) echo '_default'; ?>('<?php echo $row['id']; ?>');"><img src="../img/i18n/act_delete.gif" alt="<?php echo $i18n['tpl']['act_delete']; ?>" width="39" height="14" border="0"></a></td>

</tr><?php
    }
    ?></tbody></table><?php
    /** print footer */
    do_footer(0,3,3);
}
/** set default */
elseif ($_GET['act'] == 'default' && is_numeric($_GET['id'])) {
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE `id`='{$_GET['id']}'");
    $row = mysqli_fetch_array($res);
    /** if exists style id */
    if (isset($row['id'])) {
        mysqli_query($db_connect, "UPDATE `{$tbl_name}` SET `default`=0");
        mysqli_query($db_connect, "UPDATE `{$tbl_name}` SET `default`=1 WHERE `id`='{$row['id']}'");

        a_logs($module, 'default', "{$i18n['tpl']['log_default']} {$row['name']}, id: {$row['id']}");
    }
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}

/** elseif act add / edit */
elseif ($_GET['act'] == 'add' || $_GET['act'] == 'edit' && is_numeric($_GET['id'])) {
    $error = false;
    /** add */
    if ($_GET['act'] == 'add') {
        $title_image = 'add_new_template';
        if (isset($_POST['submit'])) {
            if (!$_POST['name']) $error = true;
            if (!$error) {
                $sql = array('name'=>$_POST['name'], 'header'=>slashes($_POST['header'],1), 'footer'=>slashes($_POST['footer'],1));
                mysqli_query($db_connect, "INSERT INTO `{$tbl_name}` SET ".array2sql($sql));
                $id = mysqli_insert_id($db_connect);
                /** add log */
                a_logs($module, 'add', "{$i18n['tpl']['log_add']} {$sql['name']}, id: ".$id);
                header("Location: ".$_SERVER['PHP_SELF']);
                exit;
            } else {
                $prop = array('name'=>$_POST['name'], 'header'=>slashes($_POST['header'],1), 'footer'=>slashes($_POST['footer'],1));
            }
        } else {
            $prop = array('name'=>'', 'header'=>'', 'footer'=>'');
        }
    }
    /** edit */
    else {
        $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE `id`='{$_GET['id']}'");
        $row = mysqli_fetch_array($res);
        if (!isset($row['id'])) {
            header("Location: ".$_SERVER['PHP_SELF']);
            exit;
        }
        $title_image = 'template_properties';
        if (isset($_POST['submit'])) {
            $sql = array('name'=>$_POST['name'], 'header'=>slashes($_POST['header'],1), 'footer'=>slashes($_POST['footer'],1));
            mysqli_query($db_connect, "UPDATE `{$tbl_name}` SET ".array2sql($sql)." WHERE `id`='{$_GET['id']}'");
            $id = mysqli_insert_id($db_connect);
            /** add log */
            a_logs($module, 'update', "{$i18n['tpl']['log_update']} {$sql['name']}, id: ".$id);
            header("Location: ".$_SERVER['PHP_SELF']);
            exit;
        } else {
            $prop = $row;
        }
    }
    do_header($i18n['tpl']['title'],$title_image);
    ?><table width="100%"  border="0" cellspacing="10" cellpadding="0">
<tr><td height="25" align="center"><a class=strong href="<?php echo $_SERVER['PHP_SELF'];?>"><?php echo $i18n['tpl']['list'];?></a></td></tr></table>
<form action="<?php echo $_SERVER['PHP_SELF'].'?act='.$_GET['act']; if ($_GET['id']) echo '&id='.$_GET['id']; ?>" method="post" name="frm_prop" id="frm_prop" onSubmit="return check_form('frm_prop');">
<script language="javascript" type="text/javascript"><!--
<?php if ($error) echo "alert('".$i18n['tpl']['empty_name']."');"; ?>
function check_form (form_name) {
    form = document.forms[form_name];
    tmp = form.elements['name'];
    if (tmp.value == "" || tmp.value.length == 0) {
        alert('<?php echo $i18n['tpl']['empty_name']; ?>');
        tmp.focus();
        return false;
    }
    tmp = form.elements['header'];
    if (tmp.value == "" || tmp.value.length == 0) {
        alert('<?php echo $i18n['tpl']['empty_header_data']; ?>');
        tmp.focus();
        return false;
    }
    tmp = form.elements['footer'];
    if (tmp.value == "" || tmp.value.length == 0) {
        alert('<?php echo $i18n['tpl']['empty_footer_data']; ?>');
        tmp.focus();
        return false;
    }
    return true;
}
//--></script>
<table width="100%" border="0" cellpadding="0" cellspacing="5">
<tr><td width="5%">&nbsp;</td>
<td><table width="100%" border="0" cellpadding="5" cellspacing="0">
<tr><td class="thead"><?php echo $i18n['tpl']['name']; ?></td></tr>
<tr><td class="bottomline"><input name="name" type="text" class="field" id="name" size="32" maxlength="64" value="<?php echo $prop['name']; ?>"></td></tr>
<tr><td class="thead"><?php echo $i18n['tpl']['header']; ?></td></tr>
<tr><td class="bottomline"><textarea name="header" cols="40" rows="20" class="ta" id="header" style="width:100%;"><?php echo htmlspecialchars(slashes($prop['header'],0)); ?></textarea></td></tr>
<tr><td class="thead"><?php echo $i18n['tpl']['footer']; ?></td></tr>
<tr><td class="bottomline"><textarea name="footer" cols="40" rows="20" class="ta" id="footer" style="width:100%;"><?php echo htmlspecialchars(slashes($prop['footer'],0)); ?></textarea></td></tr></table></td></tr>
<tr><td class="topline">&nbsp;</td>
<td>&nbsp;</td></tr>
<tr align="center"><td colspan="2"><input name="submit" type="submit" class="button" id="submit" value=":: <?php echo $i18n['button']['save']; ?> ::"></td>
</tr></table>
</form><?php
    do_footer(0,3,3);
}
/** act delete */
elseif ($_GET['act'] == "delete" && is_numeric($_GET['id'])) {
    $res = mysqli_query($db_connect, "SELECT * FROM `{$tbl_name}` WHERE `id`='{$_GET['id']}'");
    $row = mysqli_fetch_array($res);
    if (isset($row['id'])) {
        if ($row['default']) {
            header("Location: {$_SERVER['PHP_SELF']}");
            exit;
        }
        
        /** delete */
        mysqli_query($db_connect, "DELETE FROM `{$tbl_name}` WHERE `id`='{$row['id']}'");
        /** add log */
        a_logs($module, 'delete', "{$i18n['tpl']['log_delete']}: {$row['name']}, id: {$row['id']}");
    }
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}
/** else */
else {
    header("Location: {$_SERVER['PHP_SELF']}");
    exit;
}

?>